<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class DepositApproved extends Mailable
{
    use Queueable, SerializesModels;

    public $amount;
    public $method_name;
    public $details;
    public $post_balance;

    /**
     * Create a new message instance.
     *
     * @param  string  $amount
     * @param  string  $method_name
     * @param  string  $details
     * @param  string  $post_balance
     * @return void
     */
    public function __construct($amount, $method_name, $details, $post_balance)
    {
        $this->amount = $amount;
        $this->method_name = $method_name;
        $this->details = $details;
        $this->post_balance = $post_balance;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $subject = 'Congratulations! Your deposit has been approved.';
    
        return $this->subject($subject)
                    ->view('emails.deposit-approved')
                    ->with('message', $subject);
    }
}
