<?php

namespace App\Mail;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class EarningBalanceUpdate extends Mailable
{
    use Queueable, SerializesModels;

    public $username;
    public $amount;
    public $newAmount;
    public $action;
    public $currency;
    public $trx;
    public $details;

    /**
     * Create a new message instance.
     *
     * @param string $username
     * @param float $amount
     * @param float $newAmount
     * @param string $action
     * @param string $currency
     * @param string $trx
     */
    public function __construct($username, $amount, $newAmount, $action, $currency, $trx,$details)
    {
        $this->username = $username;
        $this->amount = $amount;
        $this->newAmount = $newAmount;
        $this->action = $action;
        $this->currency = $currency;
        $this->trx = $trx;
        $this->trx = $details;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $subject = 'Earning Balance Update Notification';

        return $this->subject($subject)
                    ->view('emails.earning_balance_add_sub')
                    ->with([
                        'username' => $this->username,
                        'amount' => $this->amount,
                        'newAmount' => $this->newAmount,
                        'action' => $this->action,
                        'currency' => $this->currency,
                        'trx' => $this->trx,
                        'details' => $this->details,
                    ]);
    }
}
