<?php

namespace App\Http\Livewire\User;

use App\Models\User;
use Livewire\Component;
use Illuminate\Support\Facades\Auth;

class ApplyForAgent extends Component
{
    public $skype;
    public $facebook;
    public $language;
    public function applyForAgent()
    {
        try {
            User::where('id', Auth::id())->update([
            'skype' => $this->skype,
            'is_agent' => 1,
            'facebook' => $this->facebook,
            'language' => $this->language
        ]);
        $this->dispatchBrowserEvent('success', ['msg' => 'Agent Applied Successfully.']);
        } catch (\Throwable $th) {
            $this->dispatchBrowserEvent('success', ['msg' => $th->getMessage()]);
        }
        
    }
    
    public function render()
    {
        return view('livewire.user.apply-for-agent');

    }
}
