<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class WithdrawSuccess extends Mailable
{
    use Queueable, SerializesModels;

    public $username;
    public $method_name;
    public $admin_details;

    /**
     * Create a new message instance.
     *
     * @param  string  $username
     * @param  string  $method_name
     * @param  string  $admin_details
     * @return void
     */
    public function __construct($username, $method_name, $admin_details, $amount, $currency, $charge)
    {
        $this->username = $username;
        $this->method_name = $method_name;
        $this->admin_details = $admin_details;
        $this->amount = $amount;
        $this->currency = $currency;
        $this->charge = $charge;
    }
    

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $subject = 'Congratulations! Your Withdrawal Approved';
    
        return $this->subject($subject)
                    ->view('emails.withdrawal.approved')
                    ->with([
                        'amount' => $this->amount,
                        'currency' => $this->currency,
                        'charge' => $this->charge,
                    ]);
    }
    
    
}
