<?php

namespace App\Console\Commands;

use Carbon\Carbon;
use App\Models\User;
use Illuminate\Console\Command;

class PlanExpired extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'plan:expired';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Check Plan Expire Date';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $users = User::all();
        foreach ($users as $user) {
            $duration = $user->plan->duration;
            $expiredDate = Carbon::parse($user->plan_updated_at)->addDays($duration);
            if ($expiredDate < Carbon::now()) {
                $user->update([
                    'plan_id' => 0,
                ]);
            }
        }
    }
}
