<?php

namespace App\Http\Controllers\Admin;

use App\Models\GeneralSetting;
use App\Http\Controllers\Controller;
use App\Models\Plan;
use Illuminate\Http\Request;

class MlmController extends Controller
{

    public function createPlan(){
        return view('backend.pages.plan.create-plan');
    }
    public function plan()
    {
        $page_title = 'Earing Plans';
        $empty_message = 'No Plan found';
        $plans = Plan::latest()->paginate(getPaginate());
        return view('backend.pages.plan.plans', compact('page_title', 'plans', 'empty_message'));
    }

    public function planStore(Request $request)
    {
        $this->validate($request, [
            'name'              => 'required',
            'price'             => 'required|min:0',
            'max_withdraw'      => 'required|min:0',
            'min_withdraw'      => 'required|min:0',
            'daily_ad_limit'    => 'required|integer',
            'refarel_commision' => 'required|integer',
            ]);
            $plan = new Plan();
            $plan->name             = $request->name;
            $plan->price            = $request->price;
            $plan->bv               = 0;
            $plan->ref_com          = 0;
            $plan->tree_com         = 0;
            $plan->status           = $request->status ? 1 : 0;
            $plan->daily_ad_limit   = $request->daily_ad_limit;
            $plan->view_rate        = $request->view_rate;
            $plan->max_withdraw     = $request->max_withdraw;
            $plan->min_withdraw     = $request->min_withdraw;
            $plan->duration         = $request->duration;
            $plan->refarel_commision = $request->refarel_commision;
            $plan->save();
            
            return redirect()->back()->with('success', 'Plan Created Successfully.');
    }


    public function planUpdate(Request $request)
    {
        $this->validate($request, [
            'id'                => 'required',
            'name'              => 'required',
            'price'             => 'required|min:0',
            'daily_ad_limit'    => 'required|integer',
        ]);

        $plan                   = Plan::find($request->id);
        $plan->name             = $request->name;
        $plan->price            = $request->price;
        $plan->max_withdraw     = $request->max_withdraw;
        $plan->min_withdraw     = $request->min_withdraw;
        $plan->bv               = 0;
        $plan->ref_com          = 0;
        $plan->tree_com         = 0;
        $plan->status           = $request->status ? 1 : 0;
        $plan->daily_ad_limit   = $request->daily_ad_limit;
        $plan->view_rate        = $request->view_rate;
        $plan->duration         = $request->duration;
        $plan->refarel_commision = $request->refarel_commision;
        $plan->save();

        return redirect()->back()->with('success', 'User updated successfully.');
    }



    public function matchingUpdate(Request $request)
    {
        $this->validate($request, [
            'bv_price' => 'required|min:0',
            'total_bv' => 'required|min:0|integer',
            'max_bv' => 'required|min:0|integer',
        ]);

        $setting = GeneralSetting::first();

        if ($request->matching_bonus_time == 'daily') {
            $when = $request->daily_time;
        } elseif ($request->matching_bonus_time == 'weekly') {
            $when = $request->weekly_time;
        } elseif ($request->matching_bonus_time == 'monthly') {
            $when = $request->monthly_time;
        }


        $setting->bv_price = $request->bv_price;
        $setting->total_bv = $request->total_bv;
        $setting->max_bv = $request->max_bv;
        $setting->cary_flash = $request->cary_flash;
        $setting->matching_bonus_time = $request->matching_bonus_time;
        $setting->matching_when = $when;
        $setting->save();

        $notify[] = ['success', 'Matching bonus has been updated.'];
        return back()->withNotify($notify);

    }

    public function getPlan($id)
    {
        $data = Plan::where('id',$id)->first();
        return view('backend.pages.plan.edit', compact('data'));
    }


}
