<?php

namespace App\Http\Livewire\User;

use App\Models\User;
use Livewire\Component;
use Livewire\WithFileUploads;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class SettingsComponent extends Component
{
    use WithFileUploads;
    public $new_pin, $current_pin, $activeTab, $msg, $email, $password, $phone, $new_password, $confirm_password, $personal_pin, $image, $perfect_money, $payeer, $teather1, $teather2;
    public function mount()
    {
        $this->activeTab = 'tab1';
        $this->email = auth()->user()->email;
        $this->phone = auth()->user()->mobile;
        $this->personal_pin = auth()->user()->personal_pin;
        $this->perfect_money = auth()->user()->perfect_money;
        $this->payeer = auth()->user()->payeer;
        $this->teather1 = auth()->user()->teather1;
        $this->teather2 = auth()->user()->teather2;
    }
    public function render()
    {
        return view('livewire.user.settings-component');
    }
    public function tabChanged($tab)
    {
        $this->activeTab = $tab;
    }
    public function emailChanged()
    {
        dd($this->email);
        if ($this->email == "") {
            $this->msg['status'] = 'error';
            $this->msg['message'] = 'Email Is Required';
        } else {
            $user = User::where('email', $this->email)->first();
            if (blank($user)) {
                Auth::user()->update([
                    'email' => $this->email,
                ]);
                $this->msg['status'] = 'success';
                $this->msg['message'] = 'Updated Successfully';
            } else {
                $this->msg['status'] = 'error';
                $this->msg['message'] = 'Email Already Exist';
            }
        }
    }
    public function update()
    {
        
        if ($this->email == null) {
            $this->msg['status'] = 'error';
            $this->msg['message'] = 'Email Is Required';
        } else {
            Auth::user()->update([
                'email' => $this->email,
            ]);
            $this->msg['status'] = 'success';
            $this->msg['message'] = 'Updated Successfully';
        }
        if ($this->image) {
            
            $path = $this->image->store('/', 'public');
        } else {
            $path = auth()->user()->image ?? '';
        }
        Auth::user()->update([
            'email' => $this->email,
            'mobile' => $this->phone,
            'image' => $path ?? '',
            'perfect_money' => $this->perfect_money ?? '',
            'payeer' => $this->payeer ?? '',
            'teather1' => $this->teather1 ?? '',
            'teather2' => $this->teather2 ?? '',
        ]);
        $this->msg['status'] = 'success';
        $this->msg['message'] = 'Updated Successfully';
    }
    public function updateSecurity()
    {
        if ($this->new_password) {
            if ($this->confirm_password == "") {
                $this->msg['status'] = 'error';
                $this->msg['message'] = 'Confirm Password Required';
            } elseif ($this->new_password != $this->confirm_password) {
                $this->msg['status'] = 'error';
                $this->msg['message'] = 'Confirm Password Not Matched';
            } else {
                Auth::user()->update([
                    'password' => Hash::make($this->new_password)
                ]);
                $this->msg['status'] = 'success';
                $this->msg['message'] = 'Password Update Success';
            }
        }
        $this->reset(['confirm_password', 'new_password']);
        if ($this->new_pin) {
            if ($this->current_pin == "") {
                $this->msg['status'] = 'error';
                $this->msg['message'] = 'Current Pin Required';
            } elseif ($this->current_pin != auth()->user()->personal_pin) {
                $this->msg['status'] = 'error';
                $this->msg['message'] = 'Current Pin Not Matched';
            } elseif ($this->new_pin != $this->current_pin) {
                $this->msg['status'] = 'error';
                $this->msg['message'] = 'Not Matched';
            } else {
                Auth::user()->update([
                    'personal_pin' => $this->new_pin
                ]);
                $this->msg['status'] = 'success';
                $this->msg['message'] = 'Pin Update Success';
            }
        }
        $this->reset(['new_pin', 'current_pin']);
    }
}
