<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class AgentRequestAccepted extends Mailable
{
    use Queueable, SerializesModels;

    public $username;

    /**
     * Create a new message instance.
     *
     * @param string $username
     * @return void
     */
    public function __construct($username)
    {
        $this->username = $username;
    }
    

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $subject = 'Agent Request Accepted';
    
        return $this->subject($subject)
                    ->view('emails.agent_request_accepted')
                    ->with([
                        'username' => $this->username,
                    ]);
    }
    
}
