<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class DepositRejected extends Mailable
{
    use Queueable, SerializesModels;

    public $method_name;
    public $rejection_message;

    /**
     * Create a new message instance.
     *
     * @param  string  $method_name
     * @param  string  $rejection_message
     * @return void
     */
    public function __construct($method_name, $rejection_message)
    {
        $this->method_name = $method_name;
        $this->rejection_message = $rejection_message;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Your Deposit Rejected')
                    ->view('emails.deposit-rejected');
    }
}
