<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use App\Models\User;

class ReferralRegistered extends Mailable
{
    use Queueable, SerializesModels;

    public $username;
    public $firstname;
    public $lastname;
    public $referralUser;

    /**
     * Create a new message instance.
     *
     * @param  string  $username
     * @param  string  $firstname
     * @param  string  $lastname
     * @param  User  $referralUser
     * @return void
     */
    public function __construct($username, $firstname, $lastname, User $referralUser)
    {
        $this->username = $username;
        $this->firstname = $firstname;
        $this->lastname = $lastname;
        $this->referralUser = $referralUser;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $subject = 'Congratulations! Your Referral Has Registered';
        
        return $this->subject($subject)
                    ->view('emails.referral_registered', [
                        'username' => $this->username,
                        'firstname' => $this->firstname,
                        'lastname' => $this->lastname,
                        'referralUser' => $this->referralUser,
                    ]);
    }
}
