<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendMailAll extends Mailable implements ShouldQueue
{
    use Queueable, SerializesModels;

    public $subject;
    public $Mailmessage;
    public $username;

    /**
     * Create a new message instance.
     *
     * @param string $subject
     * @param mixed $message
     * @param string $username
     * @return void
     */
    public function __construct($subject, $Mailmessage, $username)
    {
        $this->subject = $subject;
        $this->message = strval($Mailmessage);
        $this->username = $username;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject($this->subject)
            ->view('emails.send_maill_all')
            ->with([
                'message' => $this->Mailmessage,
                'username' => $this->username,
            ]);
    }
}

