<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class SendMailUser extends Mailable
{
    use Queueable, SerializesModels;

    public $subject;
    public $emailMessage;
    public $username;

    /**
     * Create a new message instance.
     *
     * @param string $subject
     * @param mixed $message
     * @param string $username
     * @return void
     */
    public function __construct($subject, $message, $username)
    {
        $this->subject = $subject;
        $this->emailMessage = strval($message);
        $this->username = $username;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject($this->subject)
            ->view('emails.send_mail_user')
            ->with([
                'emailMessage' => $this->emailMessage,
                'username' => $this->username,
            ]);
    }
}
