<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class VoucherReceived extends Mailable
{
    use Queueable, SerializesModels;

    public $senderName;
    public $voucherAmount;
    public $commission;
    public $details;

    /**
     * Create a new message instance.
     *
     * @param string $senderName
     * @param float $voucherAmount
     * @param float $commission
     * @param string $details
     */
    public function __construct($senderName, $voucherAmount, $commission, $details)
    {
        $this->senderName = $senderName;
        $this->voucherAmount = $voucherAmount;
        $this->commission = $commission;
        $this->details = $details;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        $subject = 'Congratulations! You have received a voucher';

        return $this->subject($subject)
                    ->view('emails.voucher_received')
                    ->with([
                        'senderName' => $this->senderName,
                        'voucherAmount' => $this->voucherAmount,
                        'commission' => $this->commission,
                        'details' => $this->details,
                    ]);
    }
}
