<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class WithdrawRejected extends Mailable
{
    use Queueable, SerializesModels;

    public $username;
    public $amount;
    public $currency;
    public $trx;
    public $details;

    /**
     * Create a new message instance.
     *
     * @param  string  $username
     * @param  float  $amount
     * @param  string  $currency
     * @param  string  $trx
     * @return void
     */
    public function __construct($username,$details, $amount, $currency, $trx)
    {
        $this->username = $username;
        $this->amount = $amount;
        $this->currency = $currency;
        $this->trx = $trx;
        $this->details = $details;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->subject('Withdrawal Rejected')
                    ->view('emails.withdrawal.rejected');
    }
}
