<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Ptc extends Model
{
    public function ptcCategory()
    {
        return $this->belongsTo(PtcCategory::class);
    }

    protected $guarded = ['id'];
    public function category()
    {
        return $this->belongsTo(PtcCategory::class, 'ptc_category_id', 'id');
    }
    public function plan()
    {
        return $this->belongsTo(Plan::class);
    }
    public function reactions()
    {
        return $this->hasMany(PtcReaction::class, 'ptc_id', 'id');
    }
    public function comments()
    {
        return $this->hasMany(PtcComment::class, 'ptc_id', 'id');
    }
    public function views()
    {
        return $this->hasMany(PtcView::class, 'ptc_id', 'id');
    }
}
