@extends('backend.layout.layout')

@section('content')
<div class="app-main flex-column flex-row-fluid" id="kt_app_main">
    <!--begin::Content wrapper-->
    <div class="d-flex flex-column flex-column-fluid mt-5">
        <!--begin::Container-->
        <div class="container-xxl">
            <!--begin::Row-->
            <div class="row">
                <div class="col-12">
                    <div class="card mb-4 shadow-sm">
                        <div class="card-header">
                            <h3 class="card-title">Dashboard</h3>
                        </div>
                        <div class="card-body">
                            <p>Welcome to the admin dashboard. This website is dedicated to video ads, allowing users to log in, deposit funds, withdraw money, purchase plans, and much more. From here, you can manage your website, including user accounts, premium users, deposits, notifications, and other administrative tasks.</p>
                        </div>
                    </div>
                </div>
            </div>
            <!--end::Row-->

            <!--begin::Row-->
            <div class="row">
                <!--begin::Statistics Widget-->
                <div class="col-md-6 col-xl-3 mb-4">
                    <div class="card shadow-sm">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h5 class="fw-bold">Total Active Users</h5>
                                    <h3 class="text-primary">{{ $widget['verified_users'] }}</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Statistics Widget-->

                <!--begin::Statistics Widget-->
                <div class="col-md-6 col-xl-3 mb-4">
                    <div class="card shadow-sm">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h5 class="fw-bold">Total Inactive Users</h5>
                                    <h3 class="text-success">{{ $widget['banned_users'] }}</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Statistics Widget-->

                <!--begin::Statistics Widget-->
                <div class="col-md-6 col-xl-3 mb-4">
                    <div class="card shadow-sm">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h5 class="fw-bold">Total Watch Balance</h5>
                                    <h3 class="text-danger">${{ $widget['users_balance'] }}</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Statistics Widget-->

                <!--begin::Statistics Widget-->
                <div class="col-md-6 col-xl-3 mb-4">
                    <div class="card shadow-sm">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h5 class="fw-bold">Total Deposit Balance</h5>
                                    <h3 class="text-info">${{ $widget['users_invest'] }}</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Statistics Widget-->
            </div>
            <div class="row">
                <!--begin::Statistics Widget-->
                <div class="col-md-6 col-xl-3 mb-4">
                    <div class="card shadow-sm">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h5 class="fw-bold">Total Deposit Pending</h5>
                                    <h3 class="text-primary">{{ $payment['total_deposit_pending']}}</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Statistics Widget-->

                <!--begin::Statistics Widget-->
                <div class="col-md-6 col-xl-3 mb-4">
                    <div class="card shadow-sm">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h5 class="fw-bold">Total Deposits Rejected</h5>
                                    <h3 class="text-success">{{ $payment['total_deposit_reject'] }}</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Statistics Widget-->

                <!--begin::Statistics Widget-->
                <div class="col-md-6 col-xl-3 mb-4">
                    <div class="card shadow-sm">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h5 class="fw-bold">Total Withdrawals</h5>
                                    <h3 class="text-danger">${{$paymentWithdraw['total_withdraw_amount']}}</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Statistics Widget-->

                <!--begin::Statistics Widget-->
                <div class="col-md-6 col-xl-3 mb-4">
                    <div class="card shadow-sm">
                        <div class="card-body">
                            <div class="d-flex align-items-center">
                                <div>
                                    <h5 class="fw-bold">Active Plans</h5>
                                    <h3 class="text-info">{{ $plans }}</h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--end::Statistics Widget-->
            </div>
            <!--end::Row-->

            <!--begin::Row-->
            <div class="row">
                <!--begin::Recent Activity-->
                <div class="col-lg-8 mb-4">
                    <div class="card shadow-sm h-100">
                        <div class="card-header">
                            <h3 class="card-title">Recent Activity</h3>
                        </div>
                        <div class="card-body">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Title</th>
                                    <th>Time</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach($notifications as $notification)
                                    @php
                                        $timeDiff = $notification->created_at->diffInHours();
                                        if ($timeDiff < 1) {
                                            $badgeClass = 'bg-success'; // Under 1 hour
                                        } elseif ($timeDiff < 3) {
                                            $badgeClass = 'bg-info'; // Under 3 hours
                                        } elseif ($timeDiff < 24) {
                                            $badgeClass = 'bg-warning'; // Under 1 day
                                        } elseif ($timeDiff < 72) {
                                            $badgeClass = 'bg-danger'; // Under 3 days
                                        } else {
                                            $badgeClass = 'bg-secondary'; // Over 3 days
                                        }
                                    @endphp
                                    <tr>
                                        <td>{{$notification->title}}</td>
                                        <td>
                                            <span class="badge {{ $badgeClass }} rounded-pill">{{$notification->created_at->diffForHumans()}}</span>
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>

                    </div>
                </div>
                <!--end::Recent Activity-->

                <!--begin::User Management-->
                <div class="col-lg-4 mb-4">
                    <div class="card shadow-sm h-100">
                        <div class="card-header">
                            <h3 class="card-title">User Management</h3>
                        </div>
                        <div class="card-body">
                            <button class="btn btn-primary w-100 mb-2">Add New User</button>
                            <button class="btn btn-secondary w-100 mb-2">View All Users</button>
                            <button class="btn btn-danger w-100">Remove User</button>
                        </div>
                    </div>
                </div>
                <!--end::User Management-->
            </div>
            <!--end::Row-->
        </div>
        <!--end::Container-->
    </div>
    <!--end::Content wrapper-->
</div>
@endsection
