@extends('backend.layout.layout')
@section('content')
    <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
        <!--begin::Content wrapper-->
        <div class="d-flex flex-column flex-column-fluid">
            <!--begin::Toolbar-->
            <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                <!--begin::Toolbar container-->
                <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                    <!--begin::Page title-->
                    <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                        <!--begin::Title-->
                        <h1 class="page-heading d-flex text-dark fw-bold fs-3 flex-column justify-content-center my-0">
                            Customer List</h1>
                        <!--end::Title-->
                        <!--begin::Breadcrumb-->
                        <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">
                                <a href="../../demo1/dist/index.html" class="text-muted text-hover-primary">Home</a>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item">
                                <span class="bullet bg-gray-400 w-5px h-2px"></span>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">Customers</li>
                            <!--end::Item-->
                        </ul>
                        <!--end::Breadcrumb-->
                    </div>
                    <!--end::Page title-->
                </div>
                <!--end::Toolbar container-->
            </div>

            @if(session('success'))
                <div class="container">
                    <div class="alert alert-success">
                        {{ session('success') }}
                    </div>
                </div>
            @endif

            <!--end::Toolbar-->
            <!--begin::Content-->
            <div id="kt_app_content" class="app-content flex-column-fluid">
                <!--begin::Content container-->
                <div id="kt_app_content_container" class="app-container container-xxl">
                    <!--begin::Card-->
                    <div class="card">
                        <!--begin::Card header-->
                        <div class="card-header border-0 pt-6">
                            <!--begin::Card title-->
                            <div class="card-title">

                                <!--begin::Search-->
                                <form action="{{ route('admin.users.search',$scope ??str_replace('admin.users.','',request()->route()->getName())) }}" method="GET">
                                    <div class="d-flex align-items-center position-relative my-1">
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen021.svg-->
                                        <span class="svg-icon svg-icon-1 position-absolute ms-6">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                                xmlns="http://www.w3.org/2000/svg">
                                                <rect opacity="0.5" x="17.0365" y="15.1223" width="8.15546"
                                                    height="2" rx="1" transform="rotate(45 17.0365 15.1223)"
                                                    fill="currentColor"></rect>
                                                <path
                                                    d="M11 19C6.55556 19 3 15.4444 3 11C3 6.55556 6.55556 3 11 3C15.4444 3 19 6.55556 19 11C19 15.4444 15.4444 19 11 19ZM11 5C7.53333 5 5 7.53333 5 11C5 14.4667 7.53333 17 11 17C14.4667 17 17 14.4667 17 11C17 7.53333 14.4667 5 11 5Z"
                                                    fill="currentColor"></path>
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                        <input type="text" data-kt-customer-table-filter="search" name="search" 
                                                class="form-control form-control-solid w-250px ps-15"
                                                placeholder="Search Customers">
                                                <button type="submit" class="btn btn-small">Search</button>
                                        </div>
                                 </form>
                                <!--end::Search-->
                            </div>
                            <!--begin::Card title-->
                        </div>
                        <!--end::Card header-->
                        <!--begin::Card body-->
                        <div class="card-body pt-0">
                            <!--begin::Table-->
                            <div id="kt_customers_table_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer">
                                <div class="table-responsive">
                                    <table class="table align-middle table-row-dashed fs-6 gy-5 dataTable no-footer"
                                        id="kt_customers_table">
                                        <!--begin::Table head-->
                                        <thead>
                                            <!--begin::Table row-->
                                            <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                <th class="w-10px pe-2 sorting_disabled" rowspan="1" colspan="1"
                                                    aria-label="
                                        
                                            
                                        
                                    "
                                                    style="width: 29.8906px;">
                                                    <div
                                                        class="form-check form-check-sm form-check-custom form-check-solid me-3">
                                                        <input class="form-check-input" type="checkbox" data-kt-check="true"
                                                            data-kt-check-target="#kt_customers_table .form-check-input"
                                                            value="1">
                                                    </div>
                                                </th>
                                                <th class="min-w-125px sorting" tabindex="0" aria-controls="kt_customers_table" rowspan="1" colspan="1"
                                                    aria-label="Customer Name: activate to sort column ascending"
                                                    style="width: 172.391px;">Customer Name</th>
                                                <th class="min-w-125px sorting" tabindex="0"
                                                    aria-controls="kt_customers_table" rowspan="1" colspan="1"
                                                    aria-label="Email: activate to sort column ascending"
                                                    style="width: 213.312px;">Email</th>
                                                <th class="min-w-125px sorting" tabindex="0"
                                                    aria-controls="kt_customers_table" rowspan="1" colspan="1"
                                                    aria-label="Company: activate to sort column ascending"
                                                    style="width: 189.484px;">Username</th>
                                                <th class="min-w-125px sorting" tabindex="0"
                                                    aria-controls="kt_customers_table" rowspan="1" colspan="1"
                                                    aria-label="Payment Method: activate to sort column ascending"
                                                    style="width: 172.391px;">Balance</th>
                                                <th class="min-w-125px sorting" tabindex="0"
                                                    aria-controls="kt_customers_table" rowspan="1" colspan="1"
                                                    aria-label="Created Date: activate to sort column ascending"
                                                    style="width: 223.922px;">join Date</th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="Actions" style="width: 135.109px;">Country
                                                </th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="Actions" style="width: 135.109px;">Actions
                                                </th>
                                            </tr>
                                            <!--end::Table row-->
                                        </thead>
                                        <!--end::Table head-->
                                        <!--begin::Table body-->
                                        <tbody class="fw-semibold text-gray-600">
                                            @forelse($users as $user)
                                                <tr class="odd">
                                                    <!--begin::Checkbox-->
                                                    <td>
                                                        <div
                                                            class="form-check form-check-sm form-check-custom form-check-solid">
                                                            <input class="form-check-input" type="checkbox"
                                                                value="1">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <a href="{{ route('admin.users.detail', $user->id) }}"
                                                            class="text-gray-800 text-hover-primary mb-1">{{ $user->firstname }} {{ $user->lastname }}</a>
                                                    </td>
                                                    <td>
                                                        <a href="{{ route('admin.users.detail', $user->id) }}"
                                                            class="text-gray-800 text-hover-primary mb-1">{{$user->email}}</a>
                                                    </td>
                                                    <!--end::Name=-->
                                                    <!--begin::Email=-->
                                                    <td>
                                                        <a href="{{ route('admin.users.detail', $user->id) }}" class="text-gray-600 text-hover-primary mb-1">{{$user->username}}</a>
                                                    </td>
                                                    <td>
                                                        <a class="text-gray-600 text-hover-primary mb-1">{{ App\Models\User::currency(number_format($user->total_invest, 2)) }}</a>
                                                    </td>

                                                    <td data-filter="mastercard">
                                                        @if (File::exists(public_path('assets/images/user/profile/' . $user->image)))
                                                           <img src="{{ asset('assets/images/user/profile/' . $user->image) }}"
                                                            class="w-35px me-3" alt="">
                                                        @else
                                                            <img src="{{asset('assets/backend/media/svg/card-logos/mastercard.svg')}}"
                                                                class="w-35px me-3" alt="">{{ showDateTime($user->created_at) }}
                                                        @endif
                                                    </td>
                                                    <td>
                                                        <a class="text-gray-600 text-hover-primary mb-1">{{$user->country}}</a>
                                                    </td>
                                                    <td class="text-end">
                                                        <a href="#"
                                                            class="btn btn-sm btn-light btn-active-light-primary"
                                                            data-kt-menu-trigger="click"
                                                            data-kt-menu-placement="bottom-end">Actions
                                                            <!--begin::Svg Icon | path: icons/duotune/arrows/arr072.svg-->
                                                            <span class="svg-icon svg-icon-5 m-0">
                                                                <svg width="24" height="24" viewBox="0 0 24 24"
                                                                    fill="none" xmlns="http://www.w3.org/2000/svg">
                                                                    <path
                                                                        d="M11.4343 12.7344L7.25 8.55005C6.83579 8.13583 6.16421 8.13584 5.75 8.55005C5.33579 8.96426 5.33579 9.63583 5.75 10.05L11.2929 15.5929C11.6834 15.9835 12.3166 15.9835 12.7071 15.5929L18.25 10.05C18.6642 9.63584 18.6642 8.96426 18.25 8.55005C17.8358 8.13584 17.1642 8.13584 16.75 8.55005L12.5657 12.7344C12.2533 13.0468 11.7467 13.0468 11.4343 12.7344Z"
                                                                        fill="currentColor"></path>
                                                                </svg>
                                                            </span>
                                                            <!--end::Svg Icon-->
                                                        </a>
                                                        <!--begin::Menu-->
                                                        <div class="menu menu-sub menu-sub-dropdown menu-column menu-rounded menu-gray-600 menu-state-bg-light-primary fw-semibold fs-7 w-125px py-4"
                                                            data-kt-menu="true">
                                                            <!--begin::Menu item-->
                                                            <div class="menu-item px-3">
                                                                <a href="{{ route('admin.users.detail', $user->id) }}"
                                                                    class="menu-link px-3">View</a>
                                                            </div>
                                                            <!--end::Menu item-->
                                                            <!--begin::Menu item-->
                                                            @if($user->status == 1)
                                                                <div class="menu-item px-3">
                                                                    <a href="{{ route('admin.users.deactive', $user->id) }}" class="menu-link px-3"
                                                                        data-kt-customer-table-filter="delete_row">Deactive</a>
                                                                </div>
                                                            @endif
                                                            @if($user->status == 0)
                                                                <div class="menu-item px-3">
                                                                    <a href="{{ route('admin.users.live', $user->id) }}" class="menu-link px-3"
                                                                        data-kt-customer-table-filter="delete_row">Active</a>
                                                                </div>
                                                            @endif
                                                            <!--end::Menu item-->
                                                        </div>
                                                        <!--end::Menu-->
                                                    </td>
                                                    <!--end::Action=-->
                                                </tr>
                                                @empty
                                                <tr>
                                                    <td class="text-muted text-center" colspan="100%" >{{ __($empty_message) }}</td>
                                                </tr>
                                          @endforelse
                                        </tbody>
                                        <!--end::Table body-->
                                    </table>
                                </div>
                                <div class="row">
                                    <div
                                        class="col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start">
                                       </div>
                                    <div
                                        class="col-sm-12 col-md-7 d-flex align-items-center justify-content-center justify-content-md-end">
                                        <div class="dataTables_paginate paging_simple_numbers"
                                            id="kt_customers_table_paginate">
                                            {{ $users->links() }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!--end::Table-->
                        </div>
                        <!--end::Card body-->
                    </div>
                    <!--end::Card-->
                </div>
                <!--end::Content container-->
            </div>
            <!--end::Content-->
        </div>
        <!--end::Content wrapper-->
    </div>  
@endsection
