@extends('backend.layout.layout')
@section('content')
<div class="container mt-10">
    @if(session('success'))
    <div class="container">
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    </div>
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
        @endforeach
    </ul>
</div>
@endif
</div>
    <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
        <!--begin::Content wrapper-->
        <div class="d-flex flex-column flex-column-fluid">
            <!--begin::Toolbar-->
            <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                <!--begin::Toolbar container-->
                <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                    <!--begin::Page title-->
                    <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                        <!--begin::Title-->
                        <h1 class="page-heading d-flex text-dark fw-bold fs-3 flex-column justify-content-center my-0">
                            methods List</h1>
                        <!--end::Title-->
                        <!--begin::Breadcrumb-->
                        <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">
                                <a href="../../demo1/dist/index.html" class="text-muted text-hover-primary">Home</a>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item">
                                <span class="bullet bg-gray-400 w-5px h-2px"></span>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">All methods</li>
                            <!--end::Item-->
                        </ul>
                        <!--end::Breadcrumb-->
                    </div>
                    <!--end::Page title-->
                </div>
                <!--end::Toolbar container-->
            </div>
            <!--end::Toolbar-->
            <!--begin::Content-->
            <div id="kt_app_content" class="app-content flex-column-fluid">
                <!--begin::Content container-->
                <div id="kt_app_content_container" class="app-container container-xxl">
                    <!--begin::Card-->
                    <div class="card">
                        <!--begin::Card body-->
                        <div class="card-body pt-0">
                            <!--begin::Table-->
                            <div id="kt_customers_table_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer">
                                <div class="table-responsive">
                                    <table class="table align-middle table-row-dashed fs-6 gy-5 dataTable no-footer"
                                        id="kt_customers_table">
                                        <!--begin::Table head-->
                                        <thead>
                                            <!--begin::Table row-->
                                            <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                <th class="w-10px pe-2 sorting_disabled" rowspan="1" colspan="1"
                                                    aria-label=""
                                                    style="width: 29.8906px;">
                                                    <div
                                                        class="form-check form-check-sm form-check-custom form-check-solid me-3">
                                                        <input class="form-check-input" type="checkbox" data-kt-check="true"
                                                            data-kt-check-target="#kt_customers_table .form-check-input"
                                                            value="1">
                                                    </div>
                                                </th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="actions" style="width: 135.109px;">@lang('Username')</th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="actions" style="width: 135.109px;">@lang('Email')</th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="actions" style="width: 135.109px;">@lang('Country')</th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="actions" style="width: 135.109px;">@lang('Skype')</th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="actions" style="width: 135.109px;">@lang('Facebook')</th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="actions" style="width: 135.109px;">@lang('Status')</th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="actions" style="width: 135.109px;">@lang('Action')</th>
                                            </tr>
                                            <!--end::Table row-->
                                        </thead>
                                        <!--end::Table head-->
                                        <!--begin::Table body-->
                                        <tbody class="fw-semibold text-gray-600">
                                            @forelse($agents as $agent)
                                                <tr class="odd">
                                                    <!--begin::Checkbox-->
                                                    <td>
                                                        <div
                                                            class="form-check form-check-sm form-check-custom form-check-solid">
                                                            <input class="form-check-input" type="checkbox"
                                                                value="1">
                                                        </div>
                                                    </td>


                                                    <td data-label="@lang('Username')"><a
                                                            href="{{ route('admin.users.detail', $agent->id) }}" class="text-gray-800 text-hover-primary mb-1">{{ $agent->username }}</a>
                                                    </td>
                                                    <td data-label="@lang('Username')"> <a href="#" class="text-gray-800 text-hover-primary mb-1">{{ $agent->email }}</a></td>
                                                    <td data-label="@lang('Username')"><a href="#" class="text-gray-800 text-hover-primary mb-1">{{ $agent->country }}</a></td>
                                                    <td data-label="@lang('Username')"><a href="#" class="text-gray-800 text-hover-primary mb-1">{{ $agent->skype }}</a></td>
                                                    <td data-label="@lang('Username')"><a href="#" class="text-gray-800 text-hover-primary mb-1">{{ $agent->facebook }}</a></td>
                                                    <td data-label="@lang('Status')">
                                                        @if ($agent->is_agent == 1)
                                                            <span class="badge badge-warning p-2"> Panding</span>
                                                        @elseif($agent->is_agent == 2)
                                                            <span class="badge badge-success p-2"> Success</span>
                                                        @elseif($agent->is_agent == 3)
                                                            <span class="badge badge-danger p-2"> Reject</span>
                                                        @endif
                                                    </td>
                                                    <td data-label="@lang('Action')">
                                                        @if ($agent->is_agent == 1)
                                                            <a href="{{ route('agent.accept', $agent->id) }}"
                                                                class="icon-btn btn btn-success"
                                                                data-original-title="@lang('Accept')"> Accept</a>
                                                            <a href="{{ route('agent.reject', $agent->id) }}"
                                                                class="icon-btn btn btn-danger"
                                                                data-original-title="@lang('Reject')"> Reject</a>
                                                        @elseif($agent->is_agent == 2)
                                                            <a href="{{ route('agent.reject', $agent->id) }}"
                                                                class="icon-btn btn btn-danger"
                                                                data-original-title="@lang('Reject')"> Reject</a>
                                                        @elseif($agent->is_agent == 3)
                                                            <a href="{{ route('agent.accept', $agent->id) }}"
                                                                class="icon-btn btn btn-success"
                                                                data-original-title="@lang('Accept')"> Accept</a>
                                                        @endif
                                                    </td>
                                                </tr>
                                                @empty
                                                <tr>
                                                    <td class="text-muted text-center" colspan="100%" >{{ __($empty_message) }}</td>
                                                </tr>
                                          @endforelse
                                        </tbody>
                                        <!--end::Table body-->
                                    </table>
                                </div>
                                <div class="row">
                                    <div
                                        class="col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start">
                                       </div>

                                </div>
                            </div>
                            <!--end::Table-->
                        </div>
                        <!--end::Card body-->
                    </div>
                    <!--end::Card-->
                </div>
                <!--end::Content container-->
            </div>
            <!--end::Content-->
        </div>
        <!--end::Content wrapper-->
    </div>  
@endsection