@extends('backend.layout.layout')

@section('content')

<div class="container">
    @if(session('success'))
<div class="alert alert-success">
    {{ session('success') }}
</div>
@endif

@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
        @endforeach
    </ul>
</div>
@endif
</div>
    <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
        <!--begin::Content wrapper-->
        <div class="d-flex flex-column flex-column-fluid">
            <!--begin::Toolbar-->
            <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                <!--begin::Toolbar container-->
                <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                    <!--begin::Page title-->
                    <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                        <!--begin::Title-->
                        <h1 class="page-heading d-flex text-dark fw-bold fs-3 flex-column justify-content-center my-0">
                            Currency List</h1>
                        <!--end::Title-->
                        <!--begin::Breadcrumb-->
                        <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">
                                <a href="../../demo1/dist/index.html" class="text-muted text-hover-primary">Home</a>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item">
                                <span class="bullet bg-gray-400 w-5px h-2px"></span>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">All Currency</li>
                            <!--end::Item-->
                        </ul>
                        <!--end::Breadcrumb-->
                    </div>
                    <!--end::Page title-->
                </div>
                <!--end::Toolbar container-->
            </div>
            <!--end::Toolbar-->
            <!--begin::Content-->
            <div id="kt_app_content" class="app-content flex-column-fluid">
                <!--begin::Content container-->
                <div id="kt_app_content_container" class="app-container container-xxl">
                    <!--begin::Card-->
                    <div class="card">
                        <!--begin::Card header-->
                        <div class="card-header border-0 pt-6">
                            <button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#addModal">
                                 @lang('Add Currency')
                            </button>
                            
                            <div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="addModalLabel" aria-hidden="true">
                                <div class="modal-dialog" role="document">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <h5 class="modal-title" id="addModalLabel">@lang('Add Currency')</h5>
                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                        </div>
                                        <div class="modal-body">
                                            <form action="{{ route('admin.currency.store') }}" method="POST">
                                                @csrf
                                                <div class="mb-3">
                                                    <label for="currency_code" class="form-label">@lang('Currency Code')</label>
                                                    <input type="text" class="form-control" id="currency_code" name="currency_code" required>
                                                </div>
                                                <div class="mb-3">
                                                    <label for="exchange_rate" class="form-label">@lang('Exchange Rate')</label>
                                                    <input type="text" class="form-control" id="exchange_rate" name="exchange_rate" required>
                                                </div>
                                                <div class="mb-3">
                                                    <label for="status" class="form-label">@lang('Status')</label>
                                                    <select class="form-select" id="status" name="status" required>
                                                        <option value="active">@lang('Active')</option>
                                                        <option value="inactive">@lang('Inactive')</option>
                                                    </select>
                                                </div>
                                                <button type="submit" class="btn btn-primary">@lang('Add Currency')</button>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                                                        
                            <!--begin::Card title-->
                            <div class="card-title">

                                <!--begin::Search-->
                                <form action="{{ route('admin.deposit.search',$scope ??str_replace('admin.deposit.','',request()->route()->getName())) }}" method="GET">
                                    <div class="d-flex align-items-center position-relative my-1">
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen021.svg-->
                                        <span class="svg-icon svg-icon-1 position-absolute ms-6">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                                xmlns="http://www.w3.org/2000/svg">
                                                <rect opacity="0.5" x="17.0365" y="15.1223" width="8.15546"
                                                    height="2" rx="1" transform="rotate(45 17.0365 15.1223)"
                                                    fill="currentColor"></rect>
                                                <path
                                                    d="M11 19C6.55556 19 3 15.4444 3 11C3 6.55556 6.55556 3 11 3C15.4444 3 19 6.55556 19 11C19 15.4444 15.4444 19 11 19ZM11 5C7.53333 5 5 7.53333 5 11C5 14.4667 7.53333 17 11 17C14.4667 17 17 14.4667 17 11C17 7.53333 14.4667 5 11 5Z"
                                                    fill="currentColor"></path>
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                        <input type="text" data-kt-customer-table-filter="search" name="search" 
                                                class="form-control form-control-solid w-250px ps-15"
                                                placeholder="Search Customers">
                                                <button type="submit" class="btn btn-small">Search</button>
                                        </div>
                                 </form>
                                <!--end::Search-->
                            </div>
                            <!--begin::Card title-->
                        </div>
                        <!--end::Card header-->
                        <!--begin::Card body-->
                        <div class="card-body pt-0">
                            <!--begin::Table-->
                            <div id="kt_customers_table_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer">
                                <div class="table-responsive">
                                    <table class="table align-middle table-row-dashed fs-6 gy-5 dataTable no-footer" id="kt_customers_table">
                                        <!--begin::Table head-->
                                        <thead>
                                            <!--begin::Table row-->
                                            <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                <th class="min-w-125px sorting" scope="col">@lang('Currency Code')</th>
                                                <th scope="col">@lang('Exchange Rate')</th>
                                                <th scope="col">@lang('Status')</th>
                                                <th scope="col">@lang('Action')</th>
                                            </tr>
                                            <!--end::Table row-->
                                        </thead>
                                        <!--end::Table head-->
                                        <!--begin::Table body-->
                                        <tbody class="fw-semibold text-gray-600">
                                            @forelse($currencies as $currency)
                                            <tr class="odd">
                                                <td>
                                                    <a href="#" class="text-gray-800 text-hover-primary mb-1">{{ $currency->currency_code }}</a>
                                                </td>
                                                <td>
                                                    <a href="#" class="text-gray-800 text-hover-primary mb-1">{{ $currency->exchange_rate }}</a>
                                                </td>
                                                <td>
                                                    <a href="#" class="text-gray-600 text-hover-primary mb-1">{{ $currency->status }}</a>
                                                </td>
                                                <td class="text-end">
                                                    <a href="#" class="btn btn-sm btn-primary btn-active-light-primary"
                                                        data-bs-toggle="modal" data-bs-target="#editModal{{$currency->id}}">
                                                        @lang('Edit')
                                                    </a>
                                                    <a href="#" class="btn btn-sm btn-danger btn-active-light-primary"
                                                        data-bs-toggle="modal" data-bs-target="#deleteModal{{$currency->id}}">
                                                        @lang('Delete')
                                                    </a>
                                                </td>
                                            </tr>
                        
                                            <!-- Edit Modal -->
                                            <div class="modal fade" id="editModal{{$currency->id}}" tabindex="-1" role="dialog"
                                                aria-labelledby="editModal{{$currency->id}}Label" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="editModal{{$currency->id}}Label">@lang('Edit Currency')</h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <!-- Add your edit form fields here -->
                                                            <!-- For example: -->
                                                            <form action="{{ route('admin.currency.update', $currency->id) }}" method="POST">
                                                                @csrf
                                                                @method('PUT')
                                                                <!-- Add your edit form fields here -->
                                                                <!-- For example: -->
                                                                <div class="mb-3">
                                                                    <label for="currency_code" class="form-label">@lang('Currency Code')</label>
                                                                    <input type="text" class="form-control" id="currency_code" name="currency_code"
                                                                        value="{{ $currency->currency_code }}">
                                                                </div>
                                                                <div class="mb-3">
                                                                    <label for="exchange_rate" class="form-label">@lang('Exchange Rate')</label>
                                                                    <input type="text" class="form-control" id="exchange_rate" name="exchange_rate"
                                                                        value="{{ $currency->exchange_rate }}">
                                                                </div>
                                                                <div class="mb-3">
                                                                    <label for="status" class="form-label">@lang('Status')</label>
                                                                    <select class="form-select" id="status" name="status">
                                                                        <option value="active" {{ $currency->status === 'active' ? 'selected' : '' }}>@lang('Active')</option>
                                                                        <option value="inactive" {{ $currency->status === 'inactive' ? 'selected' : '' }}>@lang('Inactive')</option>
                                                                    </select>
                                                                </div>
                                                                <!-- Add other form fields here -->
                                                                <button type="submit" class="btn btn-primary">@lang('Save Changes')</button>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            
                        
                                            <!-- Delete Modal -->
                                            <div class="modal fade" id="deleteModal{{$currency->id}}" tabindex="-1" role="dialog"
                                                aria-labelledby="deleteModal{{$currency->id}}Label" aria-hidden="true">
                                                <div class="modal-dialog" role="document">
                                                    <div class="modal-content">
                                                        <div class="modal-header">
                                                            <h5 class="modal-title" id="deleteModal{{$currency->id}}Label">@lang('Delete Currency')</h5>
                                                            <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                                aria-label="Close"></button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <p>@lang('Are you sure you want to delete this currency?')</p>
                                                        </div>
                                                        <div class="modal-footer">
                                                            <form action="{{ route('admin.currency.destroy', $currency->id) }}" method="POST">
                                                                @csrf
                                                                @method('DELETE')
                                                                <button type="submit" class="btn btn-danger">@lang('Delete')</button>
                                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">@lang('Cancel')</button>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                        
                                            @empty
                                            <tr>
                                                <td class="text-muted text-center" colspan="100%">{{ __($empty_message) }}</td>
                                            </tr>
                                            @endforelse
                                        </tbody>
                                        <!--end::Table body-->
                                    </table>
                                </div>
                                <div class="row">
                                    <div
                                        class="col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start">
                                    </div>
                                    <div
                                        class="col-sm-12 col-md-7 d-flex align-items-center justify-content-center justify-content-md-end">
                                        <div class="dataTables_paginate paging_simple_numbers" id="kt_customers_table_paginate">
                                            {{ $currencies->links() }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!--end::Table-->
                        </div>
                        

                        <!--end::Card body-->
                    </div>
                    <!--end::Card-->
                </div>
                <!--end::Content container-->
            </div>
            <!--end::Content-->
        </div>
        <!--end::Content wrapper-->
    </div>  
@endsection