@extends('backend.layout.layout')
@section('content')
    <div class="container mt-10">
        @if (session('success'))
            <div class="container">
                <div class="alert alert-success">
                    {{ session('success') }}
                </div>
            </div>
        @endif
        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
    </div>
    <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
        <!--begin::Content wrapper-->
        <div class="d-flex flex-column flex-column-fluid">
            <!--begin::Toolbar-->
            <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                <!--begin::Toolbar container-->
                <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                    <!--begin::Page title-->
                    <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                        <!--begin::Title-->
                        <h1 class="page-heading d-flex text-dark fw-bold fs-3 flex-column justify-content-center my-0">
                            Deposit methods List</h1>
                        <!--end::Title-->
                        <!--begin::Breadcrumb-->
                        <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">
                                <a href="../../demo1/dist/index.html" class="text-muted text-hover-primary">Home</a>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item">
                                <span class="bullet bg-gray-400 w-5px h-2px"></span>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">All methods</li>
                            <!--end::Item-->
                        </ul>
                        <!--end::Breadcrumb-->
                    </div>
                    <!--end::Page title-->
                </div>
                <!--end::Toolbar container-->
            </div>
            <!--end::Toolbar-->
            <!--begin::Content-->
            <div id="kt_app_content" class="app-content flex-column-fluid">
                <!--begin::Content container-->
                <div id="kt_app_content_container" class="app-container container-xxl">
                    <!--begin::Card-->
                    <div class="card">
                        <!--begin::Card body-->
                        <div class="card-body pt-0">
                            <!--begin::Table-->
                            <div id="kt_customers_table_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer">
                                <div class="table-responsive">
                                    <table class="table align-middle table-row-dashed fs-6 gy-5 dataTable no-footer"
                                        id="kt_customers_table">
                                        <!--begin::Table head-->
                                        <thead>
                                            <!--begin::Table row-->
                                            <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                <th class="w-10px pe-2 sorting_disabled" rowspan="1" colspan="1"
                                                    aria-label="" style="width: 29.8906px;">
                                                    <div
                                                        class="form-check form-check-sm form-check-custom form-check-solid me-3">
                                                        <input class="form-check-input" type="checkbox" data-kt-check="true"
                                                            data-kt-check-target="#kt_customers_table .form-check-input"
                                                            value="1">
                                                    </div>
                                                </th>
                                                <th class="min-w-125px sorting" tabindex="0"
                                                    aria-controls="kt_customers_table" rowspan="1" colspan="1"
                                                    aria-label="Customer Name: activate to sort column ascending"
                                                    style="width: 172.391px;">Method Name</th>
                                                <th class="min-w-125px sorting" tabindex="0"
                                                    aria-controls="kt_customers_table" rowspan="1" colspan="1"
                                                    aria-label="Email: activate to sort column ascending"
                                                    style="width: 213.312px;">Deposit Limit</th>
                                                <th class="min-w-125px sorting" tabindex="0"
                                                    aria-controls="kt_customers_table" rowspan="1" colspan="1"
                                                    aria-label="Payment Method: activate to sort column ascending"
                                                    style="width: 172.391px;">Charge</th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="Actions" style="width: 135.109px;">Status
                                                </th>
                                                <th class="text-end min-w-70px sorting_disabled" rowspan="1"
                                                    colspan="1" aria-label="Actions" style="width: 135.109px;">View
                                                </th>
                                            </tr>
                                            <!--end::Table row-->
                                        </thead>
                                        <!--end::Table head-->
                                        <!--begin::Table body-->
                                        <tbody class="fw-semibold text-gray-600">
                                            @forelse($methods as $method)
                                                <tr class="odd">
                                                    <!--begin::Checkbox-->
                                                    <td>
                                                        <div
                                                            class="form-check form-check-sm form-check-custom form-check-solid">
                                                            <input class="form-check-input" type="checkbox" value="1">
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <div class="thumb"><img width="50px"
                                                                src="{{ Storage::disk('public')->url($method->image) }}"
                                                                alt="@lang('image')"></div>
                                                        <a href="#"
                                                            class="text-gray-800 text-hover-primary mb-1">{{ __($method->name) }}</a>
                                                    </td>
                                                    <!--end::Name=-->
                                                    <!--begin::Email=-->
                                                    <td>
                                                        <a href="#"
                                                            class="text-gray-600 text-hover-primary mb-1">{{ $method->min_amount + 0 }}
                                                            - {{ $method->max_amount + 0 }} {{ __($general->cur_text) }}</a>
                                                    </td>
                                                    <td>
                                                        <a class="text-gray-600 text-hover-primary mb-1">{{ getAmount($method->fixed_charge) }}
                                                            {{ __($general->cur_text) }}
                                                            {{ 0 < $method->percent_charge ? ' + ' . getAmount($method->percent_charge) . ' %' : '' }}</a>
                                                    </td>
                                                    <td class="text-end">
                                                        @if ($method->status == 1)
                                                            <a href="#" class="badge badge-light-success me-2"
                                                                data-kt-menu-placement="bottom-end">Active
                                                            </a>
                                                        @endif
                                                        @if ($method->status == 0)
                                                            <a href="#" class="badge badge-light-danger me-2"
                                                                data-kt-menu-placement="bottom-end">Inactive
                                                            </a>
                                                        @endif
                                                    </td>
                                                    <td class="text-end">
                                                        <a href="{{ route('admin.deposit-method.blue.edit', $method->method_code) }}"
                                                            class="btn btn-sm btn-primary btn-active-light-primary">Edit
                                                        </a>
                                                        @if ($method->status == 1)
                                                            <form
                                                                action="{{ route('admin.deposit-method.blue.deactivate') }}"
                                                                method="POST">
                                                                @csrf
                                                                <input type="hidden" name="code"
                                                                    value="{{ $method->method_code }}">
                                                                <button type="submit"
                                                                    class="btn btn-sm btn-danger">Inactive</button>
                                                            </form>
                                                        @endif
                                                        @if ($method->status == 0)
                                                            <form
                                                                action="{{ route('admin.deposit-method.blue.activate') }}"
                                                                method="POST">
                                                                @csrf
                                                                <input type="hidden" name="code"
                                                                    value="{{ $method->method_code }}">
                                                                <button type="submit"
                                                                    class="btn btn-sm btn-success">Active</button>
                                                            </form>
                                                        @endif
                                                    </td>
                                                    <!--end::Action=-->
                                                </tr>
                                            @empty
                                                <tr>
                                                    <td class="text-muted text-center" colspan="100%">
                                                        {{ __($empty_message) }}</td>
                                                </tr>
                                            @endforelse
                                        </tbody>
                                        <!--end::Table body-->
                                    </table>
                                </div>
                                <div class="row">
                                    <div
                                        class="col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start">
                                    </div>

                                </div>
                            </div>
                            <!--end::Table-->
                        </div>
                        <!--end::Card body-->
                    </div>
                    <!--end::Card-->
                </div>
                <!--end::Content container-->
            </div>
            <!--end::Content-->
        </div>
        <!--end::Content wrapper-->
    </div>
@endsection
