@extends('backend.layout.layout')
@section('content')
    <div class="container mt-10">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif


    </div>
    <div id="kt_app_content_container mt-10" class="app-container container-xxl" style="margin-bottom: 335px;">
        <div class="card mb-5 mt-10 mb-xl-10">
            <!--begin::Card header-->
            <div class="card-header border-0 cursor-pointer" role="button" data-bs-toggle="collapse"
                data-bs-target="#kt_account_profile_details" aria-expanded="true"
                aria-controls="kt_account_profile_details">
                <!--begin::Card title-->
                <div class="card-title m-0">
                    <h3 class="fw-bold m-0">Mail Config</h3>
                </div>
                <!--end::Card title-->
            </div>
            <!--begin::Card header-->
            <div id="kt_app_content_container mt-10" class="app-container container-xxl">
                <div class="card mb-5 mt-10 mb-xl-10">
                    <div id="kt_account_settings_profile_details" class="collapse show">
                        <!--begin::Form-->
                        <form action="{{route('admin.email.config.setting')}}" method="POST"
                            id="kt_account_profile_details_form" class="form fv-plugins-bootstrap5 fv-plugins-framework"
                            novalidate="novalidate">
                            @csrf
                            <!--begin::Card body-->
                            <div class="row mb-6">
                                <!--begin::Label-->
                                <label class="col-lg-4 col-form-label required fw-semibold fs-6 ml-2">SSL/TLS</label>
                                <!--end::Label-->
                                <!--begin::Col-->
                                <div class="col-lg-6">
                                    <div class="fv-row fv-plugins-icon-container">
                                        <select class="form-control form-control-lg form-control-solid mb-3 mb-lg-0" name="enc" id="enc">
                                            <option null selected>@lang('Select one')</option>
                                            <option value="ssl" {{ @$general_setting->mail_config->enc == 'ssl'?'selected':'' }}>@lang('SSL')</option>
                                            <option value="tls" {{ @$general_setting->mail_config->enc == 'tls'?'selected':'' }}>@lang('TLS')</option>
                                        </select>
                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <!--end::Row-->
                                </div>
                                <!--end::Col-->
                            </div>
                            <div class="card-body border-top p-9">
                                <div class="row mb-6">
                                    <!--begin::Label-->
                                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Mail Host</label>
                                    <!--end::Label-->
                                    <!--begin::Col-->
                                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                        <input type="text"name="host" value="{{ $general_setting->mail_config->host ?? '' }}"
                                            class="form-control form-control-lg form-control-solid"
                                            placeholder="smtp.googlemail.com" required="">
                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <!--end::Col-->
                                </div>


                                <div class="row mb-6">
                                    <!--begin::Label-->
                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Port</label>
                                    <!--end::Label-->
                                    <!--begin::Col-->
                                    <div class="col-lg-8 fv-row">
                                        <input type="number" name="port" value="{{ $general_setting->mail_config->port ?? '' }}"
                                            class="form-control form-control-lg form-control-solid" placeholder="546"
                                            required="">
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <div class="row mb-6">
                                    <!--begin::Label-->
                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Username</label>
                                    <!--end::Label-->
                                    <!--begin::Col-->
                                    <div class="col-lg-8 fv-row">
                                        <input type="text" name="username" value="{{ $general_setting->mail_config->username ?? '' }}"
                                            class="form-control form-control-lg form-control-solid"
                                            placeholder="mail user name" required="">
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <div class="row mb-6">
                                    <!--begin::Label-->
                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Password</label>
                                    <!--end::Label-->
                                    <!--begin::Col-->
                                    <div class="col-lg-8 fv-row">
                                        <input type="text" name="password" value="{{ $general_setting->mail_config->password ?? '' }}"
                                            class="form-control form-control-lg form-control-solid"
                                            placeholder="mail password" required="">
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <div class="row mb-4">
                                    <!--begin::Label-->
                                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Status</label>
                                    <!--begin::Label-->
                                    <!--begin::Label-->
                                    <div class="col-lg-8 d-flex align-items-center">
                                        <div class="form-check form-check-solid form-switch form-check-custom fv-row">
                                            <select class="form-select" aria-label="Default select example" name="status">
                                                <option value="on" @if($general_setting->mail_config->name == 'smtp') selected @endif>Active</option>
                                                <option value="off" @if($general_setting->mail_config->name == 'php') selected @endif>Inactive</option>
                                            </select>
                                            
                                            
                                        </div>
                                    </div>
                                    <!--begin::Label-->
                                </div>
                                <div class="card-footer d-flex justify-content-end py-6 px-9">
                                    <button type="reset" class="btn btn-light btn-active-light-primary me-2"
                                        onclick="reload()">Discard</button>
                                    <button type="submit" class="btn btn-primary"
                                        id="kt_account_profile_details_submit">Save Changes</button>
                                </div>
                                <!--end::Actions-->
                                <input type="hidden">
                        </form>
                        <!--end::Form-->
                    </div>
                    <!--end::Content-->
                </div>
            </div>
        </div>
    </div>
    </div>
    <script>
        function reload() {
            location.reload();
        }
    </script>
@endsection
