@extends('backend.layout.layout')
@section('content')
    <div class="container mt-10">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif


    </div>
    <div id="kt_app_content_container mt-10" class="app-container container-xxl" style="margin-bottom: 335px;">
        <div class="card mb-5 mt-10 mb-xl-10">
            <!--begin::Card header-->
            <div class="card-header border-0 cursor-pointer" role="button" data-bs-toggle="collapse"
                data-bs-target="#kt_account_profile_details" aria-expanded="true"
                aria-controls="kt_account_profile_details">
                <!--begin::Card title-->
                <div class="card-title m-0">
                    <h3 class="fw-bold m-0">Global Template</h3>
                </div>
                <!--end::Card title-->
            </div>
            <!--begin::Card header-->
            <div id="kt_app_content_container mt-10" class="app-container container-xxl">
                <div class="card mb-5 mt-10 mb-xl-10">
                    <div id="kt_account_settings_profile_details" class="collapse show">
                        {!! $global_template->email_template !!}

                        <!--begin::Form-->
                        <form action="{{ route('admin.global_template') }}" method="POST" id="kt_account_profile_details_form" class="form fv-plugins-bootstrap5 fv-plugins-framework" novalidate="novalidate">
                            @csrf
                            <div class="card-body border-top p-9">
                                <textarea name="global_template" id="email_template" rows="10" class="form-control">{!! $global_template->email_template !!}</textarea>
                            </div>
                            <div class="card-footer d-flex justify-content-end py-6 px-9">
                                <button type="reset" class="btn btn-light btn-active-light-primary me-2" onclick="reload()">Discard</button>
                                <button type="submit" class="btn btn-primary" id="kt_account_profile_details_submit">Save Changes</button>
                            </div>
                        </form>                                            
                        <!--end::Form-->
                    </div>
                    <!--end::Content-->
                </div>
            </div>
        </div>
    </div>
    </div>
    <script>
        function reload() {
            location.reload();
        }
    </script>
@endsection
