@extends('backend.layout.layout')
@section('content')
    <div class="container mt-10">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif


    </div>
    <div id="kt_app_content_container mt-10" class="app-container container-xxl" style="margin-bottom: 335px;">
        <div class="card mb-5 mt-10 mb-xl-10">
            <!--begin::Card header-->
            <div class="card-header border-0 cursor-pointer" role="button" data-bs-toggle="collapse"
                data-bs-target="#kt_account_profile_details" aria-expanded="true"
                aria-controls="kt_account_profile_details">
                <!--begin::Card title-->
                <div class="card-title m-0">
                    <h3 class="fw-bold m-0">Mail Config</h3>
                </div>
                <!--end::Card title-->
            </div>
            <!--begin::Card header-->
            <div id="kt_app_content_container mt-10" class="app-container container-xxl">
                <div class="card mb-5 mt-10 mb-xl-10">
                    <div id="kt_account_settings_profile_details" class="collapse show">
                        <!--begin::Form-->
                        <form action="{{ route('admin.email.template.sendTestMail') }}" method="POST" class="form fv-plugins-bootstrap5 fv-plugins-framework">
                            <div class="card-body border-top p-9">
                                @csrf
                                <input type="hidden" name="id">
                                <div class="col-lg-6">
                                    <div class="col-md-2">
                                        <label class="col-lg-4 col-form-label required fw-semibold fs-6" for="mail-to">@lang('To')</label>
                                    </div>
                                    <div class="col-md-10">
                                        <input type="text" name="email" id="mail-to" class="form-control form-control-lg form-control-solid" placeholder="@lang('Email Address')">
                                    </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="submit" class="btn text--small btn--success">@lang('Send')</button>
                            </div>
                        </form>

                    </div>
                    <!--end::Content-->
                </div>
            </div>
        </div>
    </div>
    </div>
    <script>
        function reload() {
            location.reload();
        }
    </script>
@endsection
