@extends('backend.layout.layout')
@section('content')
<div class="container mt-10">
    @if(session('success'))
    <div class="container">
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    </div>
@endif
@if ($errors->any())
<div class="alert alert-danger">
    <ul>
        @foreach ($errors->all() as $error)
            <li>{{ $error }}</li>
        @endforeach
    </ul>
</div>
@endif
</div>
<div id="kt_app_content" class="app-content flex-column-fluid">
    <!--begin::Content container-->
    <div id="kt_app_content_container" class="app-container container-xxl mt-10">
        <!--begin::Invoice 2 main-->
        <div class="card">
            <!--begin::Body-->
            <div class="card-body p-lg-20">
                <!--begin::Layout-->
                <div class="d-flex flex-column flex-xl-row">
                    <!--begin::Content-->
                    <div class="flex-lg-row-fluid me-xl-18 mb-10 mb-xl-0">
                        <!--begin::Invoice 2 content-->
                        <div class="mt-n1">
                            <!--begin::Top-->
                            <div class="d-flex flex-stack pb-10">
                                <!--begin::Logo-->
                                <a href="#">
                                    <img alt="Logo" src="assets/media/svg/brand-logos/code-lab.svg">
                                </a>
                                <!--end::Logo-->
                                <!--begin::Action-->
                                @if ($deposit->status == 2)
                                <div class="row mt-4">
                                    <div class="col-md-12">
                                            @if ($deposit->plan_id != '')
                                                 <form action="{{ route('admin.deposit.plan.approve') }}" method="POST">
                                                @else
                                                 <form action="{{ route('admin.deposit.approve') }}" method="POST">
                                            @endif
                                            @csrf
                                           <input type="hidden" name="id" value="{{ $deposit->id }}">
                                           <button type="submit" class="btn btn--success ml-1 approveBtn"><i class="fas fa-check"></i>
                                                @lang('Approve')
                                            </button>
                                        </form>
                                        
                                        <form action="{{ route('admin.deposit.reject') }}" method="POST">
                                            @csrf
                                            <input type="hidden" name="id" value="{{ $deposit->id }}">
                                            <div class="form-group">
                                                <textarea name="message" class="form-control" id="exampleFormControlTextarea1" rows="3" placeholder="Reject Reason" required></textarea>
                                              </div>
                                           <button type="submit" class="btn btn--success ml-1 approveBtn"><i class="fas fa-ban"></i>
                                                @lang('Reject')
                                            </button>
                                        </form>
                                    </div>
                                </div>
                            @endif
                                <!--end::Action-->
                            </div>
                            <!--end::Top-->
                            <!--begin::Wrapper-->
                            <div class="m-0">
                                <!--begin::Label-->
                                <div class="fw-bold fs-3 text-gray-800 mb-8">Invoice #{{ $deposit->trx }}</div>
                                <!--end::Label-->
                                <!--begin::Row-->
                                <div class="row g-5 mb-11">
                                    <!--end::Col-->
                                    <div class="col-sm-6">
                                        <!--end::Label-->
                                        <div class="fw-semibold fs-7 text-gray-600 mb-1">Payment Date:</div>
                                        <!--end::Label-->
                                        <!--end::Col-->
                                        <div class="fw-bold fs-6 text-gray-800">{{ showDateTime($deposit->created_at) }}</div>
                                        <!--end::Col-->
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                                <!--begin::Row-->
                                <div class="row g-5 mb-12">
                                    <!--end::Col-->
                                    <div class="col-sm-6">
                                        <!--end::Label-->
                                        <div class="fw-semibold fs-7 text-gray-600 mb-1">Issue For:</div>
                                        <!--end::Label-->
                                        <!--end::Text-->
                                        <div class="fw-bold fs-6 text-gray-800">Admin Inc.</div>
                                        <!--end::Text-->
                                        <!--end::Description-->
                                        <div class="fw-semibold fs-7 text-gray-600">8692 Wild Rose Drive
                                        <br>Livonia, MI 48150</div>
                                        <!--end::Description-->
                                    </div>
                                    <!--end::Col-->
                                    <!--end::Col-->
                                    <div class="col-sm-6">
                                        <!--end::Label-->
                                        <div class="fw-semibold fs-7 text-gray-600 mb-1">Issued By:</div>
                                        <!--end::Label-->
                                        <!--end::Text-->
                                        <div class="fw-bold fs-6 text-gray-800">{{ @$deposit->user->username }}</div>
                                        <!--end::Text-->
                                        <!--end::Description-->
                                        <div class="fw-semibold fs-7 text-gray-600">
                                            @if ($deposit->user && property_exists($deposit->user, 'address'))
                                                {{ htmlspecialchars($deposit->user->address) }}
                                            @elseif($deposit->user->country)
                                               {{$deposit->user->country}}
                                              @else
                                                No address available
                                            @endif
                                        </div>
                                        
                                        
                                        <!--end::Description-->
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                                <!--begin::Content-->
                                <div class="flex-grow-1">
                                    <!--begin::Table-->
                                    <div class="table-responsive border-bottom mb-9">
                                        <table class="table mb-3">
                                            <thead>
                                                <tr class="border-bottom fs-6 fw-bold text-muted">
                                                    <th class="min-w-175px pb-2">Description</th>
                                                    <th class="min-w-70px text-end pb-2">Price</th>
                                                    <th class="min-w-80px text-end pb-2">Charge</th>
                                                    <th class="min-w-100px text-end pb-2">Amount</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <tr class="fw-bold text-gray-700 fs-5 text-end">
                                                    <td class="d-flex align-items-center pt-6">
                                                    <i class="fa fa-genderless text-danger fs-2 me-2"></i>
                                                    @if ($deposit->plan_id != '')
                                                     Plan buy
                                                     @else
                                                      Deposite In Wallat
                                                    @endif
                                                   </td>
                                                    <td class="pt-6">{{ getAmount($deposit->amount) }}</td>
                                                    <td class="pt-6">{{ getAmount($deposit->charge) }}</td>
                                                    <td class="pt-6 text-dark fw-bolder">{{ App\Models\User::currency(number_format($deposit->amount + $deposit->charge, 2)) }}</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                    <!--end::Table-->
                                    <!--begin::Container-->
                                    <div class="d-flex justify-content-end">
                                        <!--begin::Section-->
                                        <div class="mw-300px">
                                            <div class="d-flex flex-stack">
                                                <!--begin::Code-->
                                                <div class="fw-semibold pe-10 text-gray-600 fs-7">Total</div>
                                                <!--end::Code-->
                                                <!--begin::Label-->
                                                <div class="text-end fw-bold fs-6 text-gray-800">{{ App\Models\User::currency(number_format($deposit->final_amo, 2)) }}</div>
                                                <!--end::Label-->
                                            </div>
                                            <!--end::Item-->
                                        </div>
                                        <!--end::Section-->
                                    </div>
                                    <!--end::Container-->
                                </div>
                                <!--end::Content-->
                            </div>
                            <!--end::Wrapper-->
                        </div>
                        <!--end::Invoice 2 content-->
                    </div>
                    <!--end::Content-->
                    <!--begin::Sidebar-->
                    <div class="m-0">
                        <!--begin::Invoice 2 sidebar-->
                        <div class="d-print-none border border-dashed border-gray-300 card-rounded h-lg-100 min-w-md-350px p-9 bg-lighten">
                            <!--begin::Labels-->
                            <div class="mb-8">
                           @if ($deposit->status == 2)
                              <span class="badge badge-light-warning">Pending Payment</span>
                            @elseif($deposit->status == 1)
                                 <span class="badge badge-light-success me-2">Approved</span>
                            @elseif($deposit->status == 3)
                                <span class="badge badge-light-danger me-2">Rejected</span>
                            @endif
                                
                            </div>
                            <!--end::Labels-->
                            <!--begin::Title-->
                            <h6 class="mb-8 fw-bolder text-gray-600 text-hover-primary">PAYMENT DETAILS</h6>
                            <!--end::Title-->
                            <!--begin::Item-->
                            <div class="mb-6">
                                <div class="fw-semibold text-gray-600 fs-7">Payment Method:</div>
                                <div class="fw-bold text-gray-800 fs-6">{{ __(@$deposit->gateway->name) }}</div>
                            </div>
                            <!--end::Item-->
                            <!--begin::Item-->
                            @if ($details != null)
                            @foreach (json_decode($details) as $k => $val)
                                @if ($val->type == 'file')

                                <div class="mb-6">
                                    <div class="fw-semibold text-gray-600 fs-7">{{ inputTitle($k) }}:</div>
                                    <div class="fw-bold text-gray-800 fs-6">
                                        <img width="200px" src="{{ Storage::disk('public')->url($val->field_name) }}" alt="@lang('Image')"></div>
                                </div>
                            @else
                                <div class="mb-6">
                                    <div class="fw-semibold text-gray-600 fs-7">{{ inputTitle($k) }}:</div>
                                    <div class="fw-bold text-gray-800 fs-6">{{ __($val->field_name) }}</div>
                                </div>
                            @endif
                        @endforeach
                    @endif

                        </div>
                        <!--end::Invoice 2 sidebar-->
                    </div>
                    <!--end::Sidebar-->
                </div>
                <!--end::Layout-->
            </div>
            <!--end::Body-->
        </div>
        <!--end::Invoice 2 main-->
    </div>
    <!--end::Content container-->
</div>
@endsection