@extends('backend.layout.layout')
@section('content')
    <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
        <!--begin::Content wrapper-->
        <div class="d-flex flex-column flex-column-fluid">
            <!--begin::Toolbar-->
            <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                <!--begin::Toolbar container-->
                <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                    <!--begin::Page title-->
                    <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                        <!--begin::Title-->
                        <h1 class="page-heading d-flex text-dark fw-bold fs-3 flex-column justify-content-center my-0">
                            User Full Detail Page</h1>
                        <!--end::Title-->
                        <!--begin::Breadcrumb-->
                        <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">
                                <a href="../../demo1/dist/index.html" class="text-muted text-hover-primary">Home</a>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item">
                                <span class="bullet bg-gray-400 w-5px h-2px"></span>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">details</li>
                            <!--end::Item-->
                        </ul>
                        <!--end::Breadcrumb-->
                    </div>
                    <!--end::Page title-->
                </div>
                <!--end::Toolbar container-->
            </div>

            @if (session('success'))
                <div class="container">
                    <div class="alert alert-success">
                        {{ session('success') }}
                    </div>
                </div>
            @endif
            @if (session('error'))
            <div class="container">
                <div class="alert alert-danger">
                    {{ session('error') }}
                </div>
            </div>
        @endif
            <!--end::Toolbar-->
            <!--begin::Content-->
            <div id="kt_app_content" class="app-content flex-column-fluid">
                <!--begin::Content container-->
                <div id="kt_app_content_container" class="app-container container-xxl">
                    <!--begin::Navbar-->
                    <div class="card card-flush mb-9" id="kt_user_profile_panel">
                        <!--begin::Hero nav-->
                        <div class="card-header rounded-top bgi-size-cover h-200px"
                            style="background-position: 100% 50%; background-image:url('https://preview.keenthemes.com/keen/demo1/assets/media/misc/profile-head-bg.jpg')">
                        </div>
                        <!--end::Hero nav-->
                        <!--begin::Body-->
                        <div class="card-body mt-n19">
                            <!--begin::Details-->
                            <div class="m-0">
                                <!--begin: Pic-->
                                <div class="d-flex flex-stack align-items-end pb-4 mt-n19">
                                    <div class="symbol symbol-125px symbol-lg-150px symbol-fixed position-relative mt-n3">
                                        @if ($user->image_url)
                                            <img src="{{ $user->image_url }}" alt="image"
                                                class="border border-white border-4" style="border-radius: 20px">
                                        @else
                                            <img src="https://preview.keenthemes.com/keen/demo1/assets/media/avatars/300-3.jpg"
                                                alt="image" class="border border-white border-4"
                                                style="border-radius: 20px">
                                        @endif
                                        <div
                                            class="position-absolute translate-middle bottom-0 start-100 ms-n1 mb-9 bg-success rounded-circle h-15px w-15px">
                                        </div>
                                    </div>
                                </div>
                                <!--end::Pic-->
                                <!--begin::Info-->
                                <div class="d-flex flex-stack flex-wrap align-items-end">
                                    <!--begin::User-->
                                    <div class="d-flex flex-column">
                                        <!--begin::Name-->
                                        <div class="d-flex align-items-center mb-2">
                                            <a href="#"
                                                class="text-gray-800 text-hover-primary fs-2 fw-bolder me-1">{{ $user->username }}</a>

                                            @if ($user->status == 1)
                                                <a href="#" class="" data-bs-toggle="tooltip"
                                                    data-bs-placement="right" aria-label="Account is verified"
                                                    data-bs-original-title="Account is verified" data-kt-initialized="1">
                                                    <!--begin::Svg Icon | path: icons/duotune/general/gen026.svg-->
                                                    <span class="svg-icon svg-icon-1 svg-icon-primary">
                                                        <svg xmlns="http://www.w3.org/2000/svg" width="24px"
                                                            height="24px" viewBox="0 0 24 24">
                                                            <path
                                                                d="M10.0813 3.7242C10.8849 2.16438 13.1151 2.16438 13.9187 3.7242V3.7242C14.4016 4.66147 15.4909 5.1127 16.4951 4.79139V4.79139C18.1663 4.25668 19.7433 5.83365 19.2086 7.50485V7.50485C18.8873 8.50905 19.3385 9.59842 20.2758 10.0813V10.0813C21.8356 10.8849 21.8356 13.1151 20.2758 13.9187V13.9187C19.3385 14.4016 18.8873 15.491 19.2086 16.4951V16.4951C19.7433 18.1663 18.1663 19.7433 16.4951 19.2086V19.2086C15.491 18.8873 14.4016 19.3385 13.9187 20.2758V20.2758C13.1151 21.8356 10.8849 21.8356 10.0813 20.2758V20.2758C9.59842 19.3385 8.50905 18.8873 7.50485 19.2086V19.2086C5.83365 19.7433 4.25668 18.1663 4.79139 16.4951V16.4951C5.1127 15.491 4.66147 14.4016 3.7242 13.9187V13.9187C2.16438 13.1151 2.16438 10.8849 3.7242 10.0813V10.0813C4.66147 9.59842 5.1127 8.50905 4.79139 7.50485V7.50485C4.25668 5.83365 5.83365 4.25668 7.50485 4.79139V4.79139C8.50905 5.1127 9.59842 4.66147 10.0813 3.7242V3.7242Z"
                                                                fill="currentColor"></path>
                                                            <path
                                                                d="M14.8563 9.1903C15.0606 8.94984 15.3771 8.9385 15.6175 9.14289C15.858 9.34728 15.8229 9.66433 15.6185 9.9048L11.863 14.6558C11.6554 14.9001 11.2876 14.9258 11.048 14.7128L8.47656 12.4271C8.24068 12.2174 8.21944 11.8563 8.42911 11.6204C8.63877 11.3845 8.99996 11.3633 9.23583 11.5729L11.3706 13.4705L14.8563 9.1903Z"
                                                                fill="white"></path>
                                                        </svg>
                                                    </span>
                                                    <!--end::Svg Icon-->
                                                </a>
                                            @endif
                                        </div>
                                        <!--end::Name-->
                                        <!--begin::Text-->
                                        <span class="fw-bold text-gray-600 fs-6 mb-2 d-block">Full Name :
                                            {{ $user->firstname . ' ' . $user->lastname }}</span>

                                    </div>
                                    <!--end::User-->
                                    <!--begin::Actions-->
                                    <div class="d-flex">
                                        <a href="#" class="btn btn-sm btn-light me-3" data-bs-toggle="modal"
                                            data-bs-target="#kt_modal_send_message">Send Message</a>
                                        <button class="btn btn-sm btn-primary" id="kt_user_follow_button">
                                            <!--begin::Svg Icon | path: icons/duotune/arrows/arr012.svg-->
                                            <span class="svg-icon svg-icon-3 d-none">
                                                <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                                    xmlns="http://www.w3.org/2000/svg">
                                                    <path opacity="0.3"
                                                        d="M10 18C9.7 18 9.5 17.9 9.3 17.7L2.3 10.7C1.9 10.3 1.9 9.7 2.3 9.3C2.7 8.9 3.29999 8.9 3.69999 9.3L10.7 16.3C11.1 16.7 11.1 17.3 10.7 17.7C10.5 17.9 10.3 18 10 18Z"
                                                        fill="currentColor"></path>
                                                    <path
                                                        d="M10 18C9.7 18 9.5 17.9 9.3 17.7C8.9 17.3 8.9 16.7 9.3 16.3L20.3 5.3C20.7 4.9 21.3 4.9 21.7 5.3C22.1 5.7 22.1 6.30002 21.7 6.70002L10.7 17.7C10.5 17.9 10.3 18 10 18Z"
                                                        fill="currentColor"></path>
                                                </svg>
                                            </span>
                                            @if ($user->is_agent == 2)
                                                <span class="indicator-label">Agent</span>
                                            @elseif($user->is_agent == 1)
                                                <span class="indicator-label">Agent Pending</span>
                                            @else
                                                <span class="indicator-label">User</span>
                                            @endif
                                        </button>
                                    </div>
                                    <!--end::Actions-->
                                </div>
                                <!--end::Info-->
                            </div>
                            <!--end::Details-->
                        </div>
                    </div>

                    <div class="card mb-5 mb-xl-10" id="kt_profile_details_view">
                        <!--begin::Card header-->
                        <div class="card-header cursor-pointer">
                            <!--begin::Card title-->
                            <div class="card-title m-0">
                                <h3 class="fw-bold m-0">Profile Details</h3>
                            </div>
                            <!--end::Card title-->
                            <!--begin::Action-->
                            <a href="" class="btn btn-sm btn-primary align-self-center" data-bs-toggle="modal"
                                data-bs-target="#kt_modal_profile_update">Edit Profile</a>
                            <!--end::Action-->
                        </div>
                        <!--begin::Card header-->
                        <!--begin::Card body-->
                        <div class="card-body p-9">
                            <!--begin::Row-->
                            <div class="row mb-7">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Full Name</label>
                                <!--end::Label-->
                                <!--begin::Col-->
                                <div class="col-lg-8">
                                    <span
                                        class="fw-bold fs-6 text-gray-800">{{ $user->firstname . ' ' . $user->lastname }}</span>
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--end::Row-->
                            <!--begin::Input group-->
                            <div class="row mb-7">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Email Address</label>
                                <!--end::Label-->
                                <!--begin::Col-->
                                <div class="col-lg-8 fv-row">
                                    <span class="fw-semibold text-gray-800 fs-6">{{ $user->email }}</span>
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--end::Input group-->
                            <!--begin::Input group-->
                            <div class="row mb-7">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Contact Phone
                                    <i class="fas fa-exclamation-circle ms-1 fs-7" data-bs-toggle="tooltip"
                                        aria-label="Phone number must be active"
                                        data-bs-original-title="Phone number must be active"
                                        data-kt-initialized="1"></i></label>
                                <!--end::Label-->
                                <!--begin::Col-->
                                <div class="col-lg-8 d-flex align-items-center">
                                    <span class="fw-bold fs-6 text-gray-800 me-2">{{ $user->mobile }}</span>

                                </div>
                                <!--end::Col-->
                            </div>
                            <!--end::Input group-->
                            <!--begin::Input group-->
                            <div class="row mb-7">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Company Site</label>
                                <!--end::Label-->
                                <!--begin::Col-->
                                <div class="col-lg-8">
                                    <a href="#"
                                        class="fw-semibold fs-6 text-gray-800 text-hover-primary">keenthemes.com</a>
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--end::Input group-->
                            <!--begin::Input group-->
                            <div class="row mb-7">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Country
                                    <i class="fas fa-exclamation-circle ms-1 fs-7" data-bs-toggle="tooltip"
                                        aria-label="Country of origination"
                                        data-bs-original-title="Country of origination"
                                        data-kt-initialized="1"></i></label>
                                <!--end::Label-->
                                <!--begin::Col-->
                                <div class="col-lg-8">
                                    <span class="fw-bold fs-6 text-gray-800">{{ $user->country }}</span>
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--end::Input group-->
                            <!--begin::Input group-->
                            <div class="row mb-7">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Communication</label>
                                <!--end::Label-->
                                <!--begin::Col-->
                                <div class="col-lg-8">
                                    <span class="fw-bold fs-6 text-gray-800">Email, Phone</span>
                                </div>
                                <!--end::Col-->
                            </div>
                            <!--end::Input group-->
                            <!--begin::Input group-->
                            <div class="row mb-10">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Allow Changes</label>
                                <!--begin::Label-->
                                <!--begin::Label-->
                                <div class="col-lg-8">
                                    <span class="fw-semibold fs-6 text-gray-800">Yes</span>
                                </div>
                                <!--begin::Label-->
                            </div>
                            <div class="row mb-10">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Email Verification</label>
                                <!--begin::Label-->
                                <!--begin::Label-->
                                <div class="col-lg-8">
                                    @if ($user->ev == 1)
                                        <span class="fw-semibold fs-6 text-gray-800">Verified</span>
                                    @else
                                        <span class="fw-semibold fs-6 text-gray-800">Unverified</span>
                                    @endif
                                </div>
                                <!--begin::Label-->
                            </div>
                            <div class="row mb-10">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Account Status</label>
                                <!--begin::Label-->
                                <!--begin::Label-->
                                <div class="col-lg-8">
                                    @if ($user->status == 1)
                                        <span class="fw-semibold fs-6 text-gray-800">Active</span>
                                    @else
                                        <span class="fw-semibold fs-6 text-gray-800">Inactive</span>
                                    @endif
                                </div>
                                <!--begin::Label-->
                            </div>

                            <div class="row mb-10">
                                <!--begin::Label-->
                                <label class="col-lg-4 fw-semibold text-muted">Login User Account</label>
                                <!--begin::Label-->
                                <!--begin::Label-->
                                <div class="col-lg-8">
                                   <a href="{{route('admin.user.login', $user->id)}}" target="_blank" class="btn btn-bg-warning">Log In</a>
                                </div>
                                <!--begin::Label-->
                            </div>
                            <!--end::Input group-->
                            @if ($user->is_agent == 1)
                                <!--begin::Notice-->
                                <div
                                    class="notice d-flex bg-light-warning rounded border-warning border border-dashed p-6">
                                    <!--begin::Icon-->
                                    <!--begin::Svg Icon | path: icons/duotune/general/gen044.svg-->
                                    <span class="svg-icon svg-icon-2tx svg-icon-warning me-4">
                                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <rect opacity="0.3" x="2" y="2" width="20"
                                                height="20" rx="10" fill="currentColor"></rect>
                                            <rect x="11" y="14" width="7" height="2"
                                                rx="1" transform="rotate(-90 11 14)" fill="currentColor"></rect>
                                            <rect x="11" y="17" width="2" height="2"
                                                rx="1" transform="rotate(-90 11 17)" fill="currentColor"></rect>
                                        </svg>
                                    </span>
                                    <!--end::Svg Icon-->
                                    <!--end::Icon-->
                                    <!--begin::Wrapper-->
                                    <div class="d-flex flex-stack flex-grow-1">
                                        <!--begin::Content-->
                                        <div class="fw-semibold">
                                            <h4 class="text-gray-900 fw-bold">We need your attention!</h4>
                                            <div class="fs-6 text-gray-700">This user have on Pendding For Agent
                                                <a class="fw-bold" href="{{ route('agent.accept', $user->id) }}">Approve
                                                    Now</a>.
                                            </div>
                                        </div>
                                        <!--end::Content-->
                                    </div>
                                    <!--end::Wrapper-->
                                </div>
                                <!--end::Notice-->
                            @elseif($user->is_agent == 2)
                                <!--begin::Notice-->
                                <div
                                    class="notice d-flex bg-light-success rounded border-success border border-dashed p-6">
                                    <!--begin::Icon-->
                                    <!--begin::Svg Icon | path: icons/duotune/general/gen044.svg-->
                                    <span class="svg-icon svg-icon-2tx svg-icon-success me-4">
                                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                            xmlns="http://www.w3.org/2000/svg">
                                            <rect opacity="0.3" x="2" y="2" width="20"
                                                height="20" rx="10" fill="currentColor"></rect>
                                            <rect x="11" y="14" width="7" height="2"
                                                rx="1" transform="rotate(-90 11 14)" fill="currentColor"></rect>
                                            <rect x="11" y="17" width="2" height="2"
                                                rx="1" transform="rotate(-90 11 17)" fill="currentColor"></rect>
                                        </svg>
                                    </span>
                                    <!--end::Svg Icon-->
                                    <!--end::Icon-->
                                    <!--begin::Wrapper-->
                                    <div class="d-flex flex-stack flex-grow-1">
                                        <!--begin::Content-->
                                        <div class="fw-semibold">
                                            <h4 class="text-gray-900 fw-bold">We need your attention!</h4>
                                            <div class="fs-6 text-gray-700">This user is Approved for Agent Now ! he Is
                                                Agent
                                            </div>
                                            <!--end::Content-->
                                        </div>
                                        <!--end::Wrapper-->
                                    </div>
                                    <!--end::Notice-->
                            @endif
                        </div>
                        <!--end::Card body-->
                    </div>
                    <!--end::details View-->
                    <!--begin::Row-->
                    <div class="row gy-5 g-xl-10">
                        <!--begin::Col-->
                        <div class="col-xl-4">
                            <!--begin::List widget 5-->
                            <div class="card card-flush h-xl-100">
                                <!--begin::Header-->
                                <div class="card-header pt-7">
                                    <!--begin::Title-->
                                    <h3 class="card-title align-items-start flex-column">
                                        <span class="card-label fw-bold text-dark">User Banlance</span>

                                    </h3>
                                    <!--end::Title-->
                                    <!--begin::Toolbar-->
                                    <div class="card-toolbar">
                                        <a class="btn btn-sm btn-light">Finalcials</a>
                                    </div>
                                    <!--end::Toolbar-->
                                </div>
                                <!--end::Header-->
                                <!--begin::Body-->
                                <div class="card-body">
                                    <!--begin::Scroll-->
                                    <div class="hover-scroll-overlay-y pe-6 me-n6" style="height: 415px">
                                        <!--begin::Item-->
                                        {{-- balance --}}
                                        <div class="border border-dashed border-gray-300 rounded px-7 py-3 mb-6">
                                            <!--begin::Info-->
                                            <div class="d-flex flex-stack mb-3">
                                                <!--begin::Wrapper-->
                                                <div class="me-3">
                                                    <!--begin::Icon-->
                                                    <img src="assets/media/stock/ecommerce/210.gif"
                                                        class="w-50px ms-n1 me-1" alt="">
                                                    <!--end::Icon-->
                                                    <!--begin::Title-->
                                                    <a href=""
                                                        class="text-gray-800 text-hover-primary fw-bold">Total Deposit</a>
                                                    <!--end::Title-->
                                                </div>
                                                <!--end::Wrapper-->
                                                <!--begin::Action-->
                                                <div class="m-0">
                                                    <!--begin::Menu-->
                                                    <button
                                                        class="btn btn-icon btn-color-gray-400 btn-active-color-primary justify-content-end"
                                                        data-bs-toggle="modal" data-bs-target="#kt_modal_deposit_update">
                                                        <!--begin::Svg Icon | path: icons/duotune/general/gen023.svg-->
                                                        <span class="svg-icon svg-icon-1">
                                                            <i class="fonticon-settings fs-2"></i>
                                                        </span>
                                                        <!--end::Svg Icon-->
                                                    </button>
                                                </div>
                                                <!--end::Action-->
                                            </div>
                                            <!--end::Info-->
                                            <!--begin::Customer-->
                                            @php
                                                $total_invest = $user->total_invest;
                                                $formatted_total_invest = number_format($total_invest, 2);
                                            @endphp

                                            <div class="d-flex flex-stack">
                                                <!--begin::Name-->
                                                <span class="text-gray-400 fw-bold">
                                                    <a
                                                        class="text-gray-800 text-hover-primary fw-bold badge badge-light-success">{{ $formatted_total_invest }}
                                                        USD</a>
                                                </span>
                                            </div>
                                            <!--end::Customer-->
                                        </div>
                                        <div class="border border-dashed border-gray-300 rounded px-7 py-3 mb-6">
                                            <!--begin::Info-->
                                            <div class="d-flex flex-stack mb-3">
                                                <!--begin::Wrapper-->
                                                <div class="me-3">
                                                    <!--begin::Icon-->
                                                    <img src="assets/media/stock/ecommerce/210.gif"
                                                        class="w-50px ms-n1 me-1" alt="">
                                                    <!--end::Icon-->
                                                    <!--begin::Title-->
                                                    <a href=""
                                                        class="text-gray-800 text-hover-primary fw-bold">Total Earning</a>
                                                    <!--end::Title-->
                                                </div>
                                                <!--end::Wrapper-->
                                                <!--begin::Action-->
                                                <div class="m-0">
                                                    <!--begin::Menu-->
                                                    <button
                                                        class="btn btn-icon btn-color-gray-400 btn-active-color-primary justify-content-end"
                                                        data-bs-toggle="modal" data-bs-target="#kt_modal_earning_update">
                                                        <!--begin::Svg Icon | path: icons/duotune/general/gen023.svg-->
                                                        <i class="fonticon-settings fs-2"></i>
                                                        </span>
                                                        <!--end::Svg Icon-->
                                                    </button>
                                                </div>
                                                <!--end::Action-->
                                            </div>
                                            <!--end::Info-->
                                            <!--begin::Customer-->
                                            @php
                                                $total_invest = $user->balance;
                                                $formatted_total_income = number_format($total_invest, 2);
                                            @endphp

                                            <div class="d-flex flex-stack">
                                                <!--begin::Name-->
                                                <span class="text-gray-400 fw-bold">
                                                    <a
                                                        class="text-gray-800 text-hover-primary fw-bold badge badge-light-success">{{ $formatted_total_income }}
                                                        USD</a>
                                                </span>
                                            </div>
                                        </div>
                                        <div class="border border-dashed border-gray-300 rounded px-7 py-3 mb-6">
                                            <!--begin::Info-->
                                            <div class="d-flex flex-stack mb-3">
                                                <!--begin::Wrapper-->
                                                <div class="me-3">
                                                    <!--begin::Icon-->
                                                    <img src="assets/media/stock/ecommerce/210.gif"
                                                        class="w-50px ms-n1 me-1" alt="">
                                                    <!--end::Icon-->
                                                    <!--begin::Title-->
                                                    <a href=""
                                                        class="text-gray-800 text-hover-primary fw-bold">Total Withdraw</a>
                                                    <!--end::Title-->
                                                </div>
                                            </div>
                                            <!--end::Info-->
                                            <!--begin::Customer-->
                                            <div class="d-flex flex-stack">
                                                <!--begin::Name-->
                                                <span class="text-gray-400 fw-bold">
                                                    <a href=""
                                                        class="text-gray-800 text-hover-primary fw-bold badge badge-light-success">{{ getAmount($totalWithdraw) }}
                                                        USD</a></span>
                                            </div>
                                            <!--end::Customer-->
                                        </div>
                                        <div class="border border-dashed border-gray-300 rounded px-7 py-3 mb-6">
                                            <!--begin::Info-->
                                            <div class="d-flex flex-stack mb-3">
                                                <!--begin::Wrapper-->
                                                <div class="me-3">
                                                    <!--begin::Icon-->
                                                    <img src="assets/media/stock/ecommerce/210.gif"
                                                        class="w-50px ms-n1 me-1" alt="">
                                                    <!--end::Icon-->
                                                    <!--begin::Title-->
                                                    <a href=""
                                                        class="text-gray-800 text-hover-primary fw-bold">All History</a>
                                                    <!--end::Title-->
                                                </div>
                                            </div>
                                            <!--end::Info-->
                                            <!--begin::Customer-->
                                            <div class="d-flex flex-stack">
                                                <!--begin::Name-->
                                                <span class="text-gray-400 fw-bold">
                                                    <a href=""
                                                        class="text-gray-800 text-hover-primary fw-bold badge badge-light-success">{{ $totalTransaction }}</a></span>
                                            </div>
                                            <!--end::Customer-->
                                        </div>
                                        <div class="border border-dashed border-gray-300 rounded px-7 py-3">
                                            <!--begin::Info-->
                                            <div class="d-flex flex-stack mb-3">
                                                <!--begin::Wrapper-->
                                                <div class="me-3">
                                                    <!--begin::Icon-->
                                                    <img src="assets/media/stock/ecommerce/192.gif"
                                                        class="w-50px ms-n1 me-1" alt="">
                                                    <!--end::Icon-->
                                                    <!--begin::Title-->
                                                    <a href=""
                                                        class="text-gray-800 text-hover-primary fw-bold">Total
                                                        Refferals</a>
                                                    <!--end::Title-->
                                                </div>
                                            </div>
                                            <!--end::Info-->
                                            <!--begin::Customer-->
                                            <div class="d-flex flex-stack">
                                                <!--begin::Name-->
                                                <span class="text-gray-400 fw-bold">
                                                    <a
                                                        class="text-gray-800 text-hover-primary fw-bold badge-light-success">{{ $totalReferrals }}</a>
                                                </span>

                                            </div>
                                            <!--end::Customer-->
                                        </div>
                                        <!--end::Item-->
                                    </div>
                                    <!--end::Scroll-->
                                </div>
                                <!--end::Body-->
                            </div>
                            <!--end::List widget 5-->
                        </div>
                        <!--end::Col-->
                        <!--begin::Col-->
                        <div class="col-xl-8">
                            <!--begin::Table Widget 5-->
                            <div class="card card-flush h-xl-100">
                                <!--begin::Card header-->
                                <div class="card-header pt-7">
                                    <!--begin::Title-->
                                    <h3 class="card-title align-items-start flex-column">
                                        <span class="card-label fw-bold text-dark">User Transction</span>
                                        <span class="text-gray-400 mt-1 fw-semibold fs-6">Total 2,356 Items in the
                                            Stock</span>
                                    </h3>
                                </div>
                                <!--end::Card header-->
                                <!--begin::Card body-->
                                <div class="card-body">
                                    <!--begin::Table-->
                                    <div id="kt_table_widget_5_table_wrapper"
                                        class="dataTables_wrapper dt-bootstrap4 no-footer">
                                        <div class="table-responsive">
                                            <table
                                                class="table align-middle table-row-dashed fs-6 gy-3 dataTable no-footer"
                                                id="kt_table_widget_5_table">
                                                <!--begin::Table head-->
                                                <thead>
                                                    <!--begin::Table row-->
                                                    <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                        <th class="min-w-100px sorting" tabindex="0"
                                                            aria-controls="kt_table_widget_5_table" rowspan="1"
                                                            colspan="1"
                                                            aria-label="Item: activate to sort column ascending"
                                                            style="width: 140.125px;">Date</th>
                                                        <th class="text-end pe-3 min-w-100px sorting_disabled"
                                                            rowspan="1" colspan="1" aria-label="Product ID"
                                                            style="width: 106.688px;">Username</th>
                                                        <th class="text-end pe-3 min-w-150px sorting" tabindex="0"
                                                            aria-controls="kt_table_widget_5_table" rowspan="1"
                                                            colspan="1"
                                                            aria-label="Date Added: activate to sort column ascending"
                                                            style="width: 159.484px;">Amount</th>
                                                        <th class="text-end pe-3 min-w-100px sorting" tabindex="0"
                                                            aria-controls="kt_table_widget_5_table" rowspan="1"
                                                            colspan="1"
                                                            aria-label="Price: activate to sort column ascending"
                                                            style="width: 106.688px;">Details</th>
                                                        <th class="text-end pe-3 min-w-50px sorting" tabindex="0"
                                                            aria-controls="kt_table_widget_5_table" rowspan="1"
                                                            colspan="1"
                                                            aria-label="Status: activate to sort column ascending"
                                                            style="width: 107.094px;">After Amount</th>
                                                    </tr>
                                                    <!--end::Table row-->
                                                </thead>
                                                <!--end::Table head-->
                                                <!--begin::Table body-->
                                                <tbody class="fw-bold text-gray-600">
                                                    @forelse($transactions->take(12) as $trx)
                                                        <tr class="odd">
                                                            <!--begin::Item-->
                                                            <td>
                                                                <a
                                                                    class="text-dark text-hover-primary">{{ showDateTime($trx->created_at) }}</a>
                                                            </td>
                                                            <!--end::Item-->
                                                            <!--begin::Product ID-->
                                                            <td class="text-end">{{ @$trx->user->username }}</td>
                                                            <!--end::Product ID-->
                                                            <!--begin::Date added-->
                                                            <td class="text-end" data-order="2023-04-20T00:00:00+06:00">
                                                                <strong
                                                                    @if ($trx->trx_type == '+') class="text-success" @else class="text-danger" @endif>
                                                                    {{ $trx->trx_type == '+' ? '+' : '-' }}
                                                                    {{ getAmount($trx->amount) }} {{ $general->cur_text }}
                                                                </strong>
                                                            </td>
                                                            <!--end::Date added-->
                                                            <!--begin::Price-->
                                                            <td class="text-end">{{ __($trx->details) }}</td>
                                                            <!--end::Price-->
                                                            <!--begin::Status-->
                                                            <td class="text-end">
                                                                <span
                                                                    class="badge py-3 px-4 fs-7 badge-light-primary">{{ $trx->post_balance + 0 }}
                                                                    {{ $general->cur_text }}</span>
                                                            </td>
                                                        </tr>
                                                    @empty
                                                        <!-- Handle the case where there are no transactions -->
                                                        <tr>
                                                            <td colspan="5">No transactions found.</td>
                                                        </tr>
                                                    @endforelse

                                                </tbody>
                                                <!--end::Table body-->
                                            </table>
                                            <div>{{$transactions->links()}}</div>
                                        </div>
                                        <div class="row">
                                            <div
                                                class="col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start">
                                            </div>
                                            <div
                                                class="col-sm-12 col-md-7 d-flex align-items-center justify-content-center justify-content-md-end">
                                            </div>
                                        </div>
                                    </div>
                                    <!--end::Table-->
                                </div>
                                <!--end::Card body-->
                            </div>
                            <!--end::Table Widget 5-->
                        </div>
                        <!--end::Col-->

                        {{-- user login details --}}
                        <div class="col-xl-12">
                            <!--begin::Table Widget 5-->
                            <div class="card card-flush h-xl-100">
                                <!--begin::Card header-->
                                <div class="card-header pt-7">
                                    <!--begin::Title-->
                                    <h3 class="card-title align-items-start flex-column">
                                        <span class="card-label fw-bold text-dark">User Transction</span>
                                        <span class="text-gray-400 mt-1 fw-semibold fs-6">Total 2,356 Items in the
                                            Stock</span>
                                    </h3>
                                </div>
                                <!--end::Card header-->
                                <!--begin::Card body-->
                                <div class="card-body">
                                    <!--begin::Table-->
                                    <div id="kt_table_widget_5_table_wrapper"
                                        class="dataTables_wrapper dt-bootstrap4 no-footer">
                                        <div class="table-responsive">
                                            <table class="table table--light style--two">
                                                <thead>
                                                    <tr>
                                                        <th scope="col">@lang('Date')</th>
                                                        <th scope="col">@lang('IP')</th>
                                                        <th scope="col">@lang('Location')</th>
                                                        <th scope="col">@lang('Browser')</th>
                                                        <th scope="col">@lang('OS')</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    @forelse($login_logs as $log)
                                                        <tr>
                                                            <td data-label="@lang('Date')">
                                                                {{ diffForHumans($log->created_at) }}</td>
                                                            <td data-label="@lang('IP')">
                                                                <a
                                                                    href="{{ route('admin.report.login.ipHistory', [$log->user_ip]) }}">
                                                                    {{ $log->user_ip }}
                                                                </a>
                                                            </td>
                                                            <td data-label="@lang('Location')">{{ $log->location }}</td>
                                                            <td data-label="@lang('Browser')">{{ __($log->browser) }}
                                                            </td>
                                                            <td data-label="@lang('OS')">{{ __($log->os) }}</td>
                                                        </tr>
                                                    @empty
                                                        <tr>
                                                            <td class="text-muted text-center" colspan="100%">No data
                                                                found</td>
                                                        </tr>
                                                    @endforelse

                                                </tbody>
                                            </table><!-- table end -->
                                        </div>
                                        <div class="row">
                                            <div
                                                class="col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start">
                                            </div>
                                            <div
                                                class="col-sm-12 col-md-7 d-flex align-items-center justify-content-center justify-content-md-end">
                                            </div>
                                        </div>
                                    </div>
                                    <!--end::Table-->
                                </div>
                                <!--end::Card body-->
                            </div>
                            <!--end::Table Widget 5-->
                        </div>
                    </div>
                    <!--end::Row-->

                </div>
                <!--end::Content container-->
            </div>
            <!--end::Content-->
        </div>
        <!--end::Content wrapper-->
    </div>

    {{-- Send message modal --}}
    <div class="modal fade" id="kt_modal_send_message" tabindex="-1" aria-hidden="true">
        <!--begin::Modal dialog-->
        <div class="modal-dialog modal-dialog-centered mw-650px">
            <!--begin::Modal content-->
            <div class="modal-content">
                <!--begin::Modal header-->
                <div class="modal-header">
                    <!--begin::Modal title-->
                    <h2>Send Message</h2>
                    <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                        <!--begin::Svg Icon | path: icons/duotune/arrows/arr061.svg-->
                        <span class="svg-icon svg-icon-1">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <rect opacity="0.5" x="6" y="17.3137" width="16" height="2"
                                    rx="1" transform="rotate(-45 6 17.3137)" fill="currentColor" />
                                <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                    transform="rotate(45 7.41422 6)" fill="currentColor" />
                            </svg>
                        </span>
                        <!--end::Svg Icon-->
                    </div>
                    <!--end::Close-->
                </div>

                <div class="modal-body scroll-y mx-5 mx-xl-15 my-7">
                    <!--begin::Form-->
                    <form action="{{ route('admin.users.email.single', $user->id) }}" method="POST">
                        @csrf
                        <div class="card-body">
                            <div class="form-row">
                                <div class="form-group col-md-12 pt-3">
                                    <label class="font-weight-bold">@lang('Subject') <span class="text-danger">*</span></label>
                                    <input type="text" class="form-control" placeholder="@lang('Email subject')" name="subject"  required/>
                                </div>
                                <div class="form-group col-md-12 pt-3">
                                    <label class="font-weight-bold">@lang('Message') <span class="text-danger">*</span></label>
                                    <textarea name="message" rows="10" class="form-control nicEdit" placeholder="@lang('Your message')"></textarea>
                                </div>
                            </div>
                        </div>
    
                        <div class="card-footer pt-3">
                            <div class="form-row">
                                <div class="form-group col-md-12 text-center">
                                    <button type="submit" class="btn btn-primary mr-2">@lang('Send Email')</button>
                                </div>
                            </div>
                        </div>
                    </form>
                    <!--end::Form-->
                </div>
                <!--end::Modal body-->
            </div>
            <!--end::Modal content-->
        </div>
        <!--end::Modal dialog-->
    </div>

    {{-- Edit profile modal --}}
    <div class="modal fade" id="kt_modal_profile_update" tabindex="-1" aria-hidden="true">
        <!--begin::Modal dialog-->
        <div class="modal-dialog modal-dialog-centered mw-650px">
            <!--begin::Modal content-->
            <div class="modal-content">
                <!--begin::Modal header-->
                <div class="modal-header">
                    <!--begin::Modal title-->
                    <h2>Update User profile</h2>
                    <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                        <!--begin::Svg Icon | path: icons/duotune/arrows/arr061.svg-->
                        <span class="svg-icon svg-icon-1">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <rect opacity="0.5" x="6" y="17.3137" width="16" height="2"
                                    rx="1" transform="rotate(-45 6 17.3137)" fill="currentColor" />
                                <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                    transform="rotate(45 7.41422 6)" fill="currentColor" />
                            </svg>
                        </span>
                        <!--end::Svg Icon-->
                    </div>
                    <!--end::Close-->
                </div>

                <div class="modal-body scroll-y mx-5 mx-xl-15 my-7">
                    <!--begin::Form-->
<form id="kt_modal_profile_update" action="{{route('admin.users.update',[$user->id])}}" method="POST">
    @csrf
    <!-- Full Name -->
    <div class="d-flex flex-column mb-7 fv-row">
        <label class="d-flex align-items-center fs-6 fw-semibold form-label mb-2">
            <span class="required">Full Name</span>
        </label>
        <div class="d-flex">
            <input type="text" class="form-control form-control-solid me-2" placeholder="First Name" name="firstname" value="{{$user->firstname}}"/>
            <input type="text" class="form-control form-control-solid" placeholder="Last Name" name="lastname" value="{{$user->lastname}}">
        </div>
    </div>

    <!-- Email Address -->
    <div class="d-flex flex-column mb-7 fv-row">
        <label class="d-flex align-items-center fs-6 fw-semibold form-label mb-2">
            <span class="required">Email Address</span>
        </label>
        <input type="email" class="form-control form-control-solid" placeholder="Enter Email Address" name="email" value="{{$user->email}}">
    </div>

    <!-- Contact Phone -->
    <div class="d-flex flex-column mb-7 fv-row">
        <label class="d-flex align-items-center fs-6 fw-semibold form-label mb-2">
            <span class="required">Contact Phone</span>
        </label>
        <input type="text" class="form-control form-control-solid" placeholder="Enter Contact Phone" name="mobile" value="{{$user->mobile}}">
    </div>
    <!-- Country -->
    <div class="d-flex flex-column mb-7 fv-row">
        <label class="d-flex align-items-center fs-6 fw-semibold form-label mb-2">
            <span class="required">Country</span>
        </label>
        <input type="text" class="form-control form-control-solid" placeholder="Enter Country" name="country" value="{{ $user->country}}" readonly />
    </div>

<!-- Email Verification -->
<div class="row mb-10">
    <label class="col-lg-4 fw-semibold text-muted">Email Verification</label>
    <div class="col-lg-8">
        <select class="form-select form-select-solid" name="email_verification">
            <option value="0" {{ $user->ev == 0 ? 'selected' : '' }}>Unverified</option>
            <option value="1" {{ $user->ev == 1 ? 'selected' : '' }}>Verified</option>
        </select>
    </div>
</div>

<!-- Account Status -->
<div class="row mb-10">
    <label class="col-lg-4 fw-semibold text-muted">Account Status</label>
    <div class="col-lg-8">
        <select class="form-select form-select-solid" name="account_status">
            <option value="1" {{ $user->status == 1 ? 'selected' : '' }}>Active</option>
            <option value="0" {{ $user->status == 0 ? 'selected' : '' }}>Inactive</option>
        </select>
    </div>
</div>


    <input type="hidden" name="category_id" id="category_id">
    <div class="text-center pt-15">
        <button type="submit" class="btn btn-primary">
            <span class="indicator-label">Submit</span>
        </button>
    </div>
</form>

                    <!--end::Form-->
                </div>
                <!--end::Modal body-->
            </div>
            <!--end::Modal content-->
        </div>
        <!--end::Modal dialog-->
    </div>

    {{-- total Depost modal --}}
    <div class="modal fade" id="kt_modal_deposit_update" tabindex="-1" aria-hidden="true">
        <!--begin::Modal dialog-->
        <div class="modal-dialog modal-dialog-centered mw-650px">
            <!--begin::Modal content-->
            <div class="modal-content">
                <!--begin::Modal header-->
                <div class="modal-header">
                    <!--begin::Modal title-->
                    <h2> Total Deposit</h2>
                    <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                        <!--begin::Svg Icon | path: icons/duotune/arrows/arr061.svg-->
                        <span class="svg-icon svg-icon-1">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <rect opacity="0.5" x="6" y="17.3137" width="16" height="2"
                                    rx="1" transform="rotate(-45 6 17.3137)" fill="currentColor" />
                                <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                    transform="rotate(45 7.41422 6)" fill="currentColor" />
                            </svg>
                        </span>
                        <!--end::Svg Icon-->
                    </div>
                    <!--end::Close-->
                </div>

                <div class="modal-body scroll-y mx-5 mx-xl-15 my-7">
                    <!--begin::Form-->
                    <form id="kt_modal_deposit_update" action="{{ route('admin.users.addSubBalance', $user->id) }}" method="POST">
                        @csrf
                        <div class="d-flex flex-row align-items-center mb-7">
                            <div class="flex-grow-1">
                                <label class="d-flex align-items-center fs-6 fw-semibold form-label mb-2">
                                    <span class="required">Amount</span>
                                    <i class="fas fa-exclamation-circle ms-2 fs-7" data-bs-toggle="tooltip" title="Specify the amount"></i>
                                </label>
                                <input type="number" class="form-control form-control-solid" placeholder="Enter Amount" name="amount" />
                            </div>
                            <input type="hidden" name="act" value="on">
                            <div class="ms-4">
                                <button type="submit"  class="btn btn-primary mt-5">
                                    <span class="indicator-label">Add</span>
                                </button>
                            </div>
                            <div class="ms-4">
                                <button type="submit"  class="btn btn-primary mt-5" name="act" value="off">
                                    <span class="indicator-label">Subtract</span>
                                </button>
                            </div>
                        </div>
                    </form>
                    
                    
                    <!--end::Form-->
                </div>
                <!--end::Modal body-->
            </div>
            <!--end::Modal content-->
        </div>
        <!--end::Modal dialog-->
    </div>

    {{-- total earning modal --}}
    <div class="modal fade" id="kt_modal_earning_update" tabindex="-1" aria-hidden="true">
        <!--begin::Modal dialog-->
        <div class="modal-dialog modal-dialog-centered mw-650px">
            <!--begin::Modal content-->
            <div class="modal-content">
                <!--begin::Modal header-->
                <div class="modal-header">
                    <!--begin::Modal title-->
                    <h2> Total Earning</h2>
                    <div class="btn btn-sm btn-icon btn-active-color-primary" data-bs-dismiss="modal">
                        <!--begin::Svg Icon | path: icons/duotune/arrows/arr061.svg-->
                        <span class="svg-icon svg-icon-1">
                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                xmlns="http://www.w3.org/2000/svg">
                                <rect opacity="0.5" x="6" y="17.3137" width="16" height="2"
                                    rx="1" transform="rotate(-45 6 17.3137)" fill="currentColor" />
                                <rect x="7.41422" y="6" width="16" height="2" rx="1"
                                    transform="rotate(45 7.41422 6)" fill="currentColor" />
                            </svg>
                        </span>
                        <!--end::Svg Icon-->
                    </div>
                    <!--end::Close-->
                </div>

                <div class="modal-body scroll-y mx-5 mx-xl-15 my-7">
                    <!--begin::Form-->
                    <form id="kt_modal_deposit_update" action="{{ route('admin.users.addSubEarning', $user->id) }}" method="POST">
                        @csrf
                        <div class="d-flex flex-row align-items-center mb-7">
                            <div class="flex-grow-1">
                                <label class="d-flex align-items-center fs-6 fw-semibold form-label mb-2">
                                    <span class="required">Amount</span>
                                    <i class="fas fa-exclamation-circle ms-2 fs-7" data-bs-toggle="tooltip" title="Specify the amount"></i>
                                </label>
                                <input type="number" class="form-control form-control-solid" placeholder="Enter Amount" name="amount" />
                            </div>
                            <input type="hidden" name="act" value="on">
                            <div class="ms-4">
                                <button type="submit"  class="btn btn-primary mt-5">
                                    <span class="indicator-label">Add</span>
                                </button>
                            </div>
                            <div class="ms-4">
                                <button type="submit"  class="btn btn-primary mt-5" name="act" value="off">
                                    <span class="indicator-label">Subtract</span>
                                </button>
                            </div>
                        </div>
                    </form>
                    <!--end::Form-->
                </div>
                <!--end::Modal body-->
            </div>
            <!--end::Modal content-->
        </div>
        <!--end::Modal dialog-->
    </div>

    <script>
        // Function to submit only one field at a time
        function submitForm(event) {
            event.preventDefault();
            const form = document.getElementById("kt_modal_deposit_update");
            const addBalanceField = form.querySelector("input[name='amount']");
            const subNameField = form.querySelector("input[name='sub_name']");
            
            if (addBalanceField.value && subNameField.value) {
                alert("Please fill only one field at a time.");
                return;
            }
            
            if (!addBalanceField.value && !subNameField.value) {
                alert("Please fill a field.");
                return;
            }
            
            form.submit();
        }
    
        // Attach submitForm function to form submission
        const submitButton = document.getElementById("kt_modal_new_card_submit");
        submitButton.addEventListener("click", submitForm);
    </script>
@endsection
