@extends('backend.layout.layout')

@section('content')

    <div class="app-main flex-column flex-row-fluid" id="kt_app_main">
        <!--begin::Content wrapper-->
        <div class="d-flex flex-column flex-column-fluid">
            <!--begin::Toolbar-->
            <div id="kt_app_toolbar" class="app-toolbar py-3 py-lg-6">
                <!--begin::Toolbar container-->
                <div id="kt_app_toolbar_container" class="app-container container-xxl d-flex flex-stack">
                    <!--begin::Page title-->
                    <div class="page-title d-flex flex-column justify-content-center flex-wrap me-3">
                        <!--begin::Title-->
                        <h1 class="page-heading d-flex text-dark fw-bold fs-3 flex-column justify-content-center my-0">
                            Plan video List</h1>
                        <!--end::Title-->
                        <!--begin::Breadcrumb-->
                        <ul class="breadcrumb breadcrumb-separatorless fw-semibold fs-7 my-0 pt-1">
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">
                                <a href="../../demo1/dist/index.html" class="text-muted text-hover-primary">Home</a>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item">
                                <span class="bullet bg-gray-400 w-5px h-2px"></span>
                            </li>
                            <!--end::Item-->
                            <!--begin::Item-->
                            <li class="breadcrumb-item text-muted">All Videos</li>
                            <!--end::Item-->
                        </ul>
                        <!--end::Breadcrumb-->
                    </div>
                    <!--end::Page title-->
                </div>
                <!--end::Toolbar container-->
            </div>
            <!--end::Toolbar-->
            <!--begin::Content-->
            <div id="kt_app_content" class="app-content flex-column-fluid">
                <!--begin::Content container-->
                <div id="kt_app_content_container" class="app-container container-xxl">
                    <!--begin::Card-->
                    @if(session('success'))
                        <div class="alert alert-success">
                            {{ session('success') }}
                        </div>
                        @endif

                        @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                        @endif
                    <div class="card">
                        <!--begin::Card header-->
                        <div class="card-header border-0 pt-6">
                            <!--begin::Card title-->
                            <div class="card-title">

                                <!--begin::Search-->
                                <form action="{{ route('admin.deposit.search',$scope ??str_replace('admin.deposit.','',request()->route()->getName())) }}" method="GET">
                                    <div class="d-flex align-items-center position-relative my-1">
                                        <!--begin::Svg Icon | path: icons/duotune/general/gen021.svg-->
                                        <span class="svg-icon svg-icon-1 position-absolute ms-6">
                                            <svg width="24" height="24" viewBox="0 0 24 24" fill="none"
                                                xmlns="http://www.w3.org/2000/svg">
                                                <rect opacity="0.5" x="17.0365" y="15.1223" width="8.15546"
                                                    height="2" rx="1" transform="rotate(45 17.0365 15.1223)"
                                                    fill="currentColor"></rect>
                                                <path
                                                    d="M11 19C6.55556 19 3 15.4444 3 11C3 6.55556 6.55556 3 11 3C15.4444 3 19 6.55556 19 11C19 15.4444 15.4444 19 11 19ZM11 5C7.53333 5 5 7.53333 5 11C5 14.4667 7.53333 17 11 17C14.4667 17 17 14.4667 17 11C17 7.53333 14.4667 5 11 5Z"
                                                    fill="currentColor"></path>
                                            </svg>
                                        </span>
                                        <!--end::Svg Icon-->
                                        <input type="text" data-kt-customer-table-filter="search" name="search" 
                                                class="form-control form-control-solid w-250px ps-15"
                                                placeholder="Search Customers">
                                                <button type="submit" class="btn btn-small">Search</button>
                                        </div>
                                 </form>
                                <!--end::Search-->
                            </div>
                            <!--begin::Card title-->
                        </div>
                        <!--end::Card header-->
                        <!--begin::Card body-->
                        <div class="card-body pt-0">
                            <!--begin::Table-->
                            <div id="kt_customers_table_wrapper" class="dataTables_wrapper dt-bootstrap4 no-footer">
                                <div class="table-responsive">
                                    <table class="table align-middle table-row-dashed fs-6 gy-5 dataTable no-footer"
                                        id="kt_customers_table">
                                        <!--begin::Table head-->
                                        <thead>
                                            <!--begin::Table row-->
                                            <tr class="text-start text-gray-400 fw-bold fs-7 text-uppercase gs-0">
                                                <th class="min-w-125px sorting" scope="col">@lang('Video')</th>
                                                <th scope="col">@lang('Duration')</th>
                                                <th scope="col">@lang('Maximum View')</th>
                                                <th scope="col">@lang('Viewed')</th>
                                                <th scope="col">@lang('Remain')</th>
                                                <th scope="col">@lang('Plan')</th>
                                                <th scope="col">@lang('Category')</th>
                                                <th scope="col">@lang('Amount')</th>
                                                <th scope="col">@lang('Status')</th>
                                                <th scope="col">@lang('Action')</th>

                                            </tr>
                                            <!--end::Table row-->
                                        </thead>
                                        <!--end::Table head-->
                                        <!--begin::Table body-->
                                        <tbody class="fw-semibold text-gray-600">
                                            @forelse($videos as $video)
                                                <tr class="odd">
                                                    <!--begin::Checkbox-->
                                                    <td>
                                                        <div class="form-check form-check-sm form-check-custom form-check-solid">
                                                            <iframe style="z-index: 0000; width: 165px; height: 78px; margin-left: -18px; margin-top: -9px; border-radius: 9px;" 
                                                            class="embed-responsive-item" src="{{ $video->ads_body }}?autoplay=0&controls=0&showinfo=0&autohide=1" allowfullscreen></iframe>
                                                        </div>
                                                    </td>
                                                    <td>
                                                        <a href="#"
                                                            class="text-gray-800 text-hover-primary mb-1">{{ ($video->duration) }}</a>
                                                    </td>

                                                    <td>
                                                        <a href="#"
                                                            class="text-gray-800 text-hover-primary mb-1">{{ $video->max_show }}</a>
                                                    </td>


                                                    <td>
                                                        <a class="text-gray-600 text-hover-primary mb-1">{{ $video->showed }}</a>
                                                    </td>
                                                    <td>
                                                        <a class="text-gray-600 text-hover-primary mb-1">{{ $video->remain }}</a>
                                                    </td>

                                                    <td>
                                                        <a class="text-gray-600 text-hover-primary mb-1"> {{$video->plan->name}}</</a>
                                                    </td>
                                                    <td>
                                                        <a class="text-gray-600 text-hover-primary mb-1">
                                                            {{ optional($video->ptcCategory)->name }}
                                                        </a>
                                                    </td>
                                                    
                                                    <td>
                                                        <a class="text-gray-600 text-hover-primary mb-1"> {{ $video->amount+0 }} {{$general->cur_text}}</</a>
                                                    </td>
                                                    <td class="text-end">
                                                        @if($video->status == 1)
                                                        <a href="#" class="btn btn-sm btn-light btn-active-light-primary"
                                                            data-kt-menu-placement="bottom-end">Active
                                                        </a>
                                                        @endif
                                                        @if($video->status == 0)
                                                        <a href="#" class="btn btn-sm btn-light btn-active-light-primary"
                                                            data-kt-menu-placement="bottom-end">Inactive
                                                        </a>
                                                        @endif
                                                    </td>
                                                    <td class="text-end">
                                                        <a href="{{route('admin.video.edit',$video->id)}}" class="btn btn-sm btn-primary btn-active-light-primary"
                                                            data-kt-menu-placement="bottom-end">Edit
                                                        </a>
                                                        <a href="{{route('admin.video.delete',$video->id)}}" class="btn btn-sm btn-danger btn-active-light-primary"
                                                            data-kt-menu-placement="bottom-end">Deleted
                                                        </a>
                                                    </td>
                                                    <!--end::Action=-->
                                                </tr>
                                                @empty
                                                <tr>
                                                    <td class="text-muted text-center" colspan="100%" >{{ __($empty_message) }}</td>
                                                </tr>
                                          @endforelse
                                        </tbody>
                                        <!--end::Table body-->
                                    </table>
                                </div>
                                <div class="row">
                                    <div
                                        class="col-sm-12 col-md-5 d-flex align-items-center justify-content-center justify-content-md-start">
                                       </div>
                                    <div
                                        class="col-sm-12 col-md-7 d-flex align-items-center justify-content-center justify-content-md-end">
                                        <div class="dataTables_paginate paging_simple_numbers"
                                            id="kt_customers_table_paginate">
                                            {{ $videos->links() }}
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!--end::Table-->
                        </div>
                        <!--end::Card body-->
                    </div>
                    <!--end::Card-->
                </div>
                <!--end::Content container-->
            </div>
            <!--end::Content-->
        </div>
        <!--end::Content wrapper-->
    </div>  
@endsection