@extends('backend.layout.layout')
@section('content')
    <div class="container mt-10">
        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        @if ($errors->any())
            <div class="alert alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
    </div>
    <div class="app-container container-xxl" id="kt_app_content_container mt-10">
        <div class="card mb-5 mt-10 mb-xl-10">
            <!--begin::Card header-->
            <div class="card-header border-0 cursor-pointer" data-bs-toggle="collapse" data-bs-target="#kt_account_profile_details" role="button" aria-expanded="true"
                 aria-controls="kt_account_profile_details">
                <!--begin::Card title-->
                <div class="card-title m-0">
                    <h3 class="fw-bold m-0">Add New Plan</h3>
                </div>
                <!--end::Card title-->
            </div>
            <!--begin::Card header-->
            <!--begin::Content-->
            <div class="collapse show" id="kt_account_settings_profile_details">
                <!--begin::Form-->
                <form class="form fv-plugins-bootstrap5 fv-plugins-framework" id="kt_account_profile_details_form" action="{{ route('admin.web.update') }}" method="POST" novalidate="novalidate">
                    <!--begin::Card body-->
                    @csrf
                    <div class="card-body border-top p-9">
                        <div class="row mb-6">
                            <!--begin::Label-->
                            <label class="col-lg-4 col-form-label required fw-semibold fs-6">Website title</label>
                            <!--end::Label-->
                            <!--begin::Col-->
                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                <input class="form-control form-control-lg form-control-solid" name="sitename" type="text" value="{{ $general->sitename }}" placeholder="Website title" required>
                                <div class="fv-plugins-message-container invalid-feedback"></div>
                            </div>
                            <!--end::Col-->
                        </div>
                        <div class="row mb-6">
                            <!--begin::Label-->
                            <label class="col-lg-4 col-form-label fw-semibold fs-6">
                                <span class="required">About Wesbite</span>
                                <i class="fas fa-exclamation-circle ms-1 fs-7" data-bs-toggle="tooltip" data-bs-original-title="Phone number must be active" data-kt-initialized="1"
                                   aria-label="Phone number must be active"></i>
                            </label>
                            <!--end::Label-->
                            <!--begin::Col-->
                            <div class="col-lg-8 fv-row fv-plugins-icon-container">
                                <grammarly-extension class="dnXmp" data-grammarly-shadow-root="true" style="position: absolute; top: 0px; left: 0px; pointer-events: none;">
                                </grammarly-extension>
                                <grammarly-extension class="dnXmp" data-grammarly-shadow-root="true" style="position: absolute; top: 0px; left: 0px; pointer-events: none;"></grammarly-extension>
                                <textarea class="form-control border-radius-5 nicEdit" name="instruction" rows="5" spellcheck="false"></textarea>
                                <div class="fv-plugins-message-container invalid-feedback"></div>
                            </div>
                            <!--end::Col-->
                        </div>
                        <div class="row mb-6">
                            <!--begin::Label-->
                            <label class="col-lg-4 col-form-label required fw-semibold fs-6">Currency & Currency Symbol here</label>
                            <!--end::Label-->
                            <!--begin::Col-->
                            <div class="col-lg-8">
                                <!--begin::Row-->
                                <div class="row">
                                    <!--begin::Col-->
                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                        <input class="form-control form-control-lg form-control-solid mb-3 mb-lg-0" name="cur_text" type="text" value="{{ $general->cur_text }}" placeholder="Currency"
                                               required>
                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <!--end::Col-->
                                    <!--begin::Col-->
                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                        <input class="form-control form-control-lg form-control-solid" name="cur_sym" type="text" value="{{ $general->cur_sym }}" placeholder="Symbol" required>
                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                            </div>
                            <!--end::Col-->
                        </div>
                        <div class="row mb-6">
                            <!--begin::Label-->
                            <label class="col-lg-4 col-form-label required fw-semibold fs-6">Balance transfer fee fixed & Percent </label>
                            <!--end::Label-->
                            <!--begin::Col-->
                            <div class="col-lg-8">
                                <!--begin::Row-->
                                <div class="row">
                                    <!--begin::Col-->
                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                        <input class="form-control form-control-lg form-control-solid mb-3 mb-lg-0" name="bal_trans_fixed_charge" type="text"
                                               value="{{ getAmount($general->bal_trans_fixed_charge) }}" placeholder="fixed fee" required>
                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <!--end::Col-->
                                    <!--begin::Col-->
                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                        <input class="form-control form-control-lg form-control-solid" name="bal_trans_per_charge" type="text" value="{{ getAmount($general->bal_trans_per_charge) }}"
                                               placeholder="Percent fee" required>
                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                            </div>
                            <!--end::Col-->
                        </div>

                        <div class="row mb-6">
                            <!--begin::Label-->
                            <label class="col-lg-4 col-form-label required fw-semibold fs-6">User Registration & Mail Notification</label>
                            <!--end::Label-->
                            <!--begin::Col-->
                            <div class="col-lg-8">
                                <!--begin::Row-->
                                <div class="row">
                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                        <select class=" form-control form-control-lg form-control-solid mb-3 mb-lg-0" id="plan_id" name="registration">
                                            <option value="" disabled="" selected=""> Select Registration</option>
                                            <option value="on" {{ $general->registration == 1 ? 'selected' : '' }}>Active</option>
                                            <option value="" {{ $general->registration == 0 ? 'selected' : '' }}>Inactive</option>
                                        </select>
                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                        <select class=" form-control form-control-lg form-control-solid mb-3 mb-lg-0" id="plan_id" name="mail_notification">
                                            <option value="" disabled="" selected=""> Select Registration</option>
                                            <option value="1" {{ $general->mail_notification == 1 ? 'selected' : '' }}>Active</option>
                                            <option value="0" {{ $general->mail_notification == 0 ? 'selected' : '' }}>Inactive</option>
                                        </select>
                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                            </div>
                            <!--end::Col-->
                        </div>
                        <div class="row mb-6">
                            <!--begin::Label-->
                            <label class="col-lg-4 col-form-label required fw-semibold fs-6">Mail Verification</label>
                            <!--end::Label-->
                            <!--begin::Col-->
                            <div class="col-lg-8">
                                <!--begin::Row-->
                                <div class="row">
                                    <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                        <select class=" form-control form-control-lg form-control-solid mb-3 mb-lg-0" id="plan_id" name="ev">
                                            <option value="" disabled="" selected=""> Select Plan</option>
                                            <option value="on" {{ $general->ev == 1 ? 'selected' : '' }}>Active</option>
                                            <option value="" {{ $general->ev == 0 ? 'selected' : '' }}>Inactive</option>
                                        </select>

                                        <div class="fv-plugins-message-container invalid-feedback"></div>
                                    </div>
                                    <!--end::Col-->
                                </div>
                                <!--end::Row-->
                            </div>
                            <!--end::Col-->
                        </div>
                    </div>
                    <!--end::Card body-->
                    <!--begin::Actions-->
                    <div class="card-footer d-flex justify-content-end py-6 px-9">
                        <button class="btn btn-light btn-active-light-primary me-2" type="reset">Discard</button>
                        <button class="btn btn-primary" id="kt_account_profile_details_submit" type="submit">Save Changes</button>
                    </div>
                    <!--end::Actions-->
                    <input type="hidden">
                </form>
                <!--end::Form-->
            </div>
            <!--end::Content-->
        </div>
    </div>
    <script>
        function reload() {
            location.reload();
        }
    </script>
@endsection
