@extends('backend.layout.layout')
@section('content')
<div class="container mt-10">
    @if(session('success'))
    <div class="alert alert-success">
        {{ session('success') }}
    </div>
@endif

    @if ($errors->any())
    <div class="alert alert-danger">
        <ul>
            @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
            @endforeach
        </ul>
    </div>
  @endif
</div>
<div id="kt_app_content_container mt-10" class="app-container container-xxl">
<div class="card mb-5 mt-10 mb-xl-10">
    <!--begin::Card header-->
    <div class="card-header border-0 cursor-pointer" role="button" data-bs-toggle="collapse" data-bs-target="#kt_account_profile_details" aria-expanded="true" aria-controls="kt_account_profile_details">
        <!--begin::Card title-->
        <div class="card-title m-0">
            <h3 class="fw-bold m-0">Add Payment method</h3>
        </div>
        <!--end::Card title-->
    </div>
    <!--begin::Card header-->
    <!--begin::Content-->
    <div id="kt_account_settings_profile_details" class="collapse show">
        <!--begin::Form-->
            <form action="{{ route('admin.withdraw.method.store') }}" method="POST" enctype="multipart/form-data" id="kt_account_profile_details_form" class="form fv-plugins-bootstrap5 fv-plugins-framework" novalidate="novalidate">
            <!--begin::Card body-->
            @csrf
            <div class="card-body border-top p-9">
<div class="row mb-6">
    <!--begin::Label-->
    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Method Logo</label>
    <!--end::Label-->
    <!--begin::Col-->
    <div class="col-lg-8 fv-row fv-plugins-icon-container">
        <div class="avatar-preview">
            <div id="profilePicPreview" class="profilePicPreview" style="background-image: url({{ getImage('/', imagePath()['withdraw']['method']['size']) }})"></div>
        </div>
        <input type="file" name="image" class="profilePicUpload" id="image" accept=".png, .jpg, .jpeg" onchange="previewImage(event)"/>
        <div class="fv-plugins-message-container invalid-feedback"></div>
    </div>
    <!--end::Col-->
</div>
                <div class="row mb-6">
                    <!--begin::Label-->
                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Method Name</label>
                    <!--end::Label-->
                    <!--begin::Col-->
                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                        <input type="text" name="name" value="{{ old('name') }}" class="form-control form-control-lg form-control-solid" placeholder="payment method name" required>
                    <div class="fv-plugins-message-container invalid-feedback"></div></div>
                    <!--end::Col-->
                </div>
                <!--end::Input group-->
                <!--begin::Input group-->
                <div class="row mb-6">
                    <!--begin::Label-->
                    <label class="col-lg-4 col-form-label fw-semibold fs-6">
                        <span class="required">Payment Method detail</span>
                        <i class="fas fa-exclamation-circle ms-1 fs-7" data-bs-toggle="tooltip" aria-label="Phone number must be active" data-bs-original-title="Phone number must be active" data-kt-initialized="1"></i>
                    </label>
                    <!--end::Label-->
                    <!--begin::Col-->
                    <div class="col-lg-8 fv-row fv-plugins-icon-container">
                        <textarea rows="5" class="form-control border-radius-5 nicEdit" name="instruction">{{ old('instruction') }}</textarea>
                    <div class="fv-plugins-message-container invalid-feedback"></div></div>
                    <!--end::Col-->
                </div>

                <div class="row mb-6">
                    <!--begin::Label-->
                    <label class="col-lg-4 col-form-label fw-semibold fs-6">Currency</label>
                    <!--end::Label-->
                    <!--begin::Col-->
                    <div class="col-lg-8 fv-row">
                        <input type="text" name="currency" value="{{ old('currency') }}" class="form-control form-control-lg form-control-solid" placeholder="Enter currency" required>
                    </div>
                    <!--end::Col-->
                </div>

                <div class="row mb-6">
                    <!--begin::Label-->
                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Convert rate(with USD) & Processing time</label>
                    <!--end::Label-->
                    <!--begin::Col-->
                    <div class="col-lg-8">
                        <!--begin::Row-->
                        <div class="row">
                            <!--begin::Col-->
                            <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                <input type="number" name="rate" value="{{ old('rate') }}" class="form-control form-control-lg form-control-solid mb-3 mb-lg-0" placeholder="Convert rate(with USD)" required>
                            <div class="fv-plugins-message-container invalid-feedback"></div></div>
                            <!--end::Col-->
                            <!--begin::Col-->
                            <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                <input type="text" name="delay" value="{{ old('delay') }}" class="form-control form-control-lg form-control-solid" placeholder="Processing time" required>
                            <div class="fv-plugins-message-container invalid-feedback"></div></div>
                            <!--end::Col-->
                        </div>
                        <!--end::Row-->
                    </div>
                    <!--end::Col-->
                 </div>
                <div class="row mb-6">
                    <!--begin::Label-->
                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Minimum Amount  & Maxsimum Amount</label>
                    <!--end::Label-->
                    <!--begin::Col-->
                    <div class="col-lg-8">
                        <!--begin::Row-->
                        <div class="row">
                            <!--begin::Col-->
                            <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                <input type="number" name="min_limit" class="form-control form-control-lg form-control-solid mb-3 mb-lg-0" {{ old('min_limit') }} placeholder="Minimum Amount " required>
                            <div class="fv-plugins-message-container invalid-feedback"></div></div>
                            <!--end::Col-->
                            <!--begin::Col-->
                            <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                <input type="number" name="max_limit" {{ old('max_limit') }} class="form-control form-control-lg form-control-solid" placeholder="Maxsimum Amount" required>
                            <div class="fv-plugins-message-container invalid-feedback"></div></div>
                            <!--end::Col-->
                        </div>
                        <!--end::Row-->
                    </div>
                    <!--end::Col-->
                 </div>
                 
                <div class="row mb-6">
                    <!--begin::Label-->
                    <label class="col-lg-4 col-form-label required fw-semibold fs-6">Fixed Charge & Percent Charge</label>
                    <!--end::Label-->
                    <!--begin::Col-->
                    <div class="col-lg-8">
                        <!--begin::Row-->
                        <div class="row">
                            <!--begin::Col-->
                            <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                <input type="number" name="fixed_charge" class="form-control form-control-lg form-control-solid mb-3 mb-lg-0" value="{{ old('fixed_charge') }}" placeholder="Fixed Charge" required>
                            <div class="fv-plugins-message-container invalid-feedback"></div></div>
                            <!--end::Col-->
                            <!--begin::Col-->
                            <div class="col-lg-6 fv-row fv-plugins-icon-container">
                                <input type="number" name="percent_charge" class="form-control form-control-lg form-control-solid" value="{{ old('percent_charge') }}" placeholder="Percent Charge" required>
                            <div class="fv-plugins-message-container invalid-feedback"></div></div>
                            <!--end::Col-->
                        </div>
                        <!--end::Row-->
                    </div>
                    <!--end::Col-->
                 </div>
                <!--end::Input group-->
            </div>
            <!--end::Card body-->
            <!--begin::Actions-->
            <div class="card-footer d-flex justify-content-end py-6 px-9">
                <button type="reset" class="btn btn-light btn-active-light-primary me-2" onclick="reload()">Discard</button>
                <button type="submit" class="btn btn-primary" id="kt_account_profile_details_submit">Save Changes</button>
            </div>
            <!--end::Actions-->
        <input type="hidden"></form>
        <!--end::Form-->
    </div>
    <!--end::Content-->
</div>
</div>
<div class="container" style="margin-top:200px;">
</div>
<script>
    function previewImage(event) {
        var preview = document.getElementById('profilePicPreview');
        var file = event.target.files[0];
        var reader = new FileReader();

        reader.onloadend = function () {
            preview.style.backgroundImage = "url(" + reader.result + ")";
        }

        if (file) {
            reader.readAsDataURL(file);
        } else {
            preview.style.backgroundImage = "url({{ getImage('/', imagePath()['withdraw']['method']['size']) }})";
        }
    }
    function reload(){
        location.reload();
    }
</script>
@endsection