@extends('frontend.inc.master')
@section('content')
    <!-- Notification Bar -->
    <div class="notification-bar">
        <div class="container">
            <div class="notification-content">
                <span class="notification-icon"><i class="fas fa-gift"></i></span>
                <p>Special offer: Get 50% off on annual plans! <a href="#pricing">Learn More</a></p>
                <button class="close-notification"><i class="fas fa-times"></i></button>
            </div>
        </div>
    </div>
    <section class="hero-section">
        <div class="animated-bg">
            <div class="floating-shape shape-circle"></div>
            <div class="floating-shape shape-square"></div>
            <div class="floating-shape shape-dot"></div>
        </div>
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6 hero-content">
                    <div class="spiral-element"></div>
                    <div class="dots-element"></div>
                    <div class="star-element"></div>
                    <h1 class="hero-title">
                        Easy, Secure and Best<br>
                        Way to Earn<br>
                        <span class="highlight">Money</span>text-line From<br>
                        Your Own Place
                    </h1>
                    <p class="hero-subtitle">
                        In publishing and graphic design, Lorem ipsum is a placeholder text commonly
                        used to demonstrate the visual form of a document
                    </p>
                    <div class="hero-cta">
                        <a href="#" class="btn btn-primary">
                            <i class="fas fa-arrow-right"></i>
                            Get Started
                        </a>
                    </div>
                </div>
                <div class="col-lg-6 hero-image">
                    <div class="image-wrapper">
                        <div class="dots-pattern-top"></div>
                        <div class="dots-pattern-bottom"></div>
                        <img src="https://img.freepik.com/free-photo/group-diverse-people-having-business-meeting_53876-25060.jpg"
                            alt="Team Working" class="main-image">
                        <div class="image-shape"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- About Us Section -->
    <section class="about-section">
        <div class="floating-elements">
            <div class="float-item icon-1">
                <i class="fas fa-chart-line"></i>
            </div>
            <div class="float-item icon-2">
                <i class="fas fa-cog"></i>
            </div>
            <div class="float-item icon-3">
                <i class="fas fa-rocket"></i>
            </div>
            <div class="float-item icon-4">
                <i class="fas fa-lightbulb"></i>
            </div>
            <div class="float-item icon-5">
                <i class="fas fa-shield-alt"></i>
            </div>
        </div>
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6">
                    <div class="about-image">
                        <div class="image-wrapper">
                            <img src="https://clickify.tdevs.co/assets/global/images/rKM0v3q8rI1r0HiTQ60I.jpg"
                                alt="About Us" class="main-image">
                            <div class="image-shape"></div>
                            <div class="star-element"></div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="about-content">
                        <h2 class="section-title">About Us</h2>
                        <p class="section-text">
                            In publishing and graphic design, Lorem ipsum is a placeholder
                            text commonly used to demonstrate the visual form of a document
                            or a typeface without relying on meaningful content. In publishing
                            and graphic design, Lorem ipsum is a placeholder text commonly
                            used to demonstrate the visual form of a document or a typeface
                            without relying on meaningful content.
                        </p>
                        <div class="about-cta">
                            <a href="#" class="btn btn-primary">
                                Register With Us
                                <i class="fas fa-arrow-right"></i>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- How It Works Section -->
    <section class="how-it-works">
        <div class="animated-bg">
            <div class="floating-shape shape-circle"></div>
            <div class="floating-shape shape-dot"></div>
            <div class="floating-shape shape-line"></div>
        </div>
        <div class="container">
            <div class="section-header text-center">
                <h2 class="section-title">How It Works</h2>
                <p class="section-subtitle">Get up and running in seconds, not hours - ClickLancer is that easy!</p>
            </div>
            <div class="row steps-wrapper">
                <div class="col-lg-3 col-md-6">
                    <div class="step-item">
                        <div class="step-icon">
                            <div class="icon-circle">
                                <i class="fas fa-user-plus"></i>
                                <span class="step-number">01</span>
                            </div>
                        </div>
                        <h3>Registration</h3>
                        <p>In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to
                            demonstrate the visual form</p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="step-item">
                        <div class="step-icon">
                            <div class="icon-circle green">
                                <i class="fas fa-shield-alt"></i>
                                <span class="step-number">02</span>
                            </div>
                        </div>
                        <h3>Account Verification</h3>
                        <p>In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to
                            demonstrate the visual form</p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="step-item">
                        <div class="step-icon">
                            <div class="icon-circle blue">
                                <i class="fas fa-clipboard-list"></i>
                                <span class="step-number">03</span>
                            </div>
                        </div>
                        <h3>Take a Plan</h3>
                        <p>In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to
                            demonstrate the visual form</p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="step-item">
                        <div class="step-icon">
                            <div class="icon-circle orange">
                                <i class="fas fa-ad"></i>
                                <span class="step-number">04</span>
                            </div>
                        </div>
                        <h3>View Ads</h3>
                        <p>In publishing and graphic design, Lorem ipsum is a placeholder text commonly used to
                            demonstrate the visual form</p>
                    </div>
                </div>
            </div>
        </div>
        <div class="shape-element">
            <img src="data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z' stroke='%23FF5722' stroke-width='2'/%3E%3C/svg%3E"
                alt="shape" class="shape-1">
            <img src="data:image/svg+xml,%3Csvg width='24' height='24' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M12 22C17.5228 22 22 17.5228 22 12C22 6.47715 17.5228 2 12 2C6.47715 2 2 6.47715 2 12C2 17.5228 6.47715 22 12 22Z' stroke='%23FF5722' stroke-width='2'/%3E%3C/svg%3E"
                alt="shape" class="shape-2">
        </div>
    </section>

    <!-- Features Section -->
    <section id="features" class="features-section">
        <div class="animated-bg">
            <div class="floating-shape shape-circle"></div>
            <div class="floating-shape shape-line"></div>
            <div class="floating-shape shape-dot"></div>
        </div>
        <div class="container">
            <div class="section-header text-center">
                <h2>Powerful Features for You</h2>
                <p>Everything you need to manage and track your shortened URLs</p>
            </div>
            <div class="row g-4">
                <div class="col-md-4">
                    <div class="feature-card">
                        <div class="icon-wrapper blue">
                            <i class="fas fa-bolt"></i>
                        </div>
                        <h3>Lightning Fast</h3>
                        <p>Shorten URLs instantly with our optimized infrastructure</p>
                        <ul class="feature-list">
                            <li><i class="fas fa-check"></i> Instant URL shortening</li>
                            <li><i class="fas fa-check"></i> Quick redirect time</li>
                            <li><i class="fas fa-check"></i> Global CDN</li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="feature-card">
                        <div class="icon-wrapper purple">
                            <i class="fas fa-chart-pie"></i>
                        </div>
                        <h3>Detailed Analytics</h3>
                        <p>Track and analyze your link performance</p>
                        <ul class="feature-list">
                            <li><i class="fas fa-check"></i> Click tracking</li>
                            <li><i class="fas fa-check"></i> Geographic data</li>
                            <li><i class="fas fa-check"></i> Device analytics</li>
                        </ul>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="feature-card">
                        <div class="icon-wrapper green">
                            <i class="fas fa-shield-alt"></i>
                        </div>
                        <h3>Enterprise Security</h3>
                        <p>Your links are protected with advanced security</p>
                        <ul class="feature-list">
                            <li><i class="fas fa-check"></i> SSL encryption</li>
                            <li><i class="fas fa-check"></i> Malware scanning</li>
                            <li><i class="fas fa-check"></i> Password protection</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <!-- Pricing Section -->
    <section id="pricing" class="pricing-section">
        <div class="animated-bg">
            <div class="floating-shape shape-square"></div>
            <div class="floating-shape shape-dot"></div>
            <div class="floating-shape shape-line"></div>
        </div>
        <div class="container">
            <div class="section-header text-center">
                <h2>Choose Your Perfect Plan</h2>
                <p>Start free and upgrade as you grow</p>
            </div>
            <div class="row g-4">
                <div class="col-md-4">
                    <div class="pricing-card">
                        <div class="card-header">
                            <h3>Free</h3>
                            <div class="price">
                                <span class="currency">$</span>
                                <span class="amount">0</span>
                                <span class="period">/month</span>
                            </div>
                        </div>
                        <div class="card-body">
                            <ul class="feature-list">
                                <li><i class="fas fa-check"></i> 50 links per month</li>
                                <li><i class="fas fa-check"></i> Basic analytics</li>
                                <li><i class="fas fa-check"></i> Standard support</li>
                                <li class="disabled"><i class="fas fa-times"></i> Custom domains</li>
                                <li class="disabled"><i class="fas fa-times"></i> API access</li>
                            </ul>
                            <a href="#" class="btn btn-outline-primary w-100">Get Started</a>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="pricing-card featured">
                        <div class="popular-badge">Most Popular</div>
                        <div class="card-header">
                            <h3>Pro</h3>
                            <div class="price">
                                <span class="currency">$</span>
                                <span class="amount">19</span>
                                <span class="period">/month</span>
                            </div>
                        </div>
                        <div class="card-body">
                            <ul class="feature-list">
                                <li><i class="fas fa-check"></i> Unlimited links</li>
                                <li><i class="fas fa-check"></i> Advanced analytics</li>
                                <li><i class="fas fa-check"></i> Priority support</li>
                                <li><i class="fas fa-check"></i> 1 Custom domain</li>
                                <li><i class="fas fa-check"></i> Basic API access</li>
                            </ul>
                            <a href="#" class="btn btn-primary w-100">Start Pro Trial</a>
                        </div>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="pricing-card">
                        <div class="card-header">
                            <h3>Enterprise</h3>
                            <div class="price">
                                <span class="currency">$</span>
                                <span class="amount">49</span>
                                <span class="period">/month</span>
                            </div>
                        </div>
                        <div class="card-body">
                            <ul class="feature-list">
                                <li><i class="fas fa-check"></i> Unlimited everything</li>
                                <li><i class="fas fa-check"></i> Custom analytics</li>
                                <li><i class="fas fa-check"></i> 24/7 support</li>
                                <li><i class="fas fa-check"></i> Multiple domains</li>
                                <li><i class="fas fa-check"></i> Full API access</li>
                            </ul>
                            <a href="#" class="btn btn-outline-primary w-100">Contact Sales</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Benefits and Facilities Section -->
    <section class="benefits-section">
        <div class="animated-bg">
            <div class="floating-shape shape-circle"></div>
            <div class="floating-shape shape-dot"></div>
            <div class="floating-shape shape-line"></div>
        </div>
        <div class="benefits-bg-overlay"></div>
        <div class="container">
            <div class="section-header text-center">
                <h2 class="section-title text-white">Benefits And Facilities</h2>
            </div>
            <div class="benefits-grid">
                <div class="benefit-item">
                    <div class="benefit-icon">
                        <i class="fas fa-clock"></i>
                    </div>
                    <div class="benefit-text">
                        <h3>24/7 Support</h3>
                        <p>In publishing and graphic design, Lorem ipsum is a placeholder text commonly used</p>
                    </div>
                    <div class="hover-effect"></div>
                </div>
                <div class="benefit-item">
                    <div class="benefit-icon">
                        <i class="fas fa-wallet"></i>
                    </div>
                    <div class="benefit-text">
                        <h3>Quick Withdraw</h3>
                        <p>In publishing and graphic design, Lorem ipsum is a placeholder text commonly used</p>
                    </div>
                    <div class="hover-effect"></div>
                </div>
                <div class="benefit-item">
                    <div class="benefit-icon">
                        <i class="fas fa-shield-alt"></i>
                    </div>
                    <div class="benefit-text">
                        <h3>Safe & Secure</h3>
                        <p>In publishing and graphic design, Lorem ipsum is a placeholder text commonly used</p>
                    </div>
                    <div class="hover-effect"></div>
                </div>
                <div class="benefit-item">
                    <div class="benefit-icon">
                        <i class="fas fa-chart-line"></i>
                    </div>
                    <div class="benefit-text">
                        <h3>Growth Support</h3>
                        <p>In publishing and graphic design, Lorem ipsum is a placeholder text commonly used</p>
                    </div>
                    <div class="hover-effect"></div>
                </div>
            </div>
        </div>
        <div class="floating-elements">
            <div class="float-circle"></div>
            <div class="float-dots"></div>
            <div class="float-line"></div>
        </div>
    </section>
    <!-- Top Destinations Section -->
    <section class="destinations-section">
        <div class="animated-bg">
            <div class="floating-shape shape-circle"></div>
            <div class="floating-shape shape-line"></div>
            <div class="floating-shape shape-dot"></div>
        </div>
        <div class="container">
            <div class="section-header text-center">
                <h2 class="section-title">Top Destination for Making Money Online</h2>
                <p class="section-subtitle">Choose your preferred platform and start earning today</p>
            </div>
            <div class="destinations-grid">
                <div class="destination-card">
                    <div class="card-icon">
                        <i class="fab fa-youtube"></i>
                    </div>
                    <h3>YouTube</h3>
                    <p>$2.5k - $5k/month</p>
                    <div class="card-stats">
                        <div class="stat">
                            <i class="fas fa-users"></i>
                            <span>2M+ Users</span>
                        </div>
                        <div class="stat">
                            <i class="fas fa-star"></i>
                            <span>4.8/5</span>
                        </div>
                    </div>
                    <a href="#" class="btn btn-outline">Get Started</a>
                </div>
                <div class="destination-card featured">
                    <div class="popular-tag">Most Popular</div>
                    <div class="card-icon">
                        <i class="fab fa-facebook"></i>
                    </div>
                    <h3>Facebook</h3>
                    <p>$3k - $8k/month</p>
                    <div class="card-stats">
                        <div class="stat">
                            <i class="fas fa-users"></i>
                            <span>5M+ Users</span>
                        </div>
                        <div class="stat">
                            <i class="fas fa-star"></i>
                            <span>4.9/5</span>
                        </div>
                    </div>
                    <a href="#" class="btn btn-primary">Get Started</a>
                </div>
                <div class="destination-card">
                    <div class="card-icon">
                        <i class="fab fa-instagram"></i>
                    </div>
                    <h3>Instagram</h3>
                    <p>$2k - $6k/month</p>
                    <div class="card-stats">
                        <div class="stat">
                            <i class="fas fa-users"></i>
                            <span>3M+ Users</span>
                        </div>
                        <div class="stat">
                            <i class="fas fa-star"></i>
                            <span>4.7/5</span>
                        </div>
                    </div>
                    <a href="#" class="btn btn-outline">Get Started</a>
                </div>
            </div>
        </div>
    </section>

    <!-- Invite Friends Section -->
    <section class="invite-section">
        <div class="animated-bg">
            <div class="floating-shape shape-square"></div>
            <div class="floating-shape shape-dot"></div>
            <div class="floating-shape shape-circle"></div>
        </div>
        <div class="container">
            <div class="invite-wrapper">
                <div class="row align-items-center">
                    <div class="col-lg-6">
                        <div class="invite-content">
                            <h2>Invite Friends & Earn Together</h2>
                            <p>Share your referral link with friends and earn up to 25% commission on their earnings.
                                The more friends you invite, the more you earn!</p>
                            <div class="rewards-list">
                                <div class="reward-item">
                                    <div class="reward-icon">
                                        <i class="fas fa-user-plus"></i>
                                    </div>
                                    <div class="reward-text">
                                        <h4>10% Commission</h4>
                                        <p>On first 5 referrals</p>
                                    </div>
                                </div>
                                <div class="reward-item">
                                    <div class="reward-icon">
                                        <i class="fas fa-users"></i>
                                    </div>
                                    <div class="reward-text">
                                        <h4>15% Commission</h4>
                                        <p>On 6-15 referrals</p>
                                    </div>
                                </div>
                                <div class="reward-item">
                                    <div class="reward-icon">
                                        <i class="fas fa-crown"></i>
                                    </div>
                                    <div class="reward-text">
                                        <h4>25% Commission</h4>
                                        <p>On 16+ referrals</p>
                                    </div>
                                </div>
                            </div>
                            <div class="referral-link">
                                <input type="text" value="https://yoursite.com/ref/username" readonly>
                                <button class="btn btn-primary">
                                    <i class="fas fa-copy"></i> Copy Link
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="invite-image">
                            <img src="https://img.freepik.com/free-vector/referral-program-concept_23-2148260460.jpg"
                                alt="Referral Program" class="img-fluid">
                            <div class="floating-rewards">
                                <div class="reward-bubble">
                                    <span class="amount">$50</span>
                                    <span class="label">Earned</span>
                                </div>
                                <div class="reward-bubble active">
                                    <span class="amount">$120</span>
                                    <span class="label">Earned</span>
                                </div>
                                <div class="reward-bubble">
                                    <span class="amount">$85</span>
                                    <span class="label">Earned</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- CTA Section -->
    <section class="cta-section">
        <div class="animated-bg">
            <div class="floating-shape shape-square"></div>
            <div class="floating-shape shape-dot"></div>
            <div class="floating-shape shape-line"></div>
        </div>
        <div class="container">
            <div class="cta-content text-center">
                <h2>Start Shortening URLs Today</h2>
                <p>Join thousands of users who trust Clickify for their link management needs</p>
                <a href="#" class="btn btn-primary btn-lg">Get Started Free</a>
            </div>
        </div>
    </section>
@endsection
