<div>
    @include('components.loading-indecator')
    <div class="container mt-5">
        <div wire:key="tabs-component-{{ $tabId }}">
            <ul class="nav nav-tabs justify-content-around" style="border-bottom: 0;">
                <li class="nav-item">
                    <button class="nav-link {{ $activeTab === 'tab1' || $activeTab === 'tab2' || $activeTab === 'tab3' ? 'active' : '' }} rounded-pill bg-primary text-white ave_nav" id="tab1">Step
                        1</button>
                </li>
                <li class="nav-item">
                    <button class="nav-link {{ $activeTab === 'tab2' || $activeTab === 'tab3' ? 'active' : '' }} rounded-pill bg-primary text-white ave_nav" id="tab2">Step
                        2</button>
                </li>
                <li class="nav-item">
                    <button class="nav-link {{ $activeTab === 'tab3' ? 'active' : '' }} rounded-pill bg-primary text-white ave_nav" id="tab3">Step 3</button>
                </li>
            </ul>

            {{-- <div class="progress mt-4">
                <div class="progress-bar progress-bar-striped progress-bar-animated" id="progress-bar" style="width: {{ $activeTab == 'tab1' ? 33.33 : ($activeTab === 'tab2' ? 66.66 : 100) }}%"></div>
            </div> --}}

            <div class="tab-content mt-2">
                @if ($msg)
                    <p class="text-{{ $msg['status'] == 'error' ? 'danger' : 'success' }} text-center">
                        {{ $msg['message'] }}</p>
                @endif

                <div class="tab-pane fade {{ $activeTab === 'tab1' ? 'show active' : '' }}" id="content1">
                    <div class="form-group mt-3">
                        <label>Deposit Method</label>
                        @if ($selected_method)
                            <span wire:click="toggleMethodList">
                                <div class="ave_method-selected">
                                    <img src="{{ Storage::disk('public')->url($selected_method->method->image) }}" alt="" style="border-radius:50%;" width="30px">
                                    <span class="ave_m10">{{ $selected_method->method->name }}</span>
                                </div>
                            </span>
                        @endif
                        @if (!$selected_method || $show_method_list)
                            <div class="ave_method-dropdown">
                                @foreach ($methods as $item)
                                    <div class="ave_method-option" wire:click="methodChanged('{{ $item->method_code }}')">
                                        <img src="{{ Storage::disk('public')->url($item->method->image) }}" alt="" style="border-radius:50%;" width="30px">
                                        <span>{{ $item->name }}</span>
                                    </div>
                                @endforeach
                            </div>
                        @endif
                    </div>
                    <div class="text-center mt-3">
                        <button class="btn btn-primary" wire:click="moveToSecound">Next</button>
                    </div>
                </div>

                <div class="tab-pane fade {{ $activeTab === 'tab2' ? 'show active' : '' }}" id="content2">
                    @if ($selected_method)
                        <p class="text-center">Minimum deposit amount:
                            {{ App\Models\User::currency($selected_method->min_amount, 0, 6) }}</p>
                    @endif
                    <div class="form-group mt-3">
                        <label for="amount">Amount:</label>
                        <div class="" wire:ignore>
                            <input class="form-control" type="number" wire:model.debounce.500ms="amount">
                        </div>
                    </div>
                    <div class="text-center mt-3">
                        <button class="btn btn-primary text-white" wire:click="backToPrevious(1)">Previous</button>
                        <button class="btn btn-primary text-white" wire:click="moveToThird" {{ $amount ? '' : 'disabled' }}>Next</button>
                    </div>
                </div>

                <div class="tab-pane fade {{ $activeTab === 'tab3' ? 'show active' : '' }}" id="content3">
                    @if ($activeTab === 'tab3')
                        @lang('Amount'):
                        <strong>{{ App\Models\User::convertToUsdWithCurrency($data->amount) }} </strong><br>
                        @lang('Fees'):
                        <strong>{{ App\Models\User::convertToUsdWithCurrency($data->charge) }}</strong><br>
                        @lang('Amount + Fees '):
                        <strong>
                            {{ App\Models\User::convertToUsdWithCurrency($data->amount + $data->charge) }}</strong><br>
                        @if ($data->gateway->crypto == 1)
                            @lang('Conversion with')
                            <b> {{ $data->method_currency }}</b> @lang('and final value will Show on next step')
                        @endif
                        @if (1000 > $data->method_code)
                            <a class="btn btn-primary text-white" href="{{ route('user.deposit.confirm') }}">@lang('Confirm Deposit')</a>
                        @elseif($data->method_code == 1011)
                            <a class="btn btn-primary text-white" href="{{ route('user.deposit.crypto.confirm', $data->trx) }}">@lang('Pay Crypto')</a>
                        @else
                            <a class="btn btn-primary text-white" href="{{ route('user.deposit.manual.confirm', $data->trx) }}">@lang('Next')</a>
                        @endif
                    @endif

                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="manual-deposit-fileupload" aria-labelledby="myModalLabel" aria-hidden="true" wire:ignore.self> ave_nav
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="btn-close" data-bs-dismiss="modal" type="button" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <h4 class="text-center">Are you sure you want to upgrade to: <br />
                    </h4>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-warning waves-effect" data-bs-dismiss="modal" type="button">Close</button>
                    <button class="btn btn-info waves-effect" type="button" wire:click="confirmUpgrade">Confirm</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>
</div>
