<div>
    @include('components.loading-indecator')
    @push('css')
        <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    @endpush
    <div class="mt-3 card">
        <ul class="nav nav-tabs" id="myTab" role="tablist" style="margin-left: 17px;">
            <li class="nav-item me-3" role="presentation">
                <button class="{{ $currentTab == 'tab1' ? 'active' : '' }} btn btn-primary" wire:click.prevent="changeTab('tab1')">Buy</button>
            </li>
            <li class="nav-item me-3" role="presentation">
                <button class="{{ $currentTab == 'tab2' ? 'active' : '' }} btn btn-primary" wire:click.prevent="changeTab('tab2')">Manage</button>
            </li>
            <li class="nav-item" role="presentation">
                <button class="{{ $currentTab == 'tab3' ? 'active' : '' }} btn btn-primary" wire:click.prevent="changeTab('tab3')">Sales Report</button>
            </li>
        </ul>
        <div class="tab-content" id="myTabContent">
            @if (session('notify'))
                @php
                    $notify = session('notify');
                    $type = $notify[0][0];
                    $message = $notify[0][1];
                @endphp
                <div class="mt-2 alert alert-{{ $type == 'error' ? 'danger' : 'success' }}">
                    <p class="text-center">{!! $message !!}</p>
                </div>
            @endif
            @if ($msg)
                <div class="mt-2 alert alert-{{ $msg['status'] == 'error' ? 'danger' : 'success' }}">
                    <p class="text-center">
                        {{ $msg['message'] }}</p>
                </div>
            @endif
            <!-- Livewire component view -->
            <div>
                @if (session()->has('success'))
                    <div class="alert alert-success mt-2">
                        {{ session('success') }}
                    </div>
                @endif

                <!-- Your Livewire component content here -->
            </div>
            <div>
                @if (session()->has('error'))
                    <div class="alert alert-danger mt-3">
                        {{ session('error') }}
                    </div>
                @endif
                <!-- Your Livewire component content here -->
            </div>

            <div class="tab-pane fade {{ $currentTab == 'tab1' ? 'show active' : '' }} mt-3">
                <div class="card">
                    <div class="card-body">
                        <form wire:submit.prevent="createVoucher">
                            <div class="form-group">
                                <label for="amount">Amount</label>
                                <input class="form-control mt-2" type="number" wire:model.defer="amount" required>
                                @error('amount')
                                    <span class="error">{{ $message }}</span>
                                @enderror
                            </div>
                            <button class="btn btn-primary mt-3">Pay From Deposit Balance</button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="tab-pane fade {{ $currentTab == 'tab2' ? 'show active' : '' }}">
                <div class="card mt-3">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>@lang('Voucher Code')</th>
                                        <th>@lang('Create Date')</th>
                                        <th>@lang('Voucher Amount')</th>
                                        <th>@lang('Voucher Status')</th>
                                        <th>@lang('User')</th>
                                        <th>@lang('Action')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($vouchers as $data)
                                        <tr>
                                            <td data-label="@lang('Voucher Code')">{{ __($data->voucher_code) }}</td>
                                            <td>{{ $data->created_at->format('d M Y H:i') }}</td>
                                            <td data-label="@lang('Voucher Amount')">{{ App\Models\User::currency($data->voucher_amount, 0, 6) }}</td>
                                            @if ($data->status == 0)
                                                <td data-label="@lang('Voucher Status')">
                                                    <span class="badge badge-info">Not use</span>
                                                </td>
                                            @else
                                                <td data-label="@lang('Voucher Status')">
                                                    <span class="badge badge-success">Use</span>
                                                </td>
                                            @endif
                                            <td>
                                                @if ($data->status == 0)
                                                    <form style="width:200px;" wire:submit.prevent="sendVoucher({{ $data->id }})" method="post">
                                                        @csrf
                                                        <div class="row">
                                                            <div class="col-8" wire:ignore>
                                                                <input class="form-control" type="text" wire:model.defer="send_user_id" placeholder="User Name">
                                                            </div>
                                                            <div class="col-4">
                                                                <button class="btn btn-primary" type="submit">Send</button>
                                                            </div>
                                                        </div>
                                                    </form>
                                                @else
                                                    Voucher Already Used To
                                                    {{ $user = App\Models\User::find($data->rec_id)->username ?? 'Not found' }}
                                                @endif
                                            </td>
                                            @if ($data->status == 1)
                                                <td data-label="@lang('Action')">
                                                    <form method="POST" wire:submit.prevent="delete({{ $data->id }})">
                                                        <button class="btn btn-danger" data-toggle="tooltip" type="submit" title='Delete'>Delete</button>
                                                    </form>
                                                </td>
                                            @else
                                                <td data-label="@lang('Action')">
                                                    <form method="POST" wire:submit.prevent="deleteNotUse({{ $data->id }})">
                                                        <button class="btn btn-danger" type="submit">Delete</button>
                                                    </form>
                                                </td>
                                            @endif
                                        </tr>
                                    @empty
                                        <tr>
                                            <td class="text-center" colspan="6">No data found</td>
                                        </tr>
                                    @endforelse
                                </tbody>
                            </table>
                        </div>
                        {{ $vouchers->links() }}
                    </div>
                </div>
            </div>
            <div class="tab-pane fade {{ $currentTab == 'tab3' ? 'show active' : '' }}">
                <div class="card mt-3">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>@lang('Id')</th>
                                        <th>@lang('Amount')</th>
                                        <th>@lang('Creation Date')</th>
                                        <th>@lang('Status')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @forelse($reports as $report)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ App\Models\User::currency($report->amount, 0, 6) }}</td>
                                            <td>{{ $report->created_at->format('d M Y H:i') }}</td>
                                            <td>{{ $report->details }}</td>
                                        </tr>
                                    @empty
                                        <tr>
                                            <td class="text-center" colspan="100%">No data fpond</td>
                                        </tr>
                                    @endforelse
                                </tbody>
                            </table>
                        </div>
                        {{ $reports->links() }}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@push('js')
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script>
        function initializeSelect2() {
            $('.user_id').select2({
                width: '100%'
            }).on('change', function() {
                @this.set('send_user_id', $(this).val());
            });
        }
        document.addEventListener('livewire:load', function() {
            initializeSelect2();
        });

        Livewire.on('propertyUpdated', function() {
            initializeSelect2();
        });

        // Livewire component JavaScript (typically in a separate JS file)
        document.addEventListener('livewire:load', function() {
            Livewire.on('showSuccessMessage', message => {
                Swal.fire({
                    title: 'Success',
                    text: message,
                    icon: 'success',
                });
            });
        });
    </script>
@endpush
