<div>
    <div class="table-responsive table-responsive">
        <style>
            .table-responsive {
                overflow-x: auto;
            }

            .table-bordered th,
            .table-bordered td {
                white-space: nowrap;
            }

            .table-responsive {
                max-width: 100%;
                /* Set the maximum width as needed */
                overflow-x: scroll;
            }

            /* Webkit-based browsers */
            .table-responsive::-webkit-scrollbar {
                width: 2px;
                height: 5px;
            }

            .table-responsive::-webkit-scrollbar-track {
                background-color: transparent;
                /* Remove the background color */
            }

            .table-responsive::-webkit-scrollbar-thumb {
                background-color: rgba(0, 0, 0, 0.3);
                border-radius: 10px;
                border: none;
                /* Remove the border */
                background-clip: content-box;
            }

            /* Firefox */
            .table-responsive {
                scrollbar-width: thin;
                scrollbar-color: rgba(15, 15, 15, 0.3) rgba(19, 19, 19, 0.1);
            }

            .table-responsive::-moz-scrollbar {
                width: 2px;
                height: 5px;
            }

            .table-responsive::-moz-scrollbar-thumb {
                background-color: rgba(0, 0, 0, 0.3);
                border-radius: 10px;
                border: none;
                /* Remove the border */
            }

            /* end scrollbar */
            .table tr>td:first-child {
                width: 150px !important;
            }

            .table-dark td,
            .table-dark th {
                font-size: 16px;
                padding: 8px;
                text-align: center;
                border-width: 2px;
                border-image: linear-gradient(to bottom, white, black);
                border-image-slice: 1;
            }

            .table tr.custom-row {
                background-color: #ff2929;
                color: #fff;
            }

            .table tr.custom-text {
                font-size: 18px;
                color: #efefef;
            }

            @media (max-width: 768px) {
                .table-responsive {
                    width: 100%;
                    overflow-x: auto;
                    -webkit-overflow-scrolling: touch;
                    -ms-overflow-style: -ms-autohiding-scrollbar;
                }
            }
        </style>
        <table class="table table-bordered">
            <tr>
                @foreach ($plans as $data)
                    <th></th>
                @endforeach
            </tr>
            <tr class="custom-row">
                <th></th> 
                @foreach ($plans as $data)
                    @if (Auth::user()->plan_id != $data->id)
                        @if (App\Models\Deposit::pendingPlan($data->id) == true)
                            <th><a class="btn btn-danger">@lang('Pending For Approval')</a></th>
                        @else
                            <th>
                                <button wire:click.prevent="chooseAccount({{ $data->id }})"
                                    class="btn text-white">BUY NOW</button>
                            </th>
                        @endif
                    @else
                        <th><a class="btn btn-danger">@lang('Present Using')</a></th>
                    @endif
                @endforeach
            </tr>
            <tr class="custom-text">
                <th></th>
                @foreach ($plans as $plan)
                    <th>{{ $plan->name }}</th>
                @endforeach
            </tr>
            <tr class="custom-text custom-row">
                <td>PRICE</td>
                @foreach ($plans as $plan)
                    <td>{{ App\Models\User::currency(number_format(floatval($plan->price), 2, '.', ','), 0, 1) }}</td>
                @endforeach
            </tr>
            <tr>
                <td>Direct Referral limit</td>
                @foreach ($plans as $plan)
                    <td>Unlimited</td>
                @endforeach
            </tr>
            <tr>
                <td>First minimum payout</td>
                @foreach ($plans as $plan)
                    <td>{{ App\Models\User::currency(number_format(floatval($plan->min_withdraw), 2, '.', ','), 0, 1) }}
                    </td>
                @endforeach
            </tr>
            <tr>
                <td>Maximum Daily Payout</td>
                @foreach ($plans as $plan)
                    <td>{{ App\Models\User::currency(number_format(floatval($plan->max_withdraw), 2, '.', ','), 0, 1) }}
                    </td>
                @endforeach
            </tr>
            <tr>
                <td>Daily video Ads</td>
                @foreach ($plans as $plan)
                    <td>{{ App\Models\Plan::data($plan->id, 'daily_ad_limit') }}</td>
                @endforeach
            </tr>
            <tr>
                <td>Referral Tools Available</td>
                @foreach ($plans as $plan)
                    <td>True</td>
                @endforeach
            </tr>
            <tr>
                <td>Earning per watching video Ads</td>
                @foreach ($plans as $plan)
                    <td>{{ App\Models\User::currency(number_format(floatval($plan->view_rate), 2, '.', ','), 0, 1) }}
                    </td>
                @endforeach
            </tr>
            
            <tr class="custom-row">
                <td>Direct Referral Commission</td>
                @foreach ($plans as $plan)
                    <td>{{ $plan->refarel_commision }} %</td>
                @endforeach
            </tr>
        </table>
        {{-- Modal --}}

        <div id="myModal" wire:ignore.self class="modal fade" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <h6 class="text-center">Select Membership you want to upgrade to</h6>
                        <div class="text-center">
                            <select wire:model="plan_id" id="" class="form-control">
                                @foreach ($plans as $plan)
                                    <option value="{{ $plan->id }}">
                                        {{ $plan->name }}({{ $plan->duration }}
                                        days) - {{ App\Models\User::currency($plan->price, 0, 6) }}</option>
                                @endforeach
                            </select>
                            <h5 class="mt-3">Price:{{ App\Models\User::currency($last_price ?? 0, 0, 6) }}
                            </h5>
                            <button wire:click="payFromDeposit" class="btn btn-primary text-white mt-3">Pay from
                                Deposit Balance</button>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-light waves-effect" data-bs-dismiss="modal">Close</button>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div>
        
        <div id="upgradeConfirmModal" wire:ignore.self class="modal fade" aria-labelledby="upgradeConfirmModalLabel"
            aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <h4 class="text-center">Are you sure you want to upgrade to: <br />
                            <span
                                style="color: #09a606;">{{ $selected_plan->name ?? '' }}({{ $selected_plan->duration ?? '' }}
                                days) - {{ App\Models\User::currency($last_price ?? 0, 0, 6) }}</span>
                        </h4>

                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-warning waves-effect"
                            data-bs-dismiss="modal">Close</button>
                        <button type="button" wire:click="confirmUpgrade"
                            class="btn btn-info waves-effect">Confirm</button>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div>
    </div>
</div>
