<div>
    @include('components.loading-indecator')
    <ul class="nav nav-pills mb-3 m-setting" id="pills-tab" role="tablist">
        <li class="nav-item" role="presentation">
            <button class="nav-link {{ $activeTab == 'tab1' ? 'active' : '' }}" wire:click.prevent="tabChanged('tab1')">User Info</button>
        </li>
        <li class="nav-item" role="presentation">
            <button class="nav-link {{ $activeTab == 'tab2' ? 'active' : '' }}" wire:click.prevent="tabChanged('tab2')">Payment</button>
        </li>
        <li class="nav-item" role="presentation">

        </li>
        <li class="nav-item" role="presentation"><button class="nav-link {{ $activeTab == 'tab4' ? 'active' : '' }}" wire:click.prevent="tabChanged('tab4')">Security</button>
        </li>
        <li class="nav-item" role="presentation">
            <button class="nav-link {{ $activeTab == 'tab5' ? 'active' : '' }}" wire:click.prevent="tabChanged('tab5')">Phone</button>
        </li>
    </ul>
    <div class="tab-content" id="pills-tabContent">
        @if ($msg)
            <div class="mt-2 alert alert-{{ $msg['status'] == 'error' ? 'danger' : 'success' }}">
                <p class="text-center">
                    {{ $msg['message'] }}</p>
            </div>
        @endif
        <div class="tab-pane fade {{ $activeTab == 'tab1' ? 'show active' : '' }}">
            <div class="row">
                <form wire:submit.prevent="optSend" enctype="multipart/form-data">
                    <div class="col-md-12">
                        <div class="tab-content p-0">
                            <div class="TitanViewElement">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="alert alert-light-danger border-0 mb-4" id="ctl00_PageMainContent_ValidationSummary3" style="display:none;">
                                        </div>
                                        <div class="alert alert-light-danger border-0 mb-4" id="ctl00_PageMainContent_ChangeSettingsValidationSummary" style="display:none;">
                                        </div>
                                    </div>
                                </div>
                                <div class="profile-section row">
                                    <div class="col-lg-12">
                                        <div class="col-lg-12 card p-3">
                                            <div class="d-flex">
                                                <div class="profile-img-section  my-auto">
                                                    <div class="profile-image text-center h-100 d-flex">
                                                        @if ($image)
                                                            <img class="img-fluid" src="{{ $image->temporaryUrl() }}" style="border-radius: 50%" width="100px">
                                                        @else
                                                            <img class="img-fluid" src="{{ auth()->user()->image_url ?? '' }}" style="border-radius: 50%" width="100px">
                                                        @endif
                                                    </div>
                                                </div>
                                                <div class="profile-img-content my-auto">
                                                    <div class="mb-0">
                                                        <div class="custom-file">
                                                            <label class="custom-file-label" for="customFile" style="color: lightgray;">Change picture</label>
                                                            <input class="custom-file-input form-control" id="" type="file" onchange="loadFile(event)" wire:model.defer="image">
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-9">
                                        <div class="row">
                                            <div class="col-md-12">
                                                <div class="form-horizontal">
                                                    <div class="form-group">
                                                        <div class="col-md-12">
                                                            <div class="row mb-3">
                                                                <span class="text-danger" id="ctl00_PageMainContent_AccountTypeValidator" style="display:none;">Select at least one account type.</span>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-3">
                                                            <div class="row">
                                                                <div class="col-lg-12 mb-3">
                                                                    <div class="form-group">
                                                                        <label class="control-label col-md-12 textcolor">Email:</label>
                                                                        <div class="col-md-12">
                                                                            <input class="form-control" id="" type="text" wire:model.defer="email" readonly>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="col-lg-12 mb-3">
                                                                    <div class="form-group" id="ctl00_PageMainContent_PINDiv1">
                                                                        <label class="control-label col-md-12 textcolor">Current PIN:</label>
                                                                        <div class="col-md-12">
                                                                            <input class="form-control" type="number" wire:model.defer="personal_pin" maxlength="4" readonly>
                                                                        </div>
                                                                    </div>
                                                                    <button class="btn btn-primary mt-2" type="submit">Submit</button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div class="tab-pane fade {{ $activeTab == 'tab2' ? 'show active' : '' }}">
            <div class="row">
                <div class="col-md-12">
                    @if ($sent_otp == 'send')
                        {{-- <h5 class="text-center my-3">
                            <strong class="text-white">Otp Sended In Your Mail. Please Check Your Mail.</strong>
                        </h5> --}}
                        <div class="card-body mt-4">
                            <form wire:submit.prevent="verifySubmit">
                                <input class="form-control" type="number" wire:model.defer="otp" placeholder="Enter Verification Code" required>
                                <div class="text-center">
                                    <button class="btn btn-primary mt-3" type="submit">Next</button>
                                </div>
                            </form>
                        </div>
                    @else
                        <form wire:submit.prevent="optSend" enctype="multipart/form-data">
                            <div class="payment-settings">
                                <div class="row">
                                    <div class="col-lg-3">
                                        <!-- PerfectMoney -->
                                        <div class="form-group mb-4">
                                            <div class="d-flex align-items-center">
                                                <label class="me-3">
                                                    <img class="rounded-circle" src="{{ asset('assets/user/PerfectMoney.png') }}" style="max-height: 30px;">
                                                </label>
                                                <input class="form-control" id="ctl00_PageMainContent_ctl07_ValueTextBox" type="text" value="{{ auth()->user()->perfect_address }}"
                                                       wire:model.defer="perfect_money" placeholder="Enter your PerfectMoney address">
                                                <span class="text-danger d-none" id="ctl00_PageMainContent_ctl07_REValidator">This field contains illegal characters or it's too long</span>
                                            </div>
                                        </div>
                                        <!-- Payeer -->
                                        <div class="form-group mb-4">
                                            <div class="d-flex align-items-center">
                                                <label class="me-3">
                                                    <img class="rounded-circle" src="{{ asset('assets/user/Payeer.png') }}" style="max-height: 30px;">
                                                </label>
                                                <input class="form-control" id="ctl00_PageMainContent_ctl08_ValueTextBox" type="text" value="{{ auth()->user()->payeer_address }}"
                                                       wire:model.defer="payeer" placeholder="Enter your Payeer address">
                                                <span class="text-danger d-none" id="ctl00_PageMainContent_ctl08_REValidator">This field contains illegal characters or it's too long</span>
                                            </div>
                                        </div>
                                        <!-- Tether USDT (TRC.20) -->
                                        <div class="form-group mb-4">
                                            <div class="d-flex align-items-center">
                                                <label class="me-3">
                                                    <img class="rounded-circle" src="{{ asset('assets/user/TRC.png') }}" style="max-height: 30px;">
                                                </label>
                                                <input class="form-control" id="ctl00_PageMainContent_ctl09_ValueTextBox" type="text" value="{{ auth()->user()->tetheru_address }}"
                                                       wire:model.defer="teather1" placeholder="Enter your Tether USDT (TRC.20) address">
                                                <span class="text-danger d-none" id="ctl00_PageMainContent_ctl09_REValidator">This field contains illegal characters or it's too long</span>
                                            </div>
                                        </div>
                                        <!-- Tether USDT (ERC.20) -->
                                        <div class="form-group mb-4">
                                            <div class="d-flex align-items-center">
                                                <label class="me-3">
                                                    <img class="rounded-circle" src="{{ asset('assets/user/6.png') }}" style="max-height: 30px;">
                                                </label>
                                                <input class="form-control" id="ctl00_PageMainContent_ctl10_ValueTextBox" type="text" value="{{ auth()->user()->tethert_address }}"
                                                       wire:model.defer="teather2" placeholder="Enter your Tether USDT (ERC.20) address">
                                                <span class="text-danger d-none" id="ctl00_PageMainContent_ctl10_REValidator">This field contains illegal characters or it's too long</span>
                                            </div>
                                        </div>
                                        <!-- Save Button -->
                                        <div class="form-group mt-4">
                                            <div class="d-flex justify-content-center">
                                                <input class="btn btn-primary" id="ctl00_PageMainContent_ChangeSettingsButton2" name="ctl00$PageMainContent$ChangeSettingsButton2" type="submit"
                                                       value="Save">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    @endif
                </div>
            </div>
        </div>
        <div class="tab-pane fade {{ $activeTab == 'tab3' ? 'show active' : '' }}">
            <div class="row">
                <div class="form-horizontal">
                    <form wire:submit.prevnt="update" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="col-md-12">
                            <div class="card preference-block p-3">
                                <div class="form-group" id="ctl00_PageMainContent_profilPageDiv card-body">
                                    <label class="control-label col-md-12 textcolor">My profile page:</label>
                                    <div class="col-md-12">
                                        <div class="input-group">
                                            <div class="radio radio-button-list pl-2">
                                                <span id="ctl00_PageMainContent_ProfilPageRadioButtonList">
                                                    <input id="ctl00_PageMainContent_ProfilPageRadioButtonList_0" name="ctl00$PageMainContent$ProfilPageRadioButtonList" type="radio"
                                                           value="1">
                                                    <label class="textcolor" for="ctl00_PageMainContent_ProfilPageRadioButtonList_0" style="color: lightgray;">Allow to be
                                                        displayed</label>
                                                    <br>
                                                    <input id="ctl00_PageMainContent_ProfilPageRadioButtonList_1" name="ctl00$PageMainContent$ProfilPageRadioButtonList" type="radio"
                                                           value="0" checked="checked">
                                                    <label class="textcolor" for="ctl00_PageMainContent_ProfilPageRadioButtonList_1" style="color: lightgray;">Hide</label>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card preference-block p-3">
                                <div class="form-group" id="ctl00_PageMainContent_marketingPolicy">
                                    <label class="control-label col-md-12 textcolor">Communication:</label>
                                    <div class="col-md-12">
                                        <div class="input-group">
                                            <div class="radio radio-button-list">
                                                <span id="ctl00_PageMainContent_MailPurposePreferencesRBL">
                                                    <input id="ctl00_PageMainContent_MailPurposePreferencesRBL_0" name="ctl00$PageMainContent$MailPurposePreferencesRBL" type="radio"
                                                           value="0">
                                                    <label class="textcolor" for="ctl00_PageMainContent_MailPurposePreferencesRBL_0" style="color: lightgray;">I DON'T want to
                                                        receive any marketing
                                                        communication from ClickLancers</label><br>
                                                </span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card preference-block"></div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-md-12">
                                        <a class="btn btn-danger btn-xs textcolor" id="ctl00_PageMainContent_DeleteAccountButton"
                                           href="javascript:__doPostBack('ctl00$PageMainContent$DeleteAccountButton','')">
                                            <i class="fa fa-times" aria-hidden="true"></i>&nbsp;Delete account</a>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-md-12"></div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-3">
                                    <div class="form-group" id="ctl00_PageMainContent_PINDiv4">
                                        <label class="control-label col-md-12">Current PIN:</label>
                                        <div class="col-md-12">
                                            <input class="form-control" id="ctl00_PageMainContent_CurrentPin4" name="personal_pin" type="password" value="" maxlength="4"
                                                   autocomplete="off">
                                            <span class="text-danger" id="ctl00_PageMainContent_RegularExpressionValidator5" style="display:none;">Invalid PIN format</span>
                                            <span class="text-danger" id="ctl00_PageMainContent_RequiredFieldValidator4" style="display:none;">PIN field can't be left
                                                blank</span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="form-group my-3">
                                <div class="col-md-12">
                                    <input class="btn btn-primary" id="ctl00_PageMainContent_PreferencesSettingsSaveButton" name="ctl00$PageMainContent$PreferencesSettingsSaveButton"
                                           type="submit" value="Save"
                                           onclick="javascript:WebForm_DoPostBackWithOptions(new WebForm_PostBackOptions(&quot;ctl00$PageMainContent$PreferencesSettingsSaveButton&quot;, &quot;&quot;, true, &quot;PreferencesSettingsValidationGroup&quot;, &quot;&quot;, false, false))">
                                </div>
                            </div>
                        </div>
                    </form>

                </div>
            </div>
        </div>
        <div class="tab-pane fade {{ $activeTab == 'tab4' ? 'show active' : '' }}">
            <div class="row">
                <div class="col-md-12">
                    <form wire:submit.prevent="updateSecurity">
                        <div class="tab-content p-0">
                            <div class="TitanViewElement">
                                <div class="row">
                                    <div class="col-lg-3 col-12">
                                        <div class="row">
                                            <div class="col-lg-12 mb-3">
                                                <div class="form-group">
                                                    <label class="control-label col-md-12 textcolor">New
                                                        password:</label>
                                                    <div class="col-md-12">
                                                        <input class="form-control" type="text" wire:model.defer="new_password">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 mb-3">
                                                <div class="form-group">
                                                    <label>Confirm new
                                                        password:</label>
                                                    <div class="col-md-12">
                                                        <input class="form-control" type="text" wire:model.defer="confirm_password">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 mb-3">
                                                <div class="form-group" id="ctl00_PageMainContent_PINDiv5">
                                                    <label class="control-label col-md-12 textcolor">New PIN:</label>
                                                    <div class="col-md-12">
                                                        <input class="form-control" type="password" wire:model.defer="new_pin">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-lg-12 mb-3">
                                                <div class="form-group" id="ctl00_PageMainContent_PINDiv6">
                                                    <label class="control-label col-md-12 textcolor">Current
                                                        PIN:</label>
                                                    <div class="col-md-12">
                                                        <input class="form-control" type="password" wire:model.defer="current_pin">
                                                    </div>
                                                    <button class="btn btn-primary mt-2" type="submit">Save</button>
                                                </div>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
        <div class="tab-pane fade {{ $activeTab == 'tab5' ? 'show active' : '' }}">
            <div class="col-md-6">
                <form wire:submit.prevent="update">
                    <div class="form-group">
                        <label class="form-control-label  font-weight-bold">@lang('Mobile Number')<span class="text-danger">*</span></label>
                        <input class="form-control form-control-lg" type="text" wire:model.defer="phone">
                    </div>
                    <div class="form-group">
                        <div class="col-md-12 my-3">
                            <input class="btn btn-primary" type="submit" value="Save">
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
