<div class="p-4 mx-auto rounded">
    @include('components.loading-indecator')
    @if ($msg)
        <div class="mt-2 alert alert-{{ $msg['status'] == 'error' ? 'danger' : 'success' }}">
            <p class="text-center">
                {{ $msg['message'] }}</p>
        </div>
    @endif
    @if (Session::has('error'))
        <div class="alert alert-danger">
            {{ Session::get('error') }}
        </div>
    @endif

    @if ($tab == 1)
        <form class="form-horizontal" wire:submit.prevent="login">

            <div class="mb-3">
                <label class="form-label" for="username">Username</label>
                <div class="custom-input-group">
                    <i class="fa-duotone fa-user input-icon"></i>
                    <input class="form-control" id="username" type="text" wire:model.defer="username" placeholder="Enter username">
                </div>
            </div>

            <div class="mb-3">
                <label for="userpassword">Password</label>
                <div class="custom-input-group">
                    <i class="fa-duotone fa-lock input-icon"></i>
                    <input class="form-control" id="userpassword" type="password" wire:model.defer="password" placeholder="Enter password">
                </div>
            </div>

            <div class="mt-3">
                <button class="btn btn-primary w-100 waves-effect waves-light" type="submit">Log
                    IN</button>
            </div>

            <div class="mt-4 text-center">
                <a class="text-muted" href="{{ route('user.password.request') }}"><i class="mdi mdi-lock me-1"></i>
                    Forgot your password?</a>
            </div>
        </form>
    @elseif($tab == 2)
        <form wire:submit.prevent="otpVerify">
            <div class="mb-3">
                <label for="otp">Otp</label>
                <input class="form-control" id="otp" type="number" wire:model.defer="otp" placeholder="Enter otp here">
                @error('otp')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>

            <div class="mt-3">
                <button class="btn btn-primary w-100 waves-effect waves-light" type="submit">Verify</button>
            </div>
        </form>
    @endif
</div>
