<div class="p-4 mt-n5 rounded">
    @include('components.loading-indecator')
    @if ($tab == 1)
        <form class="form-horizontal" wire:submit.prevent="register">
            @if ($msg)
                <div class="mt-2 alert alert-{{ $msg['status'] == 'error' ? 'danger' : 'success' }}">
                    <p class="text-center">
                        {{ $msg['message'] }}</p>
                </div>
            @endif
            <div class="mb-3">
                <label class="form-label" for="username">Refarel Username</label>
                                <div class="custom-input-group">
                    <i class="fa-duotone fa-user input-icon"></i>
                <input class="form-control" type="text" value="{{ $refusername }}" readonly>
                </div>
                @error('username')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
            <div class="mb-3">
                <label class="form-label" for="username">Username</label>
                                <div class="custom-input-group">
                    <i class="fa-duotone fa-user input-icon"></i>
                <input class="form-control" id="username" type="text" wire:model.defer="username" placeholder="Enter username">
                </div>
                @error('username')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
            <div class="mb-3">
                <label class="form-label" for="personal_pin">Personal Pin</label>
                                <div class="custom-input-group">
                    <i class="fa-duotone fa-shield-halved input-icon"></i>
                <input class="form-control" id="personal_pin" type="number" wire:model.defer="personal_pin" placeholder="Personal Pin">
                </div>
                @error('personal_pin')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
            <div class="mb-3">
                <label class="form-label" for="firstname">firstname</label>
                                <div class="custom-input-group">
                    <i class="fa-duotone fa-file-signature input-icon"></i>
                <input class="form-control" id="firstname" type="text" wire:model.defer="firstname" placeholder="Enter firstname">
                </div>
                @error('firstname')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
            <div class="mb-3">
                <label class="form-label" for="lastname">lastname</label>
                                <div class="custom-input-group">
<i class="fa-duotone fa-signature input-icon"></i>
                <input class="form-control" id="lastname" type="text" wire:model.defer="lastname" placeholder="Enter lastname">
                </div>
                @error('lastname')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
            <div class="form-outline mb-4">
                <label class="form-label">@lang('Mobile')</label>
                <div class="input-group mb-3 input-group-custom">
                    <div class="input-group-prepend">
                        <select class="input-group-text form-control" wire:model.defer="country_code">
                            @foreach ($countries as $item)
                                <option value="{{ $item->phonecode }}" {{ $item->nicename == $location->country ? 'selected' : '' }}>+{{ $item->phonecode }}
                                </option>
                            @endforeach
                        </select>
                    </div>
                    <input class="form-control form-control" type="number" wire:model.defer="mobile" required>
                </div>
                @error('mobile')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
            <div class="mb-3">
                <label for="country">Country</label>
                                <div class="custom-input-group">
                    <i class="fa-duotone fa-earth-americas input-icon"></i>
                <select class="form-control" wire:model.defer="country">
                    @foreach ($countries as $ite)
                        <option value="{{ $ite->nicename }}" {{ $ite->nicename == $location->country ? 'selected' : '' }}>
                            {{ $ite->nicename }}</option>
                    @endforeach
                </select>
                </div>
                @error('country')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
            <div class="mb-3">
                <label for="email">Email</label>
                                <div class="custom-input-group">
<i class="fa-duotone fa-envelopes input-icon"></i>
                <input class="form-control" id="email" type="email" wire:model.defer="email" placeholder="Enter Email">
                </div>
                @error('email')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>
            <div class="mb-3">
                <label for="password">Password</label>
                <div class="custom-input-group">
                    <i class="fa-duotone fa-lock input-icon"></i>
                    <input class="form-control" id="password" type="password" wire:model.defer="password" placeholder="Enter password">
                </div>
                @error('password')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>

            <div class="mt-3">
                <button class="btn btn-primary w-100 waves-effect waves-light" type="submit">Register</button>
            </div>

            <div class="mt-4 text-center">
                <a class="text-muted" href="auth-recoverpw.html"><i class="mdi mdi-lock me-1"></i>
                    Forgot your password?</a>
            </div>
        </form>
    @elseif($tab == 2)
        <form wire:submit.prevent="otpVerify">
            @if ($msg)
                <div class="mt-2 alert alert-{{ $msg['status'] == 'error' ? 'danger' : 'success' }}">
                    <p class="text-center">
                        {{ $msg['message'] }}</p>
                </div>
            @endif
            <div class="mb-3">
                <label for="otp">Otp</label>
                <input class="form-control" id="otp" type="number" wire:model.defer="otp" placeholder="Enter otp here">
                @error('otp')
                    <span class="text-danger">{{ $message }}</span>
                @enderror
            </div>

            <div class="mt-3">
                <button class="btn btn-primary w-100 waves-effect waves-light" type="submit">Verify</button>
            </div>
        </form>
    @endif
</div>
