<div>
    @include('components.loading-indecator')
    <div class="category d-flex mb-3">
        <button wire:click.prevent="catChanged('all')" class="btn btn-sm btn-primary me-2">All</button>
        @foreach ($categories as $category)
            <button wire:click.prevent="catChanged({{ $category->id }})"
                class="btn btn-primary btn-sm me-2">{{ $category->name }}</button>
        @endforeach
    </div>
    <div class="ptc">
            <div class="row"> 
            <div class="bg-primary p-3 text-white mb-3">
        <p class="mb-0">Number of ads: {{ count($ads) }}</p>
    </div>
            @forelse($ads as $ad)
                @if (!in_array($ad->id, $viewed))
                    @php
                        // Extract video code from the URL
                        $urlParts = explode('/embed/', $ad->ads_body);
                        $videoCode = end($urlParts); // Get the last part after '/embed/'
                    @endphp
                    <div class="col-lg-6">
                        <div class="card">
                            <div class="card-body">
                                <div class="row no-gutters align-items-center">
                                    <div class="col-md-4">
                                    <a href="{{ route('user.ptc.show', Crypt::encryptString($ad->id . '|' . auth()->user()->id)) }}" target="_blank">
                                        <img src="https://img.youtube.com/vi/{{$videoCode}}/hqdefault.jpg" class="card-img-top"
                                            alt="Video Title 1">
                                    </a>
                                    </div>
                                    <div class="col-md-8">
                                        <div class="">
                                            <h5 class="card-title">{{ $ad->title }}</h5>
                                            <p class="card-text">{{ $ad->description }}</p>
                                            <div class="buttons">
                                                <button class="btn btn-success btn-sm">{{ App\Models\User::currency(number_format(floatval($ad->amount), 2, '.', ','), 0, 1) }}</button>
                                                <button class="btn btn-light btn-sm">{{ $ad->views_count }}
                                                    views</button>
                                                <a class="btn btn-primary btn-sm float-end"
                                                    href="{{ route('user.ptc.show', Crypt::encryptString($ad->id . '|' . auth()->user()->id)) }}">
                                                    <i class="ri-google-play-fill"></i> Watch & Earn</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endif
            @empty
                <div>
                    <p class="text-danger">No Ads Found</p>
                </div>
            @endforelse
        </div>
        <div class="card-footer">
                            {{ $ads->links() }}
                        </div>
    </div>
</div>
