@extends('user.inc.layout')
@section('title', 'Deposit Voucher Distributor')
@section('content')
    <div class="page-content">
        <div class="container-fluid">
            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-flex align-items-center justify-content-between">
                        <h4 class="mb-0">Agent List</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">AdsNetwork</a></li>
                                <li class="breadcrumb-item active">Agent List</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->
            <div class="container ave_container mt-5">
                <div class="ave_country">
                    <h2 class="ave_country_name">
                        @php
                            $country = last(explode('/', request()->path()));
                        @endphp
                        {{ ucfirst($country) }}
                    </h2>
                    <p class="ave_country_agents">{{ $agents->count() }} Country Agents</p>
                </div>

                @foreach ($agents as $agent)
                    @php
                        $user_details = json_decode(json_encode($agent->address));
                        $voucher = App\Models\Voucher::where('user_id', $agent->id)
                            ->latest()
                            ->first();
                    @endphp
                    <div class="ave_agent card">
                        <div class="card-body">
                            <h5 class="ave_agent_name">
                                @if ($agent->image_url)
                                    <img class="rounded-circle header-profile-user" src="{{ $agent->image_url }}" alt="Agent Avatar">
                                @else
                                    <img class="rounded-circle header-profile-user" src="https://img.freepik.com/premium-vector/man-avatar-profile-round-icon_24640-14044.jpg?w=360" alt="Default Avatar">
                                @endif
                                <span>{{ $agent->firstname }} {{ $agent->lastname }}</span>
                            </h5>
                            <div class="ave_agent_inner">
                                <div>
                                    <p class="ave_agent_activity"><strong>Last activity:</strong>
                                        @if (!blank($voucher))
                                            {{ $voucher->created_at->format('Y-m-d H:i') }}
                                        @else
                                            {{ $agent->created_at->format('Y-m-d H:i') }}
                                        @endif
                                    </p>
                                    <p class="ave_agent_language"><strong>Language:</strong> English</p>
                                    <p class="ave_agent_location"><strong>Location:</strong> {{ $agent->country ?? '' }}</p>
                                </div>
                                <div>
                                    <p class="ave_agent_phone"><strong>Phone:</strong> {{ $agent->mobile ?? '' }}</p>
                                    <p class="ave_agent_email"><strong>Email:</strong> {{ $agent->email ?? '' }}</p>
                                    <div class="ave_agent_social">
                                        @if ($agent->skype)
                                            <a class="ave_social_icon" href="{{ $agent->skype }}">Skype</a>
                                        @endif
                                        @if ($agent->facebook)
                                            <a class="ave_social_icon" href="{{ $agent->facebook }}">Facebook</a>
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforeach
            </div>
        </div>
    </div>
@endsection
