@extends('user.inc.user-auth-layout')
@section('title', 'Login')
@section('content')
    @include('user.inc.phoneInputScript')
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="text-center">
                    <a href="index.html" class="d-block auth-logo">
                        <img src="assets/images/logo-dark.png" alt="" height="24" class="logo logo-dark mx-auto">
                        <img src="assets/images/logo-light.png" alt="" height="24"
                            class="logo logo-light mx-auto">
                    </a>
                </div>
            </div>
        </div>
        <div class="row justify-content-center">
            <div class="col-md-8 col-lg-6 col-xl-5">
                <div class="p-4">
                    <div class="card overflow-hidden mt-2">
                        <div class="auth-logo text-center bg-primary position-relative">
                            <div class="img-overlay"></div>
                            <div class="position-relative pt-4 py-5 mb-1">
                                <h5 class="text-white">@lang('Verification Code')</h5>
                            </div>
                        </div>
                        <div class="card-body position-relative">
                            <form class="account-form" method="post" action="{{ route('user.password.verify-code') }}">
                                @csrf
                                <input type="hidden" name="email" value="{{ $email }}">
                                <div class="form-group my-3">
                                    <div id="phoneInput">
                                        <div class="field-wrapper">
                                            <div class="phone">
                                                <input type="text" name="code" class="form-control" pattern="[0-9]*"
                                                    placeholder="Enter Code Here" />
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <input type="submit" class="btn btn-primary mt-3" value="{{ __('Submit') }}">
                                    </div>

                                    <p class="mt-2 text-white">@lang('Please check including your Junk/Spam Folder. if not found, you can')
                                        <a class="text-danger"
                                            href="{{ route('user.password.request') }}">@lang('Try to send again')</a>
                                    </p>

                            </form>
                        </div>
                    </div>

                    <div class="mt-5 text-center">
                        <p>Don't have an account ?<a href="{{ route('user.without.ref.register') }}" class="fw-bold">
                                Register</a> </p>
                        <p> ClickerPay.Com © 
                            <script>
                                document.write(new Date().getFullYear())
                            </script> . Crafted with <i class="mdi mdi-heart text-danger"></i>
                            by
                            <a href="/" target="_blank">ClickerPay</a>
                        </p>
                    </div>
                </div>
            </div>
        </div>

    </div>
@endsection
