@extends('user.inc.layout')
@section('title', 'Deposit')
@section('content')
    <div class="page-content bg-white">
        <div class="container-fluid">
            <div class="ave_pay-card">
                <div class="ave_pay-header">
                    <span>Store Name</span>
                    <img src="https://bitcoin.org/img/icons/logotop.svg" alt="AveThemes Logo">
                </div>
                <div class="ave_header">
                    <div class="ave_pay-order-info">
                        <h6>Order #{{ $data->trx }}</h6>
                        <p>Add Funds to Your Wallet</p>
                    </div>
                    <p id="header-amount">${{ number_format($usd_amount, 2) }} (USD)</p>
                </div>
                <h5>Select Payment Currency</h5>
                <form id="crypto-form" action="{{ route('user.deposit.crypto.paynow', $data->trx) }}" method="POST">
                    @csrf
                    <input id="crypto-id" name="crypto_id" type="hidden">
                    <input id="crypto-amount" name="crypto_amount" type="hidden">
                    <div class="ave_pay-currency-section">
                        <ul class="ave_pay-currency" id="crypto-list">
                            @foreach ($all_crypto as $crypto)
                                <li data-id="{{ $crypto->id }}" data-code="{{ $crypto->currency_code }}" data-rate="{{ $crypto->conversion_rate }}">
                                    <img class="ave_pay-icon" src="{{ asset('storage/' . $crypto->currency_icon) }}" alt="{{ $crypto->currency_name }}">
                                    <div>
                                        <div>
                                            <p>{{ $crypto->currency_code }}<span> {{ $crypto->currency_name }}</span></p>
                                        </div>
                                        <div>
                                            <p>{{ number_format($crypto->conversion_rate, 6) }}</p>
                                        </div>
                                    </div>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                    <button class="ave_pay-next-btn text-white" type="submit">@lang('Pay Now')</button>
                </form>
            </div>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const cryptoList = document.getElementById('crypto-list');
            const headerAmount = document.getElementById('header-amount');
            const cryptoIdInput = document.getElementById('crypto-id');
            const cryptoAmountInput = document.getElementById('crypto-amount');

            cryptoList.addEventListener('click', function(e) {
                const target = e.target.closest('li');
                if (target) {
                    const id = target.getAttribute('data-id');
                    const code = target.getAttribute('data-code');
                    const rate = target.getAttribute('data-rate');
                    headerAmount.textContent = `${rate} ${code}`;
                    cryptoIdInput.value = id;
                    cryptoAmountInput.value = rate;

                    // Remove active class from previously selected and add to the new one
                    document.querySelectorAll('.ave_pay-currency li').forEach(function(item) {
                        item.classList.remove('active');
                    });
                    target.classList.add('active');
                }
            });
        });
    </script>

    <style>
        .ave_pay-currency li.active {
            background-color: #f0f0f0;
        }
    </style>
@endsection
