@extends('user.inc.layout')
@section('title', 'Deposit')
@section('content')
    <div class="page-content bg-white">
        <div class="container-fluid">
            <div class="ave_pay-card text-center">
                <div class="ave_pay-header">
                    <span>Store Name</span>
                    <img src="https://bitcoin.org/img/icons/logotop.svg" alt="AveThemes Logo">
                </div>
                <div class="ave_header">
                    <div class="ave_pay-order-info">
                        <h6>Order #{{ $data->trx }}</h6>
                        <p>Add Funds to Your Wallet</p>
                    </div>
                    <p id="header-amount">{{ $crypto_amount }} {{ $crypto->currency_code }}</p>
                </div>
                <div class="alert-info ave_pay-alert" role="alert">
                    Please check the amount and address properly.
                </div>

                <img class="ave_pay-qrcode" src="{{ asset('storage/' . $crypto->currency_qr_code) }}" alt="QR Code">
                <p class="card-text">ADDRESS</p>
                <div class="wallet-address-container" id="wallet-address-container">
                    <input class="wallet-address-input" id="wallet-address" type="text" value="{{ $crypto->address }}" readonly>
                    <button class="wallet-address-copy" onclick="copyAddress()">
                        <img src="https://cdn-icons-png.flaticon.com/512/4855/4855025.png" alt="Copy" width="20" height="20">
                    </button>
                </div>
                <div class="ave_pay-footer">
                    <div class="ave_pay-timer" id="ave_pay-timer">
                        <div class="circle">
                            <div class="half-circle left-half"></div>
                            <div class="half-circle right-half"></div>
                        </div>
                        <span>10:00</span>
                    </div>
                    <div>
                        <p class="card-text"><strong>InvoiceID:</strong> {{ $data->trx }}</p>
                        <small>1 USDT = {{ number_format($crypto->exchange_rate, 6) }} {{ $crypto->currency_code }}</small>
                    </div>
                </div>
                <button class="btn ave_pay_modal-btn" data-bs-toggle="modal" data-bs-target="#paymentModal" type="button">I have completed the payment</button>
            </div>
        </div>
    </div>

    <!-- Payment Modal -->
    <div class="modal fade ave_pay_modal" id="paymentModal" aria-labelledby="paymentModalLabel" aria-hidden="true" tabindex="-1">
        <div class="modal-dialog">
            <div class="modal-content ave_pay_modal-content">
                <div class="modal-header ave_pay_modal-header">
                    <h5 class="modal-title text-light" id="paymentModalLabel">Payment Confirmation</h5>
                    <button class="btn-close-ave" data-bs-dismiss="modal" type="button" aria-label="Close">X</button>
                </div>
                <div class="modal-body ave_pay_modal-body">
                    <form action="{{ route('user.deposit.manual.update') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <input name="crypto_amount" type="hidden" value="{{ $crypto_amount }} {{ $crypto->currency_code }}">
                        <input name="crypto_name" type="hidden" value="{{ $crypto->id }}">
                        @if ($method->gateway_parameter)
                            @foreach (json_decode($method->gateway_parameter) as $k => $v)
                                @if ($v->type == 'text')
                                    <div class="form-group">
                                        <label class="form-label" for="{{ $k }}"><strong>{{ __(inputTitle($v->field_level)) }} @if ($v->validation == 'required')
                                                    <span class="text-danger">*</span>
                                                @endif
                                            </strong>
                                        </label>
                                        <input class="form-control ave_pay_modal-input" id="{{ $k }}" name="{{ $k }}" type="text" value="{{ old($k) }}" required
                                               placeholder="{{ __($v->field_level) }}">
                                    </div>
                                @elseif($v->type == 'textarea')
                                    <div class="form-group">
                                        <label class="form-label" for="{{ $k }}"><strong>{{ __(inputTitle($v->field_level)) }} @if ($v->validation == 'required')
                                                    <span class="text-danger">*</span>
                                                @endif
                                            </strong>
                                        </label>
                                        <textarea class="form-control ave_pay_modal-input" id="{{ $k }}" name="{{ $k }}" required placeholder="{{ __($v->field_level) }}" rows="3">{{ old($k) }}</textarea>
                                    </div>
                                @elseif($v->type == 'file')
                                    <div class="form-group">
                                        <label class="form-label" for="{{ $k }}"><strong>{{ __($v->field_level) }} @if ($v->validation == 'required')
                                                    <span class="text-danger">*</span>
                                                @endif
                                            </strong></label>
                                        <input class="form-control ave_pay_modal-input" id="{{ $k }}" name="{{ $k }}" type="file" accept="image/*">
                                    </div>
                                @endif
                            @endforeach
                        @endif
                        <button class="btn ave_pay_modal-submit" type="submit">Submit</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

<script>
    function copyAddress() {
        var copyText = document.getElementById("wallet-address");
        copyText.select();
        copyText.setSelectionRange(0, 99999);
        document.execCommand("copy");
        alert("Copied the address: " + copyText.value);
    }
</script>
