@extends('user.inc.layout')
@section('title', 'Deposit')
@section('content')
    @push('css')
        <style>
            b {
                color: #fff !important;
            }

            span {
                color: #fff !important;
            }

            strong {
                color: #fff !important;
            }
        </style>
    @endpush
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-flex align-items-center justify-content-between">
                        <h4 class="mb-0">Deposit</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">AdsNetwork</a></li>
                                <li class="breadcrumb-item active">Deposit</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="card">
                    <div class="card-body">
                        <form action="{{ route('user.deposit.manual.update') }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                @php
                                    $extra = $data->gateway->extra;
                                @endphp
                                <div class="col-md-12 text-center text-white">
                                    <p class="text-center mt-2 text-white"><b
                                            class="text-center bg-success"><h3>Total Deposit Amount: {{ App\Models\User::convertToUsdWithCurrency($data['amount']) }}
                                        @lang('')</h3></b>
                                    </p>
                                    <h4 class="text-center mb-4 text-white">@lang('Make The Payment Verify')</h4>
                                    <p class="my-4 text-center text-white">@php echo  $data->gateway->description @endphp</p>
                                </div>
                                @if (session('notify'))
                                    @php
                                        $notify = session('notify');
                                        $type = $notify[0][0];
                                        $message = $notify[0][1];
                                    @endphp
                                    <div class="alert alert-{{ $type == 'error' ? 'danger' : 'success' }}">
                                        <p class="text-center">{!! addslashes($message) !!}</p>
                                    </div>
                                @endif
                                @if ($method->gateway_parameter)

                                    @foreach (json_decode($method->gateway_parameter) as $k => $v)
                                        @if ($v->type == 'text')
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label><strong>{{ __(inputTitle($v->field_level)) }} @if ($v->validation == 'required')
                                                                <span class="text-danger">*</span>
                                                            @endif
                                                        </strong>
                                                    </label>
                                                    <input required type="text" class="form-control form-control-lg"
                                                        name="{{ $k }}" value="{{ old($k) }}"
                                                        placeholder="{{ __($v->field_level) }}">
                                                </div>
                                            </div>
                                        @elseif($v->type == 'textarea')
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label><strong>{{ __(inputTitle($v->field_level)) }} @if ($v->validation == 'required')
                                                                <span class="text-danger">*</span>
                                                            @endif
                                                        </strong>
                                                    </label>
                                                    <textarea required name="{{ $k }}" class="form-control" placeholder="{{ __($v->field_level) }}"
                                                        rows="3">{{ old($k) }}</textarea>

                                                </div>
                                            </div>
                                        @elseif($v->type == 'file')
                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label><strong>{{ __($v->field_level) }} @if ($v->validation == 'required')
                                                                <span class="text-danger">*</span>
                                                            @endif
                                                        </strong></label>
                                                    <br>
                                                    <div class="fileinput fileinput-new " data-provides="fileinput">
                                                        <div class="fileinput-new thumbnail withdraw-thumbnail"
                                                            data-trigger="fileinput">
                                                            <!--<img class="w-h-220px"  src="{{ asset(imagePath()['image']['default']) }}" alt="@lang('gateway-image')" >-->
                                                        </div>
                                                        <div
                                                            class="fileinput-preview fileinput-exists thumbnail wh-200-150">
                                                        </div>

                                                        <div class="img-input-div">
                                                            <span class="btn btn--info btn-file">
                                                                <span class="fileinput-new text-white"> @lang('Select')
                                                                    {{ $v->field_level }}</span>
                                                                <span class="fileinput-exists text-white">
                                                                    @lang('Change')</span>
                                                                <input type="file" name="{{ $k }}"
                                                                    accept="image/*">
                                                            </span>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        @endif
                                    @endforeach
                                @endif

                                <div class="col-md-12">
                                    <div class="form-group text-center">
                                        <button type="submit"
                                            class="btn btn-primary text-white text-center">@lang('Confirm Deposit')</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                </div>
            </div>

        </div><!-- end row -->

    </div>
@endsection
