@extends('user.inc.layout')
@section('title', 'Direct Refarel')
@section('content')
    @push('css')
        <style>
            p {
                color: #fff !important;
            }

            .direct-refarel-part-2 i {
                font-size: 40px !important;
                background: #181e3d;
                padding: 10px 17px 10px 17px;
                border-radius: 10px;
                margin-right: 5px;
            }

            .oneside {
                position: relative;
                height: 100%;
                box-sizing: border-box;
            }

            .oneside::after {
                content: "";
                position: absolute;
                top: 0;
                height: 50%;
                right: 0;
                border-right: 1px solid;
            }
        </style>
    @endpush
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-flex align-items-center justify-content-between">
                        <h4 class="mb-0">Direct Refarels My Refarels</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">AdsNetwork</a></li>
                                <li class="breadcrumb-item active">Direct Refarel</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->
            <div>
                <p>Tell others about our service and earn even more</p>
                <div class="row mt-2">
                    <div class="col-md-4 oneside">
                        <p>{{ auth()->user()->username }}</p>
                        <p>{{ auth()->user()->email }}</p>
                    </div>
                    <div class="col-md-2 oneside">
                        <p>Registration</p>
                        <p>{{ auth()->user()->created_at->format('Y-m-d') }}</p>
                    </div>
                    <div class="col-md-2 oneside">
                        <p>Last Login</p>
                        <p>{{ optional($last_login)->created_at ? $last_login->created_at->format('Y-m-d') : ' ' }}</p>
                    </div>
                    <div class="col-md-2 oneside">
                        <p>Ip Address</p>
                        <p>{{ $_SERVER['REMOTE_ADDR'] }}</p>
                    </div>
                    <div class="col-md-2 oneside">
                        <p>Your Upline</p>
                        <p>{{ auth()->user()->upline->username }}</p>
                    </div>
                </div>
            </div>

            <div class="row direct-refarel-part-2">
                <div class="col-md-3">
                    <div class="card card-body">
                        <div class="d-flex">
                            <i class="fas fa-air-freshener"></i>
                            <div>
                                <h4>Total Refarels</h4>
                                <h5>{{ count($refarel_users) }}</h5>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card card-body">
                        <div class="d-flex">
                            <i class="fas fa-air-freshener"></i>
                            <div>
                                <h4>Active Refarels</h4>
                                <h5>{{ $active_users }}</h5>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card card-body">
                        <div class="d-flex">
                            <i class="fas fa-air-freshener"></i>
                            <div>
                                <h4>Refarels Direct Deposit</h4>
                                <h5>{{ App\Models\User::currency($refarels_deposit->sum('final_amo')) }}</h5>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="card card-body">
                        <div class="d-flex">
                            <i class="fas fa-air-freshener"></i>
                            <div>
                                <h4>Earning From Refarels</h4>
                                <h5>{{ App\Models\User::currency($refarels_earn->sum('amount')) }}</h5>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div>
                <p>Tell others about our service and earn even more</p>
                <h5>Your Refarer (Upline):-</h5>
                <div class="section_content">
                    <div class="link d-flex">
                        <input type="text" value="{{ route('home') }}?u={{ auth()->user()->uniqueid }}"
                            class="form-control">
                        <button class="btn btn-primary text-white btn-sm"
                            onclick="navigator.clipboard.writeText('{{ route('user.register') }}/?u={{ auth()->user()->uniqueid }}').then(()=> alert('Copied to clipboard'))"><i
                                class="fa-solid fa-copy"></i> Copy</button>
                    </div>
                </div>
            </div>
            <div class="mt-4 table-responsive">
                <h6>Currently you have {{ count($refarel_users) }} refarels</h6>
                <table class="table table-bordered">
                    <thead>
                        <tr>
                            <th>SI</th>
                            <th>Username</th>
                            <th>Email</th>
                            <th>Refarel Since</th>
                            <th>Upgrade</th>
                            <th>Status</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach ($refarel_users as $user)
                            <tr>
                                <td>{{ $loop->iteration }}</td>
                                <td>{{ $user->username }}</td>
                                <td>{{ $user->email }}</td>
                                <td>{{ $user->created_at->format('Y-m-d') }}</td>
                                <td>{{ $user->plan->name }}</td>
                                <td>{{ $user->status == 0 ? 'Deactive' : 'Active' }}</td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>

        </div><!-- end row -->

    </div>
@endsection
