<header id="page-topbar">
    <div class="navbar-header">
        <div class="d-flex">
            <!-- LOGO -->
            <div class="navbar-brand-box">
                <a class="logo logo-dark" href="/">
                    <span class="logo-sm">
                        <img src="{{ asset('https://clickerpay.com/public/assets/frontend/images/logo-sm.png') }}" alt="" height="22">
                    </span>
                    <span class="logo-lg">
                        <img src="{{ asset('https://clickerpay.com/public/assets/frontend/images/logo-dark.png') }}" alt="" height="20">
                    </span>
                </a>

                <a class="logo logo-light" href="/">
                    <span class="logo-sm">
                        <img src="{{ asset('https://clickerpay.com/public/assets/frontend/images/logo-sm-light.png') }}" alt="" height="22">
                    </span>
                    <span class="logo-lg">
                        <img src="{{ asset('https://clickerpay.com/public/assets/frontend/images/logo-light.png') }}" alt="" height="20">
                    </span>
                </a>
            </div>

            <button class="btn btn-sm px-3 font-size-16 header-item waves-effect vertical-menu-btn" type="button">
                <i class="fa fa-fw fa-bars"></i>
            </button>

            <!-- App Search-->
            <form class="app-search d-none d-lg-block">
                <div class="position-relative">
                    <input class="form-control" type="text" placeholder="Search...">
                    <span class="ri-search-line"></span>
                </div>
            </form>

        </div>

        <div class="d-flex">
            <div class="dropdown d-inline-block d-lg-none ms-2">
                <button class="btn header-item noti-icon waves-effect" id="page-header-search-dropdown" data-bs-toggle="dropdown" type="button" aria-haspopup="true" aria-expanded="false">
                    <i class="ri-search-line"></i>
                </button>
                <div class="dropdown-menu dropdown-menu-lg dropdown-menu-end p-0" aria-labelledby="page-header-search-dropdown">

                    <form class="p-3">
                        <div class="mb-3 m-0">
                            <div class="input-group">
                                <input class="form-control" type="text" placeholder="Search ...">
                                <div class="input-group-append">
                                    <button class="btn btn-primary" type="submit"><i class="ri-search-line"></i></button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>

            <div class="d-flex align-items-center">
                <div class="">
                    <select class="form-control" onchange="currencyChanged(this.value)">
                        @foreach (App\Models\User::allCurrencyCode() as $currency)
                            @if ($currency->currency_code !== 'USDT')
                                <option {{ $currency->currency_code == App\Models\User::currencyCode() ? 'selected' : '' }}>
                                    {{ $currency->currency_code }}
                                </option>
                            @endif
                        @endforeach
                    </select>
                    <form id="currencyForm" action="{{ route('currencyChanged') }}" method="post">
                        @csrf
                        <input id="input" name="currency" type="hidden">
                    </form>
                </div>
            </div>

            <div class="dropdown d-none d-lg-inline-block ms-1">
                <button class="btn header-item noti-icon waves-effect" data-bs-toggle="fullscreen" type="button">
                    <i class="ri-fullscreen-line"></i>
                </button>
            </div>

            <div class="dropdown d-inline-block user-dropdown">
                <button class="btn header-item waves-effect" id="page-header-user-dropdown" data-bs-toggle="dropdown" type="button" aria-haspopup="true" aria-expanded="false">
                    @if (auth()->user()->image_url)
                        <img class="rounded-circle header-profile-user" src="{{ auth()->user()->image_url }}" alt="Header Avatar">
                    @else
                        <img class="rounded-circle header-profile-user" src="https://img.freepik.com/premium-vector/man-avatar-profile-round-icon_24640-14044.jpg?w=360" alt="Header Avatar">
                    @endif
                </button>
                <div class="dropdown-menu dropdown-menu-lg dropdown-menu-end">
                    <div class="p-3">
                        <div class="row align-items-center">
                            <div class="col">
                                <h6 class="m-0"> {{ auth()->user()->username }} </h6>
                            </div>
                            <div class="col-auto">
                                <a class="small" href="#!"> Available</a>
                            </div>
                        </div>
                    </div>
                    <div data-simplebar style="max-height: 230px;">
                        <!-- item-->
                        <a class="text-reset notification-item" href="{{ route('user.profile') }}">
                            <div class="d-flex align-items-center">
                                <div class="avatar-xs me-3 mt-1">
                                    <span class="avatar-title bg-soft-secondary rounded-circle font-size-16">
                                        <i class="ri-settings-2-line text-secondary"></i>
                                    </span>
                                </div>
                                <div class="flex-grow-1 text-truncate">
                                    <h6 class="mb-1">Profile
                                    </h6>
                                    <p class="mb-0 font-size-12">View your personal profile details.</p>
                                </div>
                            </div>
                        </a>
                        <a class="text-reset notification-item" href="{{ route('user.settings') }}">
                            <div class="d-flex align-items-center">
                                <div class="avatar-xs me-3 mt-1">
                                    <span class="avatar-title bg-soft-secondary rounded-circle font-size-16">
                                        <i class="ri-settings-2-line text-secondary"></i>
                                    </span>
                                </div>
                                <div class="flex-grow-1 text-truncate">
                                    <h6 class="mb-1">Settings </h6>
                                    <p class="mb-0 font-size-12">Manage your account parameters.</p>
                                </div>
                            </div>
                        </a>
                        <!-- item-->
                    </div>
                    <!-- item-->
                    <div class="pt-2 border-top">
                        <div class="d-grid">
                            <a class="btn btn-sm btn-link font-size-14 text-center" href="{{ route('user.logout') }}">
                                <i class="ri-shut-down-line align-middle me-1"></i> Logout
                            </a>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</header>
@push('js')
    <script>
        function currencyChanged(value) {
            $("#input").val(value);
            document.getElementById("currencyForm").submit();
        }
    </script>
@endpush
