<!doctype html>
<html style="direction: ltr;" lang="en">

    <head>
        <meta charset="utf-8" />
        <title>@yield('title')</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta name="description"
              content="AdsNetwork is a New Microtasks platform will pay you for watching Ads & completing microtasks while Advertisers can also Promote their websites & Videos. Earn upto 93$ Daily." />
        <meta name="author" content="Get paid to watch video ads and earn extra money in your spare time. Sign up, watch the videos, and earn your time and attention rewards." />
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <!-- App favicon -->
        <link href="https://clickerpay.com/public/assets/frontend/images/logo-sm.png" rel="shortcut icon">
        <link href="https://cdnjs.cloudflare.com/ajax/libs/remixicon/3.3.0/remixicon.min.css" rel="stylesheet"
              integrity="sha512-tgAW/YyQHq3WCbO/Dcp7LYKKAJdCNEx1Faa0iOEygzQF1ylLv6JkBuZoVeFOqKPpsqToJC2KwUJJx+t8VQnYCg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <link type="text/css" href="/assets/frontend/css/jquery-jvectormap-1.2.2.css" rel="stylesheet" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/MaterialDesign-Webfont/5.9.55/css/materialdesignicons.min.css" rel="stylesheet"
              integrity="sha512-vIgFb4o1CL8iMGoIF7cYiEVFrel13k/BkTGvs0hGfVnlbV6XjAA0M0oEHdWqGdAVRTDID3vIZPOHmKdrMAUChA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
        <!-- Bootstrap Css -->
        <link type="text/css" href="/assets/frontend/css/bootstrap-dark.min.css" rel="stylesheet" />
        <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css" rel="stylesheet"
              integrity="sha512-iecdLmaskl7CVkqkXNQ/ZH/XLlvWZOJyj7Yy7tcenmpD1ypASozpmT/E0iPtmFIB46ZmdtAc9eNBvH0H/ZpiBw==" crossorigin="anonymous" referrerpolicy="no-referrer" /> <!-- App Css-->
        <link type="text/css" href="/assets/frontend/css/icons.min.css" rel="stylesheet" />
        <link type="text/css" href="/assets/frontend/css/style.css" rel="stylesheet" />
        <link type="text/css" href="/assets/frontend/css/toastr.min.css" rel="stylesheet" />
        <link type="text/css" href="/assets/frontend/css/app-dark.min.css" rel="stylesheet" />
        <link href="https://site-assets.fontawesome.com/releases/v6.5.2/css/all.css" rel="stylesheet">

        <!-- Swiper CSS -->
        <link href="https://unpkg.com/swiper/swiper-bundle.min.css" rel="stylesheet">

        <!-- Swiper JS -->
        <script src="https://unpkg.com/swiper/swiper-bundle.min.js"></script>

        @stack('css')
        @livewireStyles
    </head>

    <body data-topbar="dark">
        <div id="layout-wrapper">

            @include('user.inc.header')

            @include('user.inc.sidebar')

            <div class="main-content">
                @yield('content')
            </div>
            <footer class="footer">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-sm-6">
                            © AdsNetwork
                            <script>
                                document.write(new Date().getFullYear())
                            </script>
                        </div>
                        <div class="col-sm-6">
                            <div class="text-sm-end d-none d-sm-block">
                                Crafted with <i class="mdi mdi-heart text-danger"></i> by <a href="#" target="_blank">AdsNetwork</a>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
        <div class="rightbar-overlay"></div>

        <!-- JAVASCRIPT -->
        <script src="{{ asset('assets/frontend/js/jquery.min.js') }}"></script>
        <script src="{{ asset('assets/frontend/js/bootstrap.bundle.min.js') }}"></script>
        <script src="{{ asset('assets/frontend/js/metisMenu.min.js') }}"></script>
        <script src="{{ asset('assets/frontend/js/simplebar.min.js') }}"></script>
        <script src="{{ asset('assets/frontend/js/waves.min.js') }}"></script>

        <!-- apexcharts -->
        <script src="{{ asset('assets/frontend/js/apexcharts.min.js') }}"></script>

        <!-- jquery.vectormap map -->
        <script src="{{ asset('assets/frontend/js/jquery-jvectormap-1.2.2.min.js') }}"></script>
        <script src="{{ asset('assets/frontend/js/jquery-jvectormap-us-merc-en.js') }}"></script>
        <script src="{{ asset('assets/frontend/js/toastr.min.js') }}"></script>
        <script src="{{ asset('assets/frontend/js/dashboard.init.js') }}"></script>
        <!-- App js -->
        <script src="/assets/frontend/js/app.js"></script>

        @livewireScripts
        @stack('js')
        <script>
            toastr.options = {
                "closeButton": true,
                "debug": false,
                "newestOnTop": false,
                "progressBar": true,
                "positionClass": "toast-top-right",
                "preventDuplicates": false,
                "onclick": null,
                "showDuration": 300,
                "hideDuration": 1000,
                "timeOut": 5000,
                "extendedTimeOut": 1000,
                "showEasing": "swing",
                "hideEasing": "linear",
                "showMethod": "fadeIn",
                "hideMethod": "fadeOut"
            }
        </script>
        <script>
            window.addEventListener('show-modal', event => {
                $("#" + event.detail.id).modal('show');
            })
            window.addEventListener('hide-modal', event => {
                $("#" + event.detail.id).modal('hide');
            })
            window.addEventListener('success', event => {
                toastr["success"](event.detail.msg);
            })
            window.addEventListener('error', event => {
                toastr["error"](event.detail.msg);
            })
        </script>

        <script>
            var swiper = new Swiper('.swiper-container', {
                loop: true, // Enable loop mode
                spaceBetween: 20, // Space between slides
                autoplay: {
                    delay: 3000, // Autoplay delay in milliseconds
                },
                pagination: {
                    el: '.swiper-pagination', // Pagination container
                    clickable: true, // Enable pagination clickable
                },
                navigation: {
                    nextEl: '.swiper-button-next', // Next button selector
                    prevEl: '.swiper-button-prev', // Prev button selector
                },
                breakpoints: {
                    // Responsive breakpoints
                    768: {
                        slidesPerView: 1, // Number of slides per view on mobile
                        spaceBetween: 10, // Space between slides on mobile
                    },
                    992: {
                        slidesPerView: 2, // Number of slides per view on tablets
                        spaceBetween: 15, // Space between slides on tablets
                    },
                    1200: {
                        slidesPerView: 4, // Number of slides per view on desktop
                        spaceBetween: 20, // Space between slides on desktop
                    },
                },
            });
        </script>

    </body>

</html>
