<!doctype html>
<html style="direction: ltr;" lang="en">

<head>
    <meta charset="utf-8" />
    <title>@yield('title')</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Premium Multipurpose Admin & Dashboard Template" />
    <meta name="author" content="Themesdesign" />
    <!-- App favicon -->
    <link href="{{ asset('assets/frontend/images/favicon.ico') }}" rel="shortcut icon">
    {{-- icon --}}
    <link type="text/css" href="{{ asset('assets/frontend/css/jquery-jvectormap-1.2.2.css') }}" rel="stylesheet" />
    <!-- Bootstrap Css -->
    {{-- <link type="text/css" href="{{ asset('assets/frontend/css/bootstrap-dark.min.css') }}" rel="stylesheet" /> --}}
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link type="text/css" href="{{ asset('assets/frontend/css/toastr.min.css') }}" rel="stylesheet" />
    <link type="text/css" href="{{ asset('assets/frontend/css/icons.min.css') }}" rel="stylesheet" />
    <link type="text/css" href="{{ asset('assets/frontend/css/app-dark.min.css') }}" rel="stylesheet" />
    <link href="https://site-assets.fontawesome.com/releases/v6.5.2/css/all.css" rel="stylesheet">
    <link href="{{ asset('web/css/style.css') }}" rel="stylesheet">

    <style>
        .card {
            border: none;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        .form-control {
            border: none;
            border-bottom: 1px solid #ddd;
            border-radius: 0;
            box-shadow: none;
        }

        .form-control:focus,
        .form-control:active {
            border-bottom: 2px solid #007bff;
            /* Change this color to your preference */
            outline: none;
            box-shadow: none;
        }

        .custom-input-group {
            display: flex;
            align-items: center;
            /* Bottom border for the group */
        }

        .input-icon {
            margin-right: 8px;
            /* Adjust the spacing as needed */
            color: #dc3545;
        }
    </style>

    @stack('css')
    @livewireStyles
</head>

<body data-topbar="dark">
    @include('frontend.inc.header')
    <div class="container">
        @if (session('alert'))
            <div class="alert alert-warning mt-5">
                {{ session('alert') }}
            </div>
        @endif
    </div>
    @if (isset($msg))
        <div class="alert alert-danger">{{ $msg }}</div>
    @endif
    <div style="padding-top: 90px;">
        @yield('content')
    </div>
    @include('frontend.inc.footer')
    <!-- JAVASCRIPT -->
    <script src="{{ asset('assets/frontend/js/jquery.min.js') }}"></script>
    <script src="{{ asset('assets/frontend/js/bootstrap.bundle.min.js') }}"></script>
    {{-- <script src="{{ asset('assets/frontend/js/metisMenu.min.js') }}"></script> --}}
    {{-- <script src="{{ asset('assets/frontend/js/simplebar.min.js') }}"></script> --}}
    <script src="{{ asset('assets/frontend/js/toastr.min.js') }}"></script>
    {{-- <script src="{{ asset('assets/frontend/js/waves.min.js') }}"></script> --}}

    <!-- apexcharts -->
    <script>
        "use strict";

        // Color Switcher
        $(".color-switcher").on('click', function() {
            $("body").toggleClass("dark-theme");
            var url = '#';
            $.get(url);
        });
    </script>


    <script></script>



    <script src="https://solidptc.tdevs.co/assets/frontend/default/js/landing.js?v1.0"></script>
    {{-- <!-- jquery.vectormap map -->
    <script src="{{ asset('assets/frontend/js/jquery-jvectormap-1.2.2.min.js') }}"></script>
    <script src="{{ asset('assets/frontend/js/jquery-jvectormap-us-merc-en.js') }}"></script> --}}

    <script src="{{ asset('assets/frontend/js/dashboard.init.js') }}"></script>

    <!-- App js -->
    <script src="{{ asset('assets/frontend/js/app.js') }}"></script>
    @stack('js')
    @livewireScripts
    <script>
        toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": true,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 5000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }
        window.addEventListener('show-modal', event => {
            $("#" + event.detail.id).modal('show');
        })
        window.addEventListener('hide-modal', event => {
            $("#" + event.detail.id).modal('hide');
        })
        window.addEventListener('success', event => {
            toastr["success"](event.detail.msg);
        })
        window.addEventListener('error', event => {
            toastr["error"](event.detail.msg);
        })
    </script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>
