@extends('user.inc.layout')
@section('title', 'Withdraw Proofs')
@section('content')
    @push('css')
        <style>
            .bord {
                border: 1px solid;
                border-radius: 5px;
                padding: 10px;
            }
        </style>
    @endpush
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-flex align-items-center justify-content-between">
                        <h4 class="mb-0">Proofs</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">Adsnetwork</a></li>
                                <li class="breadcrumb-item active">Withdraw Proofs</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->
               <div class="row justify-content-center">
    <div class="col-12 col-md-12 col-lg-12">
        <div class="table-responsive custom-table-block">
            <table class="table table-bordered table-hover" id="ctl00_MainContent_PayoutProofsGridView">
                <thead>
                    <tr class="gridHeader">
                        <th scope="col"><a href="#">Date of withdraw</a></th>
                        <th scope="col"><a href="#" style="color:#7c4fe0;">Username</a></th>
                        <th scope="col"><a href="#">Country</a></th>
                        <th scope="col"><a href="#">Amount</a></th>
                        <th scope="col"><a href="#">Type</a></th>
                        <th scope="col"><a href="#">Status</a></th>
                    </tr>
                </thead>
                <tbody>
                    @php $withdrawals = App\Models\Withdrawal::where('status', 1)->latest()->paginate(8); @endphp
                    @foreach ($withdrawals as $withdraw)
                        <tr>
                            <td class="item-row text-white">{{ $withdraw->created_at ? showDateTime($withdraw->created_at) : 'Not found' }}</td>
                            <td class="item-row text-white">
                                @if ($withdraw->user && $withdraw->user->country)
                                    
                                @endif
                                {{ $withdraw->user && $withdraw->user->username ? $withdraw->user->username : 'Not found' }}
                            </td>
                            <td class="item-row text-white"><img src="https://flagsapi.com/{{ App\Models\User::countrycode($withdraw->user->country) }}/flat/64.png" class="method-image" style="width: 30px; height: 30px; border-radius: 30px;" />
                                {{ $withdraw->user && $withdraw->user->country ? $withdraw->user->country : 'Not found' }}</td>
                            <td class="item-row text-white">{{ $withdraw->final_amount ? getAmount($withdraw->final_amount) . '$' : 'Not found' }}</td>
                            <td class="item-row-left text-white">
                                <img src="https://clickerpay.com/storage/{{$withdraw->method->image}}" class="method-image" style="width: 30px; height: 30px; border-radius: 30px;" />
                                {{ $withdraw->method && $withdraw->method->name ? __($withdraw->method->name) : 'Not found' }}
                            </td>

                            <td class="text-white"> Paid</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
            {{ $withdrawals->links() }}
        </div>
    </div>
</div>


        </div>
        <!-- end row -->

    </div>
@endsection