@extends('user.inc.layout')
@section('title', 'Watch 2 Earn')
@push('css')
    <!-- Include Slick CSS file -->
    <!-- Include Slick theme CSS file (optional) -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.css">
    <!-- Include jQuery (required by Slick) -->
    <style>
        /* CSS styles to center the navigation buttons */
        .slick-prev,
        .slick-next {
            top: 50%;
            transform: translateY(-50%);
        }

        /* Additional styles to customize the appearance of the buttons */
        .slick-prev {
            left: 10px;
        }

        .slick-next {
            right: 10px;
        }
    </style>
@endpush
@section('content')
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-flex align-items-center justify-content-between">
                        <h4 class="mb-0">Watch 2 Earn</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">AdsNetwork</a></li>
                                <li class="breadcrumb-item active">Watch 2 Earn</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="">
                    <div class="text-center bg-success">
                        <div id="myMoney" class="d-none">
                            <div class="p-1 text-light">You have Get
                                {{ App\Models\User::currency(substr($ptc->amount, 0, 5)) }} $</div>
                        </div>
                    </div>
                    <div class="d-flex justify-content-between mb-3">
                        <div class=""><a href="{{ route('user.watch2earn') }}">
                                <span class="btn btn-primary">Back</span></a>
                        </div>
                        <div class=""><a href="{{ route('user.watch2earn') }}">
                                <span class="btn btn-primary">More</span></a>
                        </div>
                    </div>
                    @if (session('notify'))
                        @php
                            $notify = session('notify');
                            $type = $notify[0][0];
                            $message = $notify[0][1];
                        @endphp
                        <div class="mt-2 alert alert-{{ $type == 'error' ? 'danger' : 'success' }}">
                            <p class="text-center">{!! addslashes($message) !!}</p>
                        </div>
                    @endif
                    <div id="msg"></div>
                    <div class="mt-2 alert alert-success reaction-msg">
                        <p class="text-center reaction-p"></p>
                    </div>
                    <div class="row">
                        <div class="text-center mb-2 submitBtn d-none">
                            <form action="{{ route('user.ptc.confirm') }}" id="ptcSubmit" method="POST">
                                @csrf
                                <input type="hidden" id="ptc_idajax" name="ptc_id" value="{{ $ptc->id }}">
                            </form>
                        </div>
                        @php
                            
                            $videoId = explode('/', $ptc->ads_body);
                            
                        @endphp
                        <div class="col-md-12 text-white pb-5" style="background-color: #1C2846 !important;">
                            <div class="single_video">
                                <div id="video-placeholder"></div>
                            </div>
                            <div class="social d-flex justify-content-around mt-3">
                                <div>
                                    <a href="#" onclick="addReaction({{ $ptc->id }})" class="text-white">
                                         {{ App\Models\User::currency(number_format(floatval($ptc->amount), 2, '.', ','), 0, 1) }}</a>
                                </div>
                                <div>
                                    <a href="#" onclick="addReaction({{ $ptc->id }})" class="text-white"><i
                                            class="fa-solid fa-heart"></i>
                                        {{ $ptc->reactions_count }}</a>
                                </div>
                                
                                
                                <div>
                                    <a href="#" class="text-white"><i class="fa-solid fa-eye"></i>
                                        {{ $ptc->views_count }}</a>
                                </div>
                                <div class="col-xs-6 mb-3 pb-3" id="myProgress">
                                    <h6 class="text-left"><i class="bi bi-clock"></i> <span id="current-time"></span>s
                                        Passed </h6>
                                    {{--                        <span id="current-time">0:00</span> / <span id="duration">0:00</span> --}}


                                </div>
                            </div>
                            <div class="row">

                                
                                <div class="col-xs-6">

                                </div>
                            </div>
                        </div>
                    </div><br/>
                    <div class="slider" style="margin-bottom: 15px;">
                        @forelse($ads as $ad)
                            @if (!in_array($ad->id, $viewed))
                                <div class="slide">
                                    <div class="card">
                                        <div class="card-body">
                                            <div class="row no-gutters align-items-center">
                                                <div class="col-md-4">
                                                    
                                                </div>
                                                
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif
                        @empty
                            <div><br/>
                                <p class="text-danger">No Ads Found</p>
                            </div>
                        @endforelse
                    </div>
                </div>
            </div>

        </div><!-- end row -->

        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-dialog-scrollable">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">All Comment</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form action="{{ route('user.ptc.add.comment') }}" method="post">
                            <input type="hidden" name="ptc_id" value="{{ $ptc->id }}">
                            @csrf
                            <textarea rows="4" name="comment" class="form-control" placeholder="Enter Your Comment"></textarea>
                            <input type="submit" class="btn btn-primary btn-sm mt-2" value="Add Comment">
                        </form>
                        <div class="comment-list mt-3">
                            @foreach ($ptc->comments as $comment)
                                <div class="alert alert-success">
                                    <p><strong>Username: </strong>{{ $comment->user->username }}</p>
                                    <p>{{ $comment->comment }}</p>
                                </div>
                            @endforeach
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('js')
    <!-- Include Slick JS file -->
    <script src="https://cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js"></script>
    <script>
        $(document).ready(function() {
            $('.slider').slick({
                autoplay: true,
                slidesToShow: 2,
                slidesToScroll: 1,
                prevArrow: false,
                nextArrow: false
            });
        });
    </script>
    <script src="https://www.youtube.com/iframe_api"></script>

    <script>
        $(document).ready(function() {
            $(".reaction-msg").css({
                'display': 'none',
            });
        })
        var player,
            time_update_interval = 0;

        function onYouTubeIframeAPIReady() {
            player = new YT.Player('video-placeholder', {
                width: "100%",
                height: 400,
                videoId: `{{ $videoId[4] }}`,
                playerVars: {
                    color: 'white',
                    // playlist: 'taJ60kskkns,FG0fTKAqZ5g'
                    'autoplay': 0,
                    'controls': 0,
                    'rel': 0,
                    'fs': 0,
                },
                events: {
                    onReady: initialize
                }
            });
        }
        var time_update_interval;

        function initialize() {

            // Update the controls on load
            updateTimerDisplay();
            updateProgressBar();

            // Clear any old interval.
            clearInterval(time_update_interval);

            // Start interval to update elapsed time display and
            // the elapsed part of the progress bar every second.
            time_update_interval = setInterval(function() {
                updateTimerDisplay();
                updateProgressBar();
            }, 1000);


            $('#volume-input').val(Math.round(player.getVolume()));
        }


        // This function is called by initialize()
        function updateTimerDisplay() {
            // Update current time text display.
            $('#current-time').text(formatTime(player.getCurrentTime()));
            $('#duration').text(formatTime(player.getDuration()));
        }


        // This function is called by initialize()
        function updateProgressBar() {
            // Update the value of our progress bar accordingly.
            $('#progress-bar').val((player.getCurrentTime() / player.getDuration()) * 100);
        }


        function formatTime(time) {
            time = Math.round(time);

            let ptcTime = `{{ $ptc->duration }}`
            ptcTime = Math.round(ptcTime);

            var minutes = Math.floor(time / 60),
                seconds = time - minutes * 60;

            seconds = seconds < 10 ? '0' + seconds : seconds;
            if (seconds == ptcTime) {
                // $("#complete").removeClass("d-none");
                // $("#myProgress").addClass("d-none");
                // $("#ptcSubmit").submit();
                var ptcId = $("#ptc_idajax").val();
                $.ajax({
                    type: "POST",
                    url: "{{ route('user.ptc.confirm') }}",
                    data: {
                        ptc_id: ptcId
                    },
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    },
                    success: function(msg) {
                        console.log(msg);
                        var data = `<div class="mt-2 alert alert-success">
                            <p class="text-center">${msg}</p>
                        </div>`;
                        $("#msg").html(data);
                    }
                });
                clearInterval(time_update_interval);
            }
            return minutes + ":" + seconds;
        }

        function addReaction(ptcId) {
            let url = "{{ route('user.ptc.add.reaction', ['ptcId' => ':ptcId']) }}";
            url = url.replace(":ptcId", ptcId);
            $.ajax({
                url: url,
                success: function(response) {
                    if (response == 1) {
                        $(".reaction-msg").css({
                            'display': 'block',
                        })
                        $(".reaction-p").html('Reaction Added Succefully');
                    } else {
                        $(".reaction-msg").css({
                            'display': 'block',
                        })
                        $(".reaction-p").html('Reaction Removed Succefully');
                    }
                }
            });
        };

        function shareLink(username) {
            navigator.clipboard.writeText('{{ route('user.register') }}/?u={{ auth()->user()->uniqueid }}');
            $(".reaction-msg").css({
                'display': 'block',
            })
            $(".reaction-p").html('Link copied successfylly');
        }
    </script>
@endpush
