@extends('user.inc.layout')
@section('title', 'Use Voucher')
@section('content')
    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-flex align-items-center justify-content-between">
                        <h4 class="mb-0">Use Voucher</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">AdsNetwork</a></li>
                                <li class="breadcrumb-item active">Deposit Voucher</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->
            <!-- Livewire component view -->
            <div>
                @if(session()->has('success'))
                <div class="alert alert-success">
                    {{ session('success') }}
                </div>
                @endif

                <!-- Your Livewire component content here -->
            </div>

            <!-- Livewire component view -->
            <div>
                @if(session()->has('error'))
                <div class="alert alert-danger">
                    {{ session('error') }}
                </div>
                @endif

                <!-- Your Livewire component content here -->
            </div>

            <div class="row">
                <p class="text-uppercase">Redeem your voucher code into real money</p>
                <div>
                    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
                    <ul class="nav nav-pills mb-3 mt-5" id="pills-tab" role="tablist">
                        <li class="nav-item" role="presentation">
                            <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill"
                                data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home"
                                aria-selected="true">Redeem Code</button>
                        </li>
                        <li class="nav-item" role="presentation">
                            <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill"
                                data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile"
                                aria-selected="false">History</button>
                        </li>

                    </ul>
                    <div class="tab-content text-white" id="pills-tabContent">
                        <div class="tab-pane fade show active" id="pills-home" role="tabpanel"
                            aria-labelledby="pills-home-tab">
                            <div>
                                <div class="col-xl-12 col-lg-7 col-md-7 mb-30">
                                    <div class="card">
                                        <div class="card-body">
                                            <h5 class="card-title mb-50 border-bottom pb-2" style="color: #fff;">
                                                @lang('Voucher')</h5>

                                            <form action="{{ route('user.voucher.use.store') }}" method="POST"
                                                enctype="multipart/form-data">
                                                @csrf
                                                <div class="row">
                                                    <div class="col-md-10">
                                                        <div class="form-group ">
                                                            <label
                                                                class="form-control-label font-weight-bold">@lang('Voucher Code')
                                                                <span class="text-danger">*</span></label>
                                                            <input class="form-control rounded-pill"
                                                                placeholder="Enter a Code" type="text"
                                                                name="voucher_code" required>
                                                        </div>
                                                    </div>

                                                    <div class="col-md-10">
                                                        <div class="mt-5">

                                                            <div class="form-group">
                                                                <button type="submit"
                                                                    class="btn rounded-pill btn-block btn-lg form-control"
                                                                    style="background-color:#ff0000; color:#fff;">@lang('Use TopUp')</button>
                                                            </div>

                                                        </div>
                                                    </div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="tab-pane fade text-white" id="pills-profile" role="tabpanel"
                            aria-labelledby="pills-profile-tab">
                            <div class="row">
                                <div class="col-lg-12">
                                    <div class="card b-radius--10 overflow-hidden">
                                        <div class="card-body p-0" style="background: #1F2937; color: #fff;">
                                            <div class="table-responsive--sm">
                                                <table class="table table--light style--two text-white">
                                                    <thead>
                                                        <tr>
                                                            <th scope="col">@lang('Coupon Code')</th>
                                                            <th scope="col">@lang('Coupon Amount')</th>
                                                            <th scope="col">@lang('Date')</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        @forelse($use_voucher as $data)
                                                            <tr>
                                                                <td data-label="@lang('Coupon Code')" style="color: #fff">
                                                                    {{ __($data->voucher_code) }}</td>
                                                                <td data-label="@lang('Coupon Amount')" style="color: #fff">
                                                                    {{ App\Models\User::currency($data->voucher_amount) }}
                                                                </td>
                                                                <td data-label="@lang('Date')" style="color: #fff">
                                                                    {{ $data->created_at->format('d M, Y h:i a') }}</td>
                                                            </tr>
                                                        @empty
                                                            <tr>
                                                                <td class="text-center" colspan="100%">No data fpond</td>
                                                            </tr>
                                                        @endforelse
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div><!-- end row -->

    </div>
@endsection
