@extends('user.inc.layout')
@section('title', 'Activity Logs')
@section('content')
 <div class="page-content">
    <div class="container-fluid">

            <!-- start page title -->
            <div class="row">
                <div class="col-12">
                    <div class="page-title-box d-flex align-items-center justify-content-between">
                        <h4 class="mb-0">Activity Logs</h4>

                        <div class="page-title-right">
                            <ol class="breadcrumb m-0">
                                <li class="breadcrumb-item"><a href="javascript: void(0);">ClickerPay</a></li>
                                <li class="breadcrumb-item active">Activity Logs</li>
                            </ol>
                        </div>

                    </div>
                </div>
            </div>
            <!-- end page title -->

            <div class="row">
                <div class="col-12">
                    <p class="text-uppercase">Browse your history easily. All your major actions are logged and shown here. The log below shows the latest history from the last 10 days (shows up to 200 records).</p>
                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>@lang('Transaction ID')</th>
                                            <th>@lang('Gateway')</th>
                                            <th>@lang('Amount')</th>
                                            <th>@lang('Charge')</th>
                                            <th>@lang('After Charge')</th>
                                            <th>@lang('Rate')</th>
                                            <th>@lang('Receivable')</th>
                                            <th>@lang('Status')</th>
                                            <th>@lang('Time')</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @forelse($withdraws as $k=>$data)
                                            <tr>
                                                <td data-label="@lang('Transaction ID')">{{ $data->trx }}</td>
                                                <td data-label="@lang('Gateway')">{{ $data->method->name }}</td>
                                                <td data-label="@lang('Amount')">
                                                    <strong>{{ App\Models\User::currency($data->amount) }}</strong>
                                                </td>
                                                <td data-label="@lang('Charge')" class="text-danger">
                                                    {{ App\Models\User::currency($data->charge) }} 
                                                </td>
                                                <td data-label="@lang('After Charge')">
                                                    {{ App\Models\User::currency($data->after_charge) }}
                                                </td>
                                                <td data-label="@lang('Rate')">
                                                    {{ App\Models\User::currency($data->rate) }} 
                                                </td>
                                                <td data-label="@lang('Receivable')" class="text-success">
                                                    <strong>{{ App\Models\User::currency($data->final_amount) }}</strong>
                                                </td>
                                                <td data-label="@lang('Status')">
                                                    @if ($data->status == 2)
                                                        <span style="background-color: #ffc107; color: #000;" class="badge">@lang('Pending')</span>
                                                    @elseif ($data->status == 1)
                                                        <span style="background-color: #28a745; color: #fff;" class="badge">@lang('Success')</span>
                                                    @elseif ($data->status == 3)
                                                        <span style="background-color: #dc3545; color: #fff;" class="badge">@lang('Rejected')</span>
                                                    @elseif ($data->status == 4)
                                                        <span style="background-color: #007bff; color: #fff;" class="badge">@lang('OTP Unverified')</span>
                                                    @endif
                                                </td>
                                                <td data-label="@lang('Time')">
                                                    <i class="las la-calendar"></i> {{ showDateTime($data->created_at) }}
                                                </td>
                                            </tr>
                                        @empty
                                            <tr>
                                                <td class="text-muted text-center" colspan="100%">{{ __($empty_message) }}</td>
                                            </tr>
                                        @endforelse
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="py-4">
                            {{ $withdraws->appends($_GET)->links() }}
                        </div>
                    </div>
                </div>
            </div>

        </div><!-- end row -->
    </div>
@endsection
