@extends('user.inc.layout')
@section('title', 'Withdraw')
@section('content')
    <div class="page-content">
        <div class="container-fluid">
            <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                    <div class="row mt-2">
                        <div class="col-md-12">
                            <div class="card p-3">
                                <livewire:user.withdraw-component />
                            </div>
                        </div>
                    </div>

                </div>
                <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">...</div>
            </div>

            <!-- Modal -->
            <div class="modal fade" id="exampleModal">
                <div class="row">
                    <div class="col-md-12">
                        <form action="{{ route('user.withdraw.money') }}" method="post">
                            @csrf
                            <div class="modal-body">
                                <div class="form-group">
                                    <input class="edit-currency form-control" name="currency" type="hidden" value="">
                                    <input class="edit-method-code  form-control" name="method_code" type="hidden" value="">
                                </div>
                                <div class="form-group">
                                    <label>@lang('Enter Amount'):</label>
                                    <div class="input-group">
                                        <input class="form-control form-control-lg" id="amount" name="amount" type="text" value="{{ old('amount') }}"
                                               onkeyup="this.value = this.value.replace (/^\.|[^\d\.]/g, '')" placeholder="0.00" required="">
                                        <div class="input-group-append">
                                            <span class="input-group-text addon-bg currency-addon">{{ __($general->cur_text) }}</span>
                                        </div>
                                    </div>
                                </div>
                                <p class="text-danger text-center depositLimit"></p>
                            </div>
                            <div class="modal-footer">
                                <button class="btn primay" data-dismiss="modal" type="button">@lang('Close')</button>
                                <button class="btn primary" type="submit">@lang('Confirm')</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('script')
    <script>
        'use strict';
        (function($) {
            $('.deposit').on('click', function() {
                var id = $(this).data('id');
                var result = $(this).data('resource');
                var minAmount = $(this).data('min_amount');
                var maxAmount = $(this).data('max_amount');
                var fixCharge = $(this).data('fix_charge');
                var percentCharge = $(this).data('percent_charge');

                var depositLimit = `@lang('Withdraw Limit:') ${minAmount} - ${maxAmount}  {{ $general->cur_text }}`;
                $('.depositLimit').text(depositLimit);
                var depositCharge =
                    `@lang('Charge:') ${fixCharge} {{ $general->cur_text }} ${(0 < percentCharge) ? ' + ' + percentCharge + ' %' : ''}`
                $('.depositCharge').text(depositCharge);
                $('.method-name').text(`@lang('Withdraw Via ') ${result.name}`);
                $('.edit-currency').val(result.currency);
                $('.edit-method-code').val(result.id);
            });
        })(jQuery)
    </script>
@endpush
