@extends('user.inc.layout')
@section('title', 'Withdraw')
@section('content')


    <div class="form col-sm-12 col-md-12 col-lg-12">

        <div class="card" style="background-color:#223154;">
            <div class="card-body">
                <h4 class="card-title mb-4 text-light">Withdraw</h4>
                <div id="progrss-wizard" class="twitter-bs-wizard">
                    <ul class="twitter-bs-wizard-nav nav-justified nav nav-pills">
                        <li class="nav-item">
                            <a id="" class="nav-link " data-toggle="tab" href="#firststep">
                                <span class="step-title text-light">Select</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a id="" class="nav-link " data-toggle="tab" href="#secoundstep">
                                <span class="step-title text-light">Otp Verify</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a id="" class="nav-link active" data-toggle="tab" href="#thirdstep">
                                <span class="step-title text-light">Preview & Complete</span>
                            </a>
                        </li>
                    </ul>
                    <div id="bar" class="progress mt-4">
                        <div class="progress-bar bg-success progress-bar-striped progress-bar-animated"
                            style="width: 100%;">
                        </div>
                    </div>
                    <div class="tab-content twitter-bs-wizard-tab-content">
                        <div id="firststep" class="tab-pane active">
                            <div class="row">
                                <div class="col-md-12">
                                    <form>
                                        <div class="form-group row mt-3">
                                            <label for="colFormLabel"
                                                class="col-sm-2 col-form-label text-light"><strong>Balance</strong></label>
                                            <div class="col-sm-8">
                                                <input type="email" class="form-control" readonly id="colFormLabel"
                                                    readonly
                                                    value="{{ App\Models\User::convertToUsdWithCurrency(auth()->user()->total_invest) }}">
                                            </div>
                                        </div>
                                                <div class="form-group row mt-3">
                                                <label for="colFormLabel" class="col-sm-2 col-form-label"> <strong>Withdraw
                                                        </strong></label>
                                                <div class="col-sm-8">
                                                    <input type="email" class="form-control" readonly id="colFormLabel"
                                                        value="{{ App\Models\User::convertToUsdWithCurrency($withdraw->after_charge) }} ">
                                                </div>
                                        </div>
                                        <div class="form-group row mt-3">
                                            <label for="colFormLabel"
                                                class="col-sm-2 col-form-label text-light"><strong>Withdraw fee</strong></label>
                                            <div class="col-sm-8">
                                                <input type="email" class="form-control" readonly id="colFormLabel"
                                                    placeholder="col-form-label"
                                                    value="{{ App\Models\User::convertToUsdWithCurrency($withdraw->charge) }} ">
                                            </div>

                                            <div class="form-group row mt-3">
                                                <label for="colFormLabel"
                                                    class="col-sm-2 col-form-label text-light"><strong>New
                                                        Balance</strong></label>
                                                <div class="col-sm-8">
                                                    <input type="email" class="form-control" readonly id="colFormLabel"
                                                        value="{{ App\Models\User::convertToUsdWithCurrency($withdraw->user->balance - $withdraw->amount) }}">
                                                </div>
                                            </div>
                                    </form>
                                </div>
                                <div class="col-md-12">
                                    <form action="{{ route('user.withdraw.submit') }}" method="post"
                                        enctype="multipart/form-data">
                                        @csrf

                                        @if ($withdraw->method->user_data)
                                            @foreach ($withdraw->method->user_data as $k => $v)
                                                @if ($v->type == 'text')
                                                    <div class="form-group row mt-3">
                                                        <label for="colFormLabel"
                                                            class="col-sm-2 col-form-label "><strong>{{ __($v->field_level) }}
                                                                @if ($v->validation == 'required')
                                                                    <span class="text-danger">*</span>
                                                                @endif
                                                            </strong></label>
                                                        <div class="col-sm-8">
                                                            <input type="text" name="{{ $k }}"
                                                                class="form-control" value="{{ $paymentid }}"
                                                                placeholder="{{ __($v->field_level) }}"
                                                                @if ($v->validation == 'required') required @endif>
                                                            @if ($errors->has($k))
                                                                <span
                                                                    class="text-danger">{{ __($errors->first($k)) }}</span>
                                                            @endif
                                                        </div>
                                                    </div>
                                                @elseif($v->type == 'textarea')
                                                    <div class="form-group">
                                                        <label><strong>{{ __($v->field_level) }} @if ($v->validation == 'required')
                                                                    <span class="text-danger">*</span>
                                                                @endif
                                                            </strong>
                                                        </label>
                                                        <textarea name="{{ $k }}" class="form-control" placeholder="{{ __($v->field_level) }}" rows="3"
                                                            @if ($v->validation == 'required') required @endif>{{ old($k) }}</textarea>
                                                        @if ($errors->has($k))
                                                            <span class="text-danger">{{ __($errors->first($k)) }}</span>
                                                        @endif
                                                    </div>
                                                @elseif($v->type == 'file')
                                                    <label><strong>{{ __($v->field_level) }} @if ($v->validation == 'required')
                                                                <span class="text-danger">*</span>
                                                            @endif
                                                        </strong></label>
                                                    <div class="form-group">
                                                        <div class="fileinput fileinput-new " data-provides="fileinput">
                                                            <div class="fileinput-new thumbnail withdraw-thumbnail"
                                                                data-trigger="fileinput">
                                                                <img class="m-w-220px"
                                                                    src="{{ getImage(imagePath()['image']['default']) }}"
                                                                    alt="@lang('image')">
                                                            </div>
                                                            <div
                                                                class="fileinput-preview fileinput-exists thumbnail wh-200-150">
                                                            </div>

                                                            <div class="img-input-div">
                                                                <span class="btn btn--info btn-file">
                                                                    <span class="fileinput-new text-white">
                                                                        @lang('Select')
                                                                        {{ $v->field_level }}</span>
                                                                    <span class="fileinput-exists text-white">
                                                                        @lang('Change')</span>
                                                                    <input type="file" name="{{ $k }}"
                                                                        accept="image/*"
                                                                        @if ($v->validation == 'required') required @endif>
                                                                </span>
                                                                <a href="#" class="btn btn--danger fileinput-exists"
                                                                    data-dismiss="fileinput"> @lang('Remove')</a>
                                                            </div>

                                                        </div>
                                                        @if ($errors->has($k))
                                                            <br>
                                                            <span class="text-danger">{{ __($errors->first($k)) }}</span>
                                                        @endif
                                                    </div>
                                                @endif
                                            @endforeach
                                        @endif

                                        <div class="form-group">
                                            <button type="submit"
                                                class="btn primary btn-block btn-lg mt-4 text-center">@lang('Confirm')</button>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>


@endsection

@push('style-lib')
    <link rel="stylesheet" href="{{ asset($activeTemplateTrue . '/users/css/bootstrap-fileinput.css') }}">
@endpush

@push('script-lib')
    <script src="{{ asset($activeTemplateTrue . '/users/js/bootstrap-fileinput.js') }}"></script>
@endpush
