<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Artisan;
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Session;
use App\Http\Controllers\HomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/link', function () {
    try {
        Artisan::call('storage:link');
        return 'Storage link created successfully!';
    } catch (\Exception $e) {
        return 'Failed to create storage link: ' . $e->getMessage();
    }
});
Route::post('/currencyChanged', function (Request $request) {
    Session::put('currency', $request->currency);
    return redirect()->back();
})->name('currencyChanged');

Route::get('placeholder-image', function () {
    // Your logic to generate or display a placeholder image
})->name('placeholderImage');

Route::get('test', function () {
    return view('user.dashboard');
});
Route::get('/', [HomeController::class, 'index'])->name('home');

Route::get('/clear', function () {
    // Perform cache clearing and other actions here
    Artisan::call('cache:clear');
    Artisan::call('view:clear');
    Artisan::call('optimize:clear');

    return "successful";
});



// Agent Manager
Route::get('agent/list', 'AgentController@index')->name('agent.index');
Route::get('agent/accept/{id}', 'AgentController@accept')->name('agent.accept');
Route::get('agent/reject/{id}', 'AgentController@reject')->name('agent.reject');
