<!doctype html>
<html style="direction: ltr;" lang="en">

<head>
    <meta charset="utf-8" />
    <title><?php echo $__env->yieldContent('title'); ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="Premium Multipurpose Admin & Dashboard Template" />
    <meta name="author" content="Themesdesign" />
    <!-- App favicon -->
    <link href="<?php echo e(asset('assets/frontend/images/favicon.ico')); ?>" rel="shortcut icon">
    
    <link type="text/css" href="<?php echo e(asset('assets/frontend/css/jquery-jvectormap-1.2.2.css')); ?>" rel="stylesheet" />
    <!-- Bootstrap Css -->
    
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link type="text/css" href="<?php echo e(asset('assets/frontend/css/toastr.min.css')); ?>" rel="stylesheet" />
    <link type="text/css" href="<?php echo e(asset('assets/frontend/css/icons.min.css')); ?>" rel="stylesheet" />
    
    <link href="https://site-assets.fontawesome.com/releases/v6.5.2/css/all.css" rel="stylesheet">
    <link href="<?php echo e(asset('web/css/style.css')); ?>" rel="stylesheet">

    <style>
        .card {
            border: none;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        }

        .form-control {
            border: none;
            border-bottom: 1px solid #ddd;
            border-radius: 0;
            box-shadow: none;
        }

        .form-control:focus,
        .form-control:active {
            border-bottom: 2px solid #007bff;
            /* Change this color to your preference */
            outline: none;
            box-shadow: none;
        }

        .custom-input-group {
            display: flex;
            align-items: center;
            /* Bottom border for the group */
        }

        .input-icon {
            margin-right: 8px;
            /* Adjust the spacing as needed */
            color: #dc3545;
        }
    </style>

    <?php echo $__env->yieldPushContent('css'); ?>
    <?php echo \Livewire\Livewire::styles(); ?>

</head>

<body data-topbar="dark">
    <?php echo $__env->make('frontend.inc.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="container">
        <?php if(session('alert')): ?>
            <div class="alert alert-warning mt-5">
                <?php echo e(session('alert')); ?>

            </div>
        <?php endif; ?>
    </div>
    <?php if(isset($msg)): ?>
        <div class="alert alert-danger"><?php echo e($msg); ?></div>
    <?php endif; ?>
    <div style="padding-top: 90px;">
        <?php echo $__env->yieldContent('content'); ?>
    </div>
    <?php echo $__env->make('frontend.inc.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- JAVASCRIPT -->
    <script src="<?php echo e(asset('assets/frontend/js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/frontend/js/bootstrap.bundle.min.js')); ?>"></script>
    
    
    <script src="<?php echo e(asset('assets/frontend/js/toastr.min.js')); ?>"></script>
    

    <!-- apexcharts -->
    <script>
        "use strict";

        // Color Switcher
        $(".color-switcher").on('click', function() {
            $("body").toggleClass("dark-theme");
            var url = '#';
            $.get(url);
        });
    </script>


    <script></script>



    <script src="https://solidptc.tdevs.co/assets/frontend/default/js/landing.js?v1.0"></script>
    

    <script src="<?php echo e(asset('assets/frontend/js/dashboard.init.js')); ?>"></script>

    <!-- App js -->
    <script src="<?php echo e(asset('assets/frontend/js/app.js')); ?>"></script>
    <?php echo $__env->yieldPushContent('js'); ?>
    <?php echo \Livewire\Livewire::scripts(); ?>

    <script>
        toastr.options = {
            "closeButton": true,
            "debug": false,
            "newestOnTop": false,
            "progressBar": true,
            "positionClass": "toast-top-right",
            "preventDuplicates": false,
            "onclick": null,
            "showDuration": 300,
            "hideDuration": 1000,
            "timeOut": 5000,
            "extendedTimeOut": 1000,
            "showEasing": "swing",
            "hideEasing": "linear",
            "showMethod": "fadeIn",
            "hideMethod": "fadeOut"
        }
        window.addEventListener('show-modal', event => {
            $("#" + event.detail.id).modal('show');
        })
        window.addEventListener('hide-modal', event => {
            $("#" + event.detail.id).modal('hide');
        })
        window.addEventListener('success', event => {
            toastr["success"](event.detail.msg);
        })
        window.addEventListener('error', event => {
            toastr["error"](event.detail.msg);
        })
    </script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>
<?php /**PATH /home/adsnbfrk/adflixer.com/resources/views/user/inc/user-auth-layout.blade.php ENDPATH**/ ?>