
<?php $__env->startSection('title', 'Deposit'); ?>
<?php $__env->startSection('content'); ?>
    <div class="page-content bg-white">
        <div class="container-fluid">
            <div class="ave_pay-card">
                <div class="ave_pay-header">
                    <span>Store Name</span>
                    <img src="https://bitcoin.org/img/icons/logotop.svg" alt="AveThemes Logo">
                </div>
                <div class="ave_header">
                    <div class="ave_pay-order-info">
                        <h6>Order #<?php echo e($data->trx); ?></h6>
                        <p>Add Funds to Your Wallet</p>
                    </div>
                    <p id="header-amount">$<?php echo e(number_format($usd_amount, 2)); ?> (USD)</p>
                </div>
                <h5>Select Payment Currency</h5>
                <form id="crypto-form" action="<?php echo e(route('user.deposit.crypto.paynow', $data->trx)); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <input id="crypto-id" name="crypto_id" type="hidden">
                    <input id="crypto-amount" name="crypto_amount" type="hidden">
                    <div class="ave_pay-currency-section">
                        <ul class="ave_pay-currency" id="crypto-list">
                            <?php $__currentLoopData = $all_crypto; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $crypto): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li data-id="<?php echo e($crypto->id); ?>" data-code="<?php echo e($crypto->currency_code); ?>" data-rate="<?php echo e($crypto->conversion_rate); ?>">
                                    <img class="ave_pay-icon" src="<?php echo e(asset('storage/' . $crypto->currency_icon)); ?>" alt="<?php echo e($crypto->currency_name); ?>">
                                    <div>
                                        <div>
                                            <p><?php echo e($crypto->currency_code); ?><span> <?php echo e($crypto->currency_name); ?></span></p>
                                        </div>
                                        <div>
                                            <p><?php echo e(number_format($crypto->conversion_rate, 6)); ?></p>
                                        </div>
                                    </div>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                    <button class="ave_pay-next-btn text-white" type="submit"><?php echo app('translator')->get('Pay Now'); ?></button>
                </form>
            </div>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const cryptoList = document.getElementById('crypto-list');
            const headerAmount = document.getElementById('header-amount');
            const cryptoIdInput = document.getElementById('crypto-id');
            const cryptoAmountInput = document.getElementById('crypto-amount');

            cryptoList.addEventListener('click', function(e) {
                const target = e.target.closest('li');
                if (target) {
                    const id = target.getAttribute('data-id');
                    const code = target.getAttribute('data-code');
                    const rate = target.getAttribute('data-rate');
                    headerAmount.textContent = `${rate} ${code}`;
                    cryptoIdInput.value = id;
                    cryptoAmountInput.value = rate;

                    // Remove active class from previously selected and add to the new one
                    document.querySelectorAll('.ave_pay-currency li').forEach(function(item) {
                        item.classList.remove('active');
                    });
                    target.classList.add('active');
                }
            });
        });
    </script>

    <style>
        .ave_pay-currency li.active {
            background-color: #f0f0f0;
        }
    </style>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('user.inc.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/adsnbfrk/adflixer.com/resources/views/user/crypto/step_1.blade.php ENDPATH**/ ?>