<div>
    <?php echo $__env->make('components.loading-indecator', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <div class="container mt-5">
        <div wire:key="tabs-component-<?php echo e($tabId); ?>">
            <ul class="nav nav-tabs justify-content-around" style="border-bottom: 0;">
                <li class="nav-item">
                    <button class="nav-link <?php echo e($activeTab === 'tab1' || $activeTab === 'tab2' || $activeTab === 'tab3' ? 'active' : ''); ?> rounded-pill bg-primary text-white ave_nav" id="tab1">Step
                        1</button>
                </li>
                <li class="nav-item">
                    <button class="nav-link <?php echo e($activeTab === 'tab2' || $activeTab === 'tab3' ? 'active' : ''); ?> rounded-pill bg-primary text-white ave_nav" id="tab2">Step
                        2</button>
                </li>
                <li class="nav-item">
                    <button class="nav-link <?php echo e($activeTab === 'tab3' ? 'active' : ''); ?> rounded-pill bg-primary text-white ave_nav" id="tab3">Step 3</button>
                </li>
            </ul>

            

            <div class="tab-content mt-2">
                <?php if($msg): ?>
                    <p class="text-<?php echo e($msg['status'] == 'error' ? 'danger' : 'success'); ?> text-center">
                        <?php echo e($msg['message']); ?></p>
                <?php endif; ?>

                <div class="tab-pane fade <?php echo e($activeTab === 'tab1' ? 'show active' : ''); ?>" id="content1">
                    <div class="form-group mt-3">
                        <label>Deposit Method</label>
                        <?php if($selected_method): ?>
                            <span wire:click="toggleMethodList">
                                <div class="ave_method-selected">
                                    <img src="<?php echo e(Storage::disk('public')->url($selected_method->method->image)); ?>" alt="" style="border-radius:50%;" width="30px">
                                    <span class="ave_m10"><?php echo e($selected_method->method->name); ?></span>
                                </div>
                            </span>
                        <?php endif; ?>
                        <?php if(!$selected_method || $show_method_list): ?>
                            <div class="ave_method-dropdown">
                                <?php $__currentLoopData = $methods; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <div class="ave_method-option" wire:click="methodChanged('<?php echo e($item->method_code); ?>')">
                                        <img src="<?php echo e(Storage::disk('public')->url($item->method->image)); ?>" alt="" style="border-radius:50%;" width="30px">
                                        <span><?php echo e($item->name); ?></span>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                    <div class="text-center mt-3">
                        <button class="btn btn-primary" wire:click="moveToSecound">Next</button>
                    </div>
                </div>

                <div class="tab-pane fade <?php echo e($activeTab === 'tab2' ? 'show active' : ''); ?>" id="content2">
                    <?php if($selected_method): ?>
                        <p class="text-center">Minimum deposit amount:
                            <?php echo e(App\Models\User::currency($selected_method->min_amount, 0, 6)); ?></p>
                    <?php endif; ?>
                    <div class="form-group mt-3">
                        <label for="amount">Amount:</label>
                        <div class="" wire:ignore>
                            <input class="form-control" type="number" wire:model.debounce.500ms="amount">
                        </div>
                    </div>
                    <div class="text-center mt-3">
                        <button class="btn btn-primary text-white" wire:click="backToPrevious(1)">Previous</button>
                        <button class="btn btn-primary text-white" wire:click="moveToThird" <?php echo e($amount ? '' : 'disabled'); ?>>Next</button>
                    </div>
                </div>

                <div class="tab-pane fade <?php echo e($activeTab === 'tab3' ? 'show active' : ''); ?>" id="content3">
                    <?php if($activeTab === 'tab3'): ?>
                        <?php echo app('translator')->get('Amount'); ?>:
                        <strong><?php echo e(App\Models\User::convertToUsdWithCurrency($data->amount)); ?> </strong><br>
                        <?php echo app('translator')->get('Fees'); ?>:
                        <strong><?php echo e(App\Models\User::convertToUsdWithCurrency($data->charge)); ?></strong><br>
                        <?php echo app('translator')->get('Amount + Fees '); ?>:
                        <strong>
                            <?php echo e(App\Models\User::convertToUsdWithCurrency($data->amount + $data->charge)); ?></strong><br>
                        <?php if($data->gateway->crypto == 1): ?>
                            <?php echo app('translator')->get('Conversion with'); ?>
                            <b> <?php echo e($data->method_currency); ?></b> <?php echo app('translator')->get('and final value will Show on next step'); ?>
                        <?php endif; ?>
                        <?php if(1000 > $data->method_code): ?>
                            <a class="btn btn-primary text-white" href="<?php echo e(route('user.deposit.confirm')); ?>"><?php echo app('translator')->get('Confirm Deposit'); ?></a>
                        <?php elseif($data->method_code == 1011): ?>
                            <a class="btn btn-primary text-white" href="<?php echo e(route('user.deposit.crypto.confirm', $data->trx)); ?>"><?php echo app('translator')->get('Pay Crypto'); ?></a>
                        <?php else: ?>
                            <a class="btn btn-primary text-white" href="<?php echo e(route('user.deposit.manual.confirm', $data->trx)); ?>"><?php echo app('translator')->get('Next'); ?></a>
                        <?php endif; ?>
                    <?php endif; ?>

                </div>
            </div>
        </div>
    </div>
    <div class="modal fade" id="manual-deposit-fileupload" aria-labelledby="myModalLabel" aria-hidden="true" wire:ignore.self> ave_nav
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content">
                <div class="modal-header">
                    <button class="btn-close" data-bs-dismiss="modal" type="button" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <h4 class="text-center">Are you sure you want to upgrade to: <br />
                    </h4>
                </div>
                <div class="modal-footer">
                    <button class="btn btn-warning waves-effect" data-bs-dismiss="modal" type="button">Close</button>
                    <button class="btn btn-info waves-effect" type="button" wire:click="confirmUpgrade">Confirm</button>
                </div>
            </div><!-- /.modal-content -->
        </div><!-- /.modal-dialog -->
    </div>
</div>
<?php /**PATH /home/adsnbfrk/adflixer.com/resources/views/livewire/user/deposit-component.blade.php ENDPATH**/ ?>